/*******************************************************************************
 *
 *  [2015] TechnoSolutionsCL (9228-3431 Quebec Inc.)
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains the property of
 * TechnoSolutionsCL and its suppliers, if any. The intellectual and technical
 * concepts contained herein are proprietary to TechnoSolutionsCL and its
 * suppliers and may be covered by Canadian, U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is
 * strictly forbidden unless prior written permission is obtained
 * from TechnoSolutionsCL.
 *
 *
 */

var template={
	formBuilder:function(vars){
		return pwm.template.formBuilder(vars);
	},
	panel:function(vars){
		/* PRIVATE */
		var out= //
		'<div class="panel panel-'+vars.cls+' clearfix pwmPanel" '+((typeof vars.attr!='undefined')?vars.attr:'')+'>'+
			'<div class="panel-heading clearfix  pwmPanelHeading">'+
				'<h3 class="panel-title clearfix pwmPanelTitle">'+vars.title+'</h3>'+
			'</div>'+
			'<div class="panel-body pwmPanelBody">'+
				vars.body+
			'</div>'+
		'</div>';
		return out;
	},
	modal:function(vars){
		/* PRIVATE */
		if(typeof vars.cls=='undefined')
			vars.cls='';
		if(typeof vars.attr=='undefined')
			vars.attr='';
		if(typeof vars.btns=='undefined')
			vars.btns='';
		if(typeof vars.footer=='undefined')
			vars.footer = true;
		var out=
			'<div class="modal fade pwmModal '+vars.cls+'" id="'+vars.id+'"'+vars.attr+' tabindex="-1" role="dialog" '+
				'aria-labelledby="'+vars.id+'Label" aria-hidden="true">'+
				'<div class="modal-dialog pwmModalDialog">'+
					'<div class="modal-content '+vars.cls+'">'+
						'<div class="modal-header pwmModalHeader">'+
							'<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>'+
							'<h3 class="modal-title" id="'+vars.id+'Label">'+vars.title+'</h3>'+// pwm-lang="products.customize.modal.title"
						'</div>'+
						'<div class="modal-body pwmModalBody clearfix">'+vars.body+'</div>'+
						((vars.footer) ?
							'<div class="modal-footer pwmModalFooter">'+
								((vars.closeBtn) ?
									'<button type="button" class="btn btn-default closeBtn" data-dismiss="modal"'+
										((vars.closeBtn.attr) ?
											vars.closeBtn.attr:''
										)+'>'+
										vars.closeBtn.label+
									'</button>':''
								)+
								vars.btns+
							'</div>' :
							''
						)+
					'</div>'+
				'</div>'+
			'</div>';
		return out;
	},
	errorOrder:function() {
		var out =
			'{{#cart}}'+
				'<div class="cartTitle"><h3><i class="fa fa-cutlery fa-lg"></i> <span pwm-lang="cart.title"></span></h3></div>'+
				'{{#customers}}'+
					'<div class="panel panel-default">'+
						'<div class="panel-heading">'+
							'<h3 class="0">'+
								'{{#name}}'+
									'Client: {{name}}'+
								'{{/name}}'+
								'{{^name}}'+
									'Client: #{{nb}}'+
								'{{/name}}'+
							'</h3>'+
						'</div>'+
						'<div class="panel-body">'+
							'<table class="table">'+
								'<thead></thead>'+
								'<tbody>'+
									'{{#items}}'+
										'<tr>'+
											'<td width="65">{{qty}}</td>'+
											'<td>{{{name}}}</td>'+
										'</tr>'+
									'{{/items}}'+
								'</tbody>'+
								'<tfoot>'+
									'<tr>'+
										'<td width="65"><strong>Total: </strong></td>'+
										'<td><strong>{{total}} $</strong></td>'+
									'</tr>'+
								'</tfoot>'+
							'</table>'+
						'</div>'+
					'</div>'+
				'{{/customers}}'+
			'{{/cart}}';
		return out;
	},
	changelog:function(){
		var out=
			'<div class="clearfix">'+
				'{{#previous}}'+
					'<a class="btn btn-primary pull-left" href="#!/changelog/{{previous}}">'+
						'<i class="fa fa-chevron-left"></i> {{previous}}'+
					'</a>'+
				'{{/previous}}'+
				'<div class="btn-group pull-right" role="group">'+
					'{{#next}}'+
						'<a class="btn btn-primary" href="#!/changelog/{{next}}">'+
							'{{next}} <i class="fa fa-chevron-right"></i>'+
						'</a>'+
					'{{/next}}'+
				'</div>'+
			'</div>'+
			'<div class="changelog">'+
				'<h3><span pwm-lang="system.changelog.title"></span> - Version {{version}}{{#current}} <small>(<span pwm-lang="system.changelog.current"></span>)</small>{{/current}}</h3>'+
				'<ul class="list-unstyled">'+
					'{{#changes}}'+
						'<li><h4 pwm-lang="pwm.datas.changelog.{{versioncode}}.changes.{{changerow}}.name"></h4>'+
							'{{#notes}}'+
								'<blockquote><p pwm-lang="pwm.datas.changelog.{{versioncode}}.changes.{{changerow}}.notes"></p></blockquote>'+
							'{{/notes}}'+
							'<ul class="list-unstyled">'+
								'{{#items}}'+
									'<li><label class="label label-{{label}}">{{type}}</label> - '+
										'<span pwm-lang="pwm.datas.changelog.{{versioncode}}.changes.{{changerow}}.items.{{itemrow}}.text"></span>'+
									'</li>'+
								'{{/items}}'+
							'</ul>'+
						'</li>'+
					'{{/changes}}'+
				'</ul>'+
			'</div>'+
			'';
		return out;
	},
	pagination:{
		search:{
			branch:function(){
				var out =
					'<ul id="itemContainer" class="branchSelectionContainer list-unstyled">'+
						'{{#branchs}}'+
							'<li class="branchSelectionItem" data-id="{{id}}" data-marker="{{marker}}" data-phone="{{phone}}" data-distance="0" data-health="{{health}}">'+
								'<div class="ChooseBranchRow clearfix {{cls}}" data-inzone="{{inzone}}">'+
									'<div class="clearfix">'+
										'<div class="distance pull-right">{{distance}}</div>'+
										'<div class="branchName pull-left">{{{name}}}</div>'+
									'</div>'+
									'<div class="clearfix row">'+
										'<div class="pull-left col-xs-5 col-sm-7 branchAddress">'+
											'{{#addresshtml}}{{{value}}}<br/>{{/addresshtml}}'+
											'<div class="branchPhone"><i class="fa fa-phone"></i> {{phone}}</div>'+
										'</div>'+
										'<div class="pull-right col-xs-7 col-sm-5 branchButtonAndStatusses">'+

											'{{^status_enabled}}'+
												'<div><i class="fa fa-refresh"></i> <span pwm-lang="home.searchRes.statusses.disabled"></span></div>'+
											'{{/status_enabled}}'+
											'{{#status_enabled}}'+
												'{{#status_online}}'+
													'{{#mode_enabled}}'+
														'<div class="text-{{hours_cls}}">'+
															'<i class="fa fa-clock-o"></i> '+
															'{{^hours_label}}<span pwm-lang="{{hours_lang}}"></span>{{/hours_label}}'+
															'{{#hours_label}}'+
																'{{{hours_label}}}'+
															'{{/hours_label}}'+
														'</div>'+
														'{{#delivery_fees}}'+
															'<div><span pwm-lang="home.searchRes.fees.label"></span>: {{delivery_fees}}$</div>'+
														'{{/delivery_fees}}'+
														'{{#min_amount}}'+
															'<div><span pwm-lang="home.searchRes.min_amount.label"></span>: {{min_amount}}$</div>'+
														'{{/min_amount}}'+
														'{{#status_health}}'+
															'<button class="btn btn-success submitBtn branchSelect" data-branchid="{{id}}" data-zoneid="{{zoneid}}'+
																'<span pwm-lang="home.searchRes.selectBtn.label">Select</span> <i class="fa fa-chevron-right"></i></button>'+
														'{{/status_health}}'+
														'{{^status_health}}'+
															'<button class="btn btn-warning branchOfflineModal" data-toggle="modal" data-target="#branchOfflineWarningModal"'+
																'data-branchid="{{id}}" data-useraddressid="{{useraddressid}}" data-zoneid="{{zoneid}}">'+
																' <i class="fa fa-warning"></i> <span pwm-lang="home.searchRes.offlineBtn.label"></span>'+
															'</button>'+
														'{{/status_health}}'+
													'{{/mode_enabled}}'+
													'{{^mode_enabled}}'+
														'<button class="btn btn-danger disabled" type="button" disabled>'+
															'<i class="fa fa-times"></i> <span pwm-lang="home.searchRes.modeUnavailable.label"></span>'+
														'</button>'+
													'{{/mode_enabled}}'+
												'{{/status_online}}'+
												'{{^status_online}}'+
													//'<div><i class="fa fa-warning"></i> <span pwm-lang="home.searchRes.statusses.offline"></span></div>'+
													//bientot disponible
													'<button class="btn btn-info disabled" type="button" disabled>'+
														'<i class="fa fa-refresh"></i> <span pwm-lang="home.searchRes.setupNone.label"></span>'+
													'</button>'+
												'{{/status_online}}'+
											'{{/status_enabled}}'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</li>'+
						'{{/branchs}}'+
					'</ul>'+
					'';
				return out;
			}
		},
		navigation:function(){
			var out =
				'<div class="my-navigation pagination pull-right">'+
					'<div class="simple-pagination-first"></div>'+
					'<div class="simple-pagination-previous"></div>'+
					'<div class="simple-pagination-page-numbers"></div>'+
					'<div class="simple-pagination-next"></div>'+
					'<div class="simple-pagination-last"></div>'+
				'</div>'+
				'';
			return out;
		}
	}
};

/* module: www/assets/js/_modules/account/template.js */
template.account={
	_datas: {
		addressForm:function() {
			/* PRIVATE */
			return {
				id		:'addAddressForm',
				fields:[
					{
						type		: 'hidden',
						name		: 'address.id',
						value		: '{{{thisAddress.id}}}'
					},
					{
						nolabel		: true,
						type		: 'text',
						icon		: 'search',
						name		: 'address.google_address',
						lang		: 'account.address.complete',
						labelattr	: ' pwm-lang="account.address.complete"',
						attr		: ' pwm-lang="account.address.complete" id="addressAutoComplete"',
						value		: '',
						cls			: 'address-finder',
						wrapField	: '<strong pwm-lang="account.address.completeText"></strong> <br />'+
									  '{{field}}'+
									  '{{#thisAddress.id}}<div class="clearfix row hrOr"><span pwm-lang="signin.ou">Ou</span></div>{{/thisAddress.id}}{{^thisAddress.id}}<hr />{{/thisAddress.id}}'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.alias',
						lang		: 'account.address.alias',
						labelattr	: ' pwm-lang="account.address.alias"',
						attr		: ' pwm-lang="account.address.alias" required="required"',
						value		: '{{#thisAddress.alias}}{{{thisAddress.alias}}}{{/thisAddress.alias}}',
						cls			: 'address-result',
						wrapField	: '<strong pwm-lang="account.address.validateInfos"></strong> <br />'+
									  '{{field}}'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.stnumber',
						lang		: 'addAddress.stnumber',
						labelattr	: ' pwm-lang="account.address.stnumber"',
						attr		: ' pwm-lang="account.address.stnumber" required="required"',
						value		: '{{thisAddress.stnumber}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.street',
						lang		: 'account.address.street',
						labelattr	: ' pwm-lang="account.address.street"',
						attr		: ' pwm-lang="account.address.street" required="required"',
						value		: '{{{thisAddress.street}}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.apartment',
						lang		: 'account.address.apartment',
						labelattr	: ' pwm-lang="account.address.apartment"',
						attr		: ' pwm-lang="account.address.apartment"',
						value		: '{{thisAddress.apartment}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'select',
						name		: 'address.country',
						lang		: 'account.address.country',
						labelattr	: ' pwm-lang="account.address.country"',
						attr		: ' pwm-lang="account.address.country"',
						beforeOptions	: '<option val="SELECT" pwm-lang="account.address.country" disabled="disabled" selected="selected"></option>',
						value		: 'CA',
						values		: '{{#countriesStates}}'+
											'<option value="{{iso}}" {{#selected}}selected="selected"{{/selected}}>{{{nom}}}</option>'+
									  '{{/countriesStates}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'select',
						name		: 'address.state',
						lang		: 'account.address.province',
						labelattr	: ' pwm-lang="account.address.province"',
						attr		: ' pwm-lang="account.address.province"',
						beforeOptions	: '<option val="SELECT" pwm-lang="account.address.province" disabled="disabled" selected="selected"></option>',
						value		: 'QC',
						values		: '{{#countriesStates}}'+
											'<optgroup data-country="{{iso}}" label="{{{nom}}}">'+
												'{{#states}}'+
													'<option value="{{iso}}" {{#selected}}selected="selected"{{/selected}}>{{state}}</option>'+
												'{{/states}}'+
											'</optgroup>'+
									  '{{/countriesStates}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.zipcode',
						lang		: 'account.address.zipcode',
						labelattr	: ' pwm-lang="account.address.zipcode"',
						attr		: ' pwm-lang="account.address.zipcode" mask="postalcode" required="required"',
						value		: '{{thisAddress.zipcode}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.city',
						lang		: 'account.address.city',
						labelattr	: ' pwm-lang="account.address.city"',
						attr		: ' pwm-lang="account.address.city" required="required"',
						value		: '{{{thisAddress.city}}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'select',
						name		: 'address.usePhone',
						lang		: 'account.address.usePhone.label',
						labelattr	: ' pwm-lang="account.address.usePhone.label"',
						attr		: ' pwm-lang="account.address.usePhone.label"',
						beforeOptions	: '<option val="SELECT" pwm-lang="account.address.usePhone.label" disabled="disabled" selected="selected"></option>',
						value		: '',
						values		: '{{#usePhone}}'+
											'{{#show}}<option value="{{name}}" pwm-lang="account.address.usePhone.{{value}}"{{selected}}></option>{{/show}}'+
									  '{{/usePhone}}',
						cls			: 'address-usePhone grp-address-result'
					},
					{
						nolabel		: true,
						type		: 'phone',
						name		: 'address.phone',
						lang		: 'account.address.phone',
						labelattr	: ' pwm-lang="account.address.phone"',
						attr		: ' pwm-lang="account.address.phone"',
						value		: '{{thisAddress.phone}}',
						cls			: 'address-phone address-result'
					},
					{
						type		: 'selectbtns',
						name		: 'address.phoneType',
						lang		: 'account.address.phoneType',
						labelattr	: ' pwm-lang="account.address.phoneType"',
						attr		: ' pwm-lang="account.address.phoneType"',
						values		: {
							home	: {
								label	: 'account.address.home',
								value	: 'home'
							},
							mobile	: {
								label	: 'account.address.mobile',
								value	: 'mobile'
							},
							work	: {
								label	: 'account.address.work',
								value	: 'work'
							}
						},
						cls			: 'account-address-phoneType address-result',
						value		: '{{thisAddress.phoneType}}'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.near',
						lang		: 'account.address.near',
						labelattr	: ' pwm-lang="account.address.near"',
						attr		: ' pwm-lang="account.address.near"',
						value		: '{{{thisAddress.near}}}',
						cls			: 'address-result'
					},
					{
						nolabel		: true,
						type		: 'text',
						name		: 'address.note',
						lang		: 'account.address.note',
						labelattr	: ' pwm-lang="account.address.note"',
						attr		: ' pwm-lang="account.address.note"',
						value		: '{{{thisAddress.note}}}',
						cls			: 'address-result'
					},
					{
						type		: 'yesno',
						name		: 'address.isDefault',
						lang		: 'account.address.defaultAddress',
						labelattr	: ' pwm-lang="account.address.defaultAddress"',
						attr		: ' pwm-lang="account.address.defaultAddress"',
						values		: {
							yes	: {
								label	: 'system.yes',
								value	: '1'
							},
							no	: {
								label	: 'system.no',
								value	: '0'
							}
						},
						value		: '{{{thisAddress.isDefault}}}',
						cls			: 'guestCheckout_option address-result'
					},
					{
						type		: 'yesno',
						name		: 'address.useNow',
						lang		: 'account.address.useNow',
						labelattr	: ' pwm-lang="account.address.useNow"',
						attr		: ' pwm-lang="account.address.useNow"',
						values		: {
							yes	: {
								label	: 'system.yes',
								value	: '1'
							},
							no	: {
								label	: 'system.no',
								value	: '0'
							}
						},
						value		: '0',
						cls			: 'guestCheckout_option grp-address-result'
					}
				]
			}
		}
	},
	base:function(){
		var out=
			'<div class="userAccountInfos well">'+
				'<div class="row">'+
					'<div class="col-md-8">'+
						'<h3><i class="fa fa-cogs"></i> <span pwm-lang="account.title"></span></h3>'+
					'</div>'+
					'<div class="col-md-4 uaOpts">'+
						'<div class="input-group pull-right text-right">'+
							'<button class="btn btn-primary pull-right accountOptions">'+
							'<i class="fa fa-pencil-square-o fa-lg"></i> <span pwm-lang="account.options"></span></button>'+
						'</div>'+
					'</div>'+
				'</div>'+
				'<table class="table table-condensed table-striped addwhitebg">'+
					'<tbody>'+
						'<tr>'+
							'<td><span pwm-lang="account.firstname"></span></td>'+
							'<td>{{{firstname}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.lastname"></span></td>'+
							'<td>{{{lastname}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.email"></span></td>'+
							'<td>'+
							'<a href="#emailChangeModal" data-toggle="modal" class="changeEmail pull-right text-muted"><small><span pwm-lang="system.edit"></span></small></a>'+
								'{{#bounced.status.id}}'+
									'<div class="alert-nomargin alert alert-danger alert-small bounced">'+
										'<i class="fa fa-fw fa-warning"></i>'+
										' {{{email}}}<br/>'+
										'<small><span pwm-lang="account.email.errors.bounced.resume"></span></small>'+
									'</div>'+
								'{{/bounced.status.id}}'+
								'{{^bounced.status.id}}'+
									'{{{email}}}'+
								'{{/bounced.status.id}}'+
							'</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.address.usePhone.label"></span></td>'+
							'<td><span pwm-lang="account.address.{{{phonetype}}}"></span></td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.homephone"></span></td>'+
							'<td>{{{phone}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.mobile"></span></td>'+
							'<td>'+
								'{{#cellulaire}}'+
									'{{{cellulaire}}}'+
								'{{/cellulaire}}'+
								'{{^cellulaire}}'+
									'{{#mobile}}'+
										'{{{mobile}}}'+
									'{{/mobile}}'+
								'{{/cellulaire}}'+
							'</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.workPhone"></span></td>'+
							'<td>{{{phone_work}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td>'+
								'<span pwm-lang="account.birthday.label"></span>'+
							'</td>'+
							'<td>'+
								'{{{birthdate}}} '+
								'{{#birthdate}}'+
									'<small class="hidden-xs">({{age}} <span pwm-lang="account.birthday.age"></span>)</small>'+
								'{{/birthdate}}'+
								'<a href="javascript:void(0)" class="whyAddBirthday pull-right text-muted">'+
									'<small pwm-lang="account.birthday.why"></small>'+
								'</a>'+
							'</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.country"></span></td>'+
							'<td>{{{country}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.timezone"></span></td>'+
							'<td>{{{timezone}}}</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.password"></span></td>'+
							'<td>'+
							'<a href="javascript:void(0)" class="changePassword pull-right text-muted"><small><span pwm-lang="system.edit"></span></small></a>'+
							'***********</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.newsletter"></span></td>'+
							'<td>'+
								'<div class="newsletter_on"><a href="javascript:void(0)" class="pull-right text-muted"><small pwm-lang="account.newsletter.signout"></small></a><span class="text-success"><i class="fa fa-check fa-lg"></i> <span pwm-lang="account.newsletter.signedin"></span></span></div>'+
								'<div class="newsletter_off"><a href="javascript:void(0)" class="pull-right text-muted"><small pwm-lang="account.newsletter.signin"></small></a><span class="text-danger"><i class="fa fa-times fa-lg"></i> <span pwm-lang="account.newsletter.notsignedin"></span></span></div>'+
							'</td>'+
						'</tr>'+
						'<tr>'+
							'<td><span pwm-lang="account.sendconfmail"></span></td>'+
							'<td>'+
								'<div class="confEmail_on"><a href="javascript:void(0)" class="pull-right text-muted"><small pwm-lang="account.sendconfmail.disable"></small></a><span class="text-success"><i class="fa fa-check fa-lg"></i> <span pwm-lang="account.sendconfmail.enabled"></span></span></div>'+
								'<div class="confEmail_off"><a href="javascript:void(0)" class="pull-right text-muted"><small pwm-lang="account.sendconfmail.enable"></small></a><span class="text-danger"><i class="fa fa-times fa-lg"></i> <span pwm-lang="account.sendconfmail.disabled"></span></span></div>'+
							'</td>'+
						'</tr>'+
					'</tbody>'+
				'</table>'+
			'</div>'+
			'{{^mobile}}'+
				template.account.social.accounts.base()+
			'{{/mobile}}'+
			template.account.cards.base()+
			'';
		return out;
	},
	social:{
		accounts:{
			base:function(){
				var out=
					'<div class="userSocialAccounts well">'+
						'<div class="row">'+
							'<div class="col-md-8">'+
								'<h3><i class="fa fa-"></i> <span pwm-lang="account.social.title"></span></h3>'+
							'</div>'+
						'</div>'+
						'<div class="socialMediaLogin">'+
							template.account.social.accounts.facebook()+
						'</div>'+
					'</div>';
				return out;
			},
			facebook:function(){
			   var out =
					//'<button class="facebookLogin">'+
					//	'<i class="fa fa-facebook"></i> '+
					//	'<span pwm-lang="signin.social.facebook"></span>'+
					//'</button> '+
					 '<div class="facebook">'+
						'<button class="facebookLogin link"><i class="fa fa-fw fa-facebook fa-lg socialIcon"></i> <span><i class="fa fa-fw fa-plus"></i> <span pwm-lang="account.social.connect.facebook.link"></span></span></button>'+
						'<button class="facebookLogin unlink"><i class="fa fa-fw fa-facebook fa-lg socialIcon"></i>  <span><i class="fa fa-fw fa-ban"></i> <span pwm-lang="account.social.connect.facebook.unlink"></span></span></button>'+
					 '</div>'+
					'';
				return out;
			}
		}
	},
	cards:{
		base:function(){
			var out=
			'<div class="userCreditCards well">'+
				'<div class="row">'+
					'<div class="col-md-8">'+
						'<h3><i class="fa fa-credit-card"></i> <span pwm-lang="account.cards.title"></span></h3>'+
					'</div>'+
				'</div>'+
				template.account.cards.table()+
			'</div>';
			return out;
		},
		table:function(){
			var out=
				'{{#cards.length}}'+
					'<table class="table table-condensed table-striped addwhitebg">'+
						'<thead>'+
							'<tr>'+
								'<th><span pwm-lang="account.cards.th.alias"></span></th>'+
								'<th><span pwm-lang="account.cards.th.issuer"></span></th>'+
								'<th><span pwm-lang="account.cards.th.last4"></span></th>'+
								'<th><span pwm-lang="account.cards.th.status.label"></span></th>'+
								'<th></th>'+
							'</tr>'+
						'</thead>'+
						'<tbody>{{#cards}}'+
							template.account.cards.tblrow()+
						'{{/cards}}</tbody>'+
					'</table>'+
				'{{/cards.length}}';
			return out;
		},
		tblrow:function(){
			var out=
			'<tr data-id="{{id}}" class="{{cls}}">'+
				'<td>{{{label}}}</td>'+
				'<td>{{{issuer}}}</td>'+
				'<td>****-{{{last4}}}</td>'+
				'<td class="text-{{#isValid}}success{{/isValid}}{{^isValid}}danger{{/isValid}}">'+
					'{{#isValid}}<i class="fa fa-check fa-lg"></i> {{/isValid}}'+
					'{{^isValid}}<i class="fa fa-warning fa-lg"></i> {{/isValid}}'+
					'<span pwm-lang="account.cards.th.status.{{status}}"></span></td>'+
				'<td class="text-right">'+
					'<button class="btn btn-danger" data-toggle="confirmation" data-placement="left" '+
						'pwm-lang-data-title="account.cards.deleteCard.title" data-href="javascript:void(0)" '+
						'data-btnOkClass="btn btn-danger" data-btnCancelClass="btn btn-default"><i class="fa fa-times"></i></button>'+
				'</td>'+
			'</tr>'+
			'';
			return out;
		},
		add:{
			modal:function(){ //template.account.cards.add.modal
				var out=template.modal({
					title	: '<i class="fa fa-credit-card"></i> <span pwm-lang="account.cards.add.title"></span>',
					id		: 'accountAddCardModal',
					btns	:'<button class="saveNewCreditCard btn btn-success pull-right"><i class="fa fa-save fa-lg"></i><span pwm-lang="account.address.save"></span></button>',
					closeBtn:{
						label	: '<span pwm-lang="system.cancel"></span>'
					},
					body	:   '<form id="accountAddCardForm">'+
									'<div class="form-horizontal">'+
										template.checkout.panels.paymentsForm.newCC()+
									'</div>'+
								'</form>'
				});
				return out;


			}
		},
		edit:{
			modal:function(){ //template.account.cards.edit.modal
				var out=template.modal({
					title	: '<i class="fa fa-credit-card"></i> <span pwm-lang="account.cards.edit.title"></span>',
					id		: 'accountEditCardModal',
					btns	:'<button class="btn btn-success pull-right saveEditCreditCard"><i class="fa fa-save fa-lg"></i><span pwm-lang="account.address.save"></span></button>',
					closeBtn:{
						label	: '<span pwm-lang="system.cancel"></span>'
					},
					body	:   '<form id="accountEditCardForm">'+
									'<div class="form-horizontal">'+
										template.formBuilder(form)+
									'</div>'+
								'</form>'
				});
				return out;
			}
		}
	},
	accountopt:function(){
		var form = {
			id		:'accountoptForm',
			note	: '<div class="alert alert-danger alert-dissmissable phoneReq hidden">'+
						'<i class="fa fa-exclamation-triangle"></i>  <span pwm-lang="account.errors.phoneReq"></span>'+
					  '</div>'+
					  '<div class="alert alert-success alert-dissmissable updatedUserAccount hidden">'+
						'<i class="fa fa-check"></i> <span pwm-lang="account.toastr.editAccount.success"></span>'+
					  '</div>',
			fields:[
				{
					type		: 'text',
					name		: 'account.firstname"',
					lang		: 'account.firstname"',
					labelattr	: 'pwm-lang="account.firstname"',
					attr		: 'pwm-lang="account.firstname" required="required"',
					value		: '{{{thisAccount.firstname}}}'
				},
				{
					type		: 'text',
					name		: 'account.lastname',
					lang		: 'account.lastname',
					labelattr	: 'pwm-lang="account.lastname"',
					attr		: 'pwm-lang="account.lastname" required="required"',
					value		: '{{thisAccount.lastname}}'
				},
				{
					type		: 'phone',
					name		: 'account.phone',
					lang		: 'account.phone',
					labelattr	: 'pwm-lang="account.phone"',
					attr		: 'pwm-lang="account.phone"',
					value		: '{{thisAccount.phone}}'
				},
				{
					type		: 'mobile',
					name		: 'account.mobile',
					lang		: 'account.mobile',
					labelattr	: 'pwm-lang="account.mobile"',
					attr		: 'pwm-lang="account.mobile"',
					value		: '{{thisAccount.mobile}}'
				},
				{
					type		: 'phone',
					name		: 'account.phone_work',
					lang		: 'account.phone_work',
					labelattr	: 'pwm-lang="account.workPhone"',
					attr		: 'pwm-lang="account.workPhone"',
					value		: '{{thisAccount.phone_work}}'
				},
				{
					type		: 'date',
					name		: 'account.birthdate',
					lang		: 'account.birthdate',
					labelattr	: 'pwm-lang="account.birthday.label"',
					attr		: 'pwm-lang="account.birthday.label"',
					value		: '{{thisAccount.birthdate}}'
				},
				{
					type		: 'selectbtns',
					name		: 'account.phonetype',
					lang		: 'account.phonetype',
					labelattr	: 'pwm-lang="account.phonetype"',
					attr		: 'pwm-lang="account.phonetype"',
					values		: {
						phone	: {
							label	: 'account.phone',
							value	: 'home'
						},
						mobile	: {
							label	: 'account.mobile',
							value	: 'mobile'
						},
						workPhone	: {
							label	: 'account.workPhone',
							value	: 'workPhone'
						}
					},
					value		: '{{thisAccount.phonetype}}'
				},
				{
					type		: 'select',
					name		: 'account.country',
					lang		: 'account.country',
					labelattr	: ' pwm-lang="account.country"',
					attr		: ' pwm-lang="account.country"',
					value		: 'CA',
					values		: '{{#thisAccount.country}}'+
										'<option value="{{iso}}" {{#selected}}selected="selected"{{/selected}}>{{{nom}}}</option>'+
								  '{{/thisAccount.country}}'
				},
				{
					type		: 'selectbtns',
					name		: 'account.sendconfmail',
					lang		: 'account.sendconfmail',
					labelattr	: 'pwm-lang="account.sendconfmail"',
					attr		: 'pwm-lang="account.sendconfmail"',
					values		: {
						yes	: {
							label	: 'system.yes',
							value	: '1'
						},
						no	: {
							label	: 'system.no',
							value	: '0'
						}
					},
					value		: '{{thisAccount.sendconfmail}}'
				}
			]
		},
		out =
			template.modal({
				title	: '<i class="fa fa-home"></i> <span pwm-lang="account.title"></span>',
				id		: 'accountoptModal',
				btns	:'<button class="btn btn-success pull-right saveAccount"><i class="fa fa-save fa-lg"></i><span pwm-lang="account.address.save"></span></button>',
				closeBtn:{
					label	: '<span pwm-lang="system.cancel"></span>'
				},
				body: template.formBuilder(form)
			});
		return out;
	},
	changeEmail:function(){
		var form={
			id		:'changeEmailForm',
			note	: '<span pwm-lang="account.changeEmail.info"></span>',
			fields:[

				{
					//autocomplete: false,
					type		: 'email',
					name		: 'changeEmail.newEmail',
					lang		: 'changeEmail.newEmail',
					labelattr	: 'pwm-lang="account.changeEmail.newEmail"',
					attr		: ' pwm-lang="account.changeEmail.newEmail" required="required"',
					value		: ''
				},
				{
					autocomplete: false,
					type		: 'password',
					name		: 'changeEmail.password',
					lang		: 'changeEmail.password',
					labelattr	: 'pwm-lang="account.changeEmail.password"',
					attr		: ' pwm-lang="account.changeEmail.password" required="required"',
					value		: ''
				}
			]
		};
		var out=template.modal({
			title	: '<i class="fa fa-key"></i> <span pwm-lang="account.changeEmail.title"></span>',
			id		: 'changeEmailModal',
			btns	:'<button class="btn btn-success pull-right saveEmail"><i class="fa fa-save fa-lg"></i><span pwm-lang="system.save"></span></button>',
			closeBtn:{
				label	: '<span pwm-lang="system.cancel"></span>'
			},
			body:'<div class="alert alert-info"><p pwm-lang="account.changeEmail.info"></p></div>'+template.formBuilder(form)
		});
		return out;
	},
	changePass:function(){
		var form={
			id		:'changePassForm',
			note	: '<span pwm-lang="account.changePass.info"></span>',
			fields:[
				{
					autocomplete: false,
					type		: 'password',
					name		: 'changePass.current"',
					lang		: 'changePass.current"',
					labelattr	: 'pwm-lang="account.changePass.current"',
					attr		: ' pwm-lang="account.changePass.current" required="required" id="tt_chpwcur"',
					value		: ''
				},
				{
					autocomplete: false,
					type		: 'password',
					name		: 'changePass.newPass"',
					lang		: 'changePass.newPass"',
					labelattr	: 'pwm-lang="account.changePass.newPass"',
					attr		: ' pwm-lang="account.changePass.newPass" required="required" id="tt_chpwnp"',
					value		: ''
				},
				{
					autocomplete: false,
					type		: 'password',
					name		: 'changePass.confirm"',
					lang		: 'changePass.confirm"',
					labelattr	: 'pwm-lang="account.changePass.confirm"',
					attr		: ' pwm-lang="account.changePass.confirm" required="required" id="tt_chpwcp"',
					value		: ''
				}
			]
		};
		var out=template.modal({
			title	: '<i class="fa fa-key"></i> <span pwm-lang="account.changePass.title"></span>',
			id		: 'changePassModal',
			btns	:'<button class="btn btn-success pull-right savePassword"><i class="fa fa-save fa-lg"></i><span pwm-lang="system.save"></span></button>',
			closeBtn:{
				label	: '<span pwm-lang="system.cancel"></span>'
			},
			body:template.formBuilder(form)
		});
		return out;
	},
	addresses:{
		validateDeleteAddr:function(){
			var out =
				'<div class="modal fade" id="validateDeleteAddr">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
								'<h4 class="modal-title"><i class="fa fa-exclamation-triangle"></i> <span pwm-lang="account.address.defaultaddr.title"></span></h4>'+
							'</div>'+
							'<div class="modal-body">'+
								'{{#defaultCheck}}'+
									'<div class="dropdown">'+
										'<span pwm-lang="account.address.defaultaddr.selectNewDefault"></span> <br /><br />'+
										'<button class="btn btn-default dropdown-toggle" type="button" id="dropdownDefaultAddress" data-toggle="dropdown" aria-expanded="true">'+
											'<span pwm-lang="account.address.defaultaddr.choose"></span> '+
											'<span class="caret"></span>'+
										'</button>'+
										'<i class="fa fa-exclamation-triangle hidden noDefaultSet pull-left"></i>'+
										'<ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu1">'+
											'{{#otherAddresses}}'+
												'<li role="presentation"><a role="menuitem" tabindex="-1" data-addressid="{{{id}}}">{{{alias}}}</a></li>'+
											'{{/otherAddresses}}'+
										'</ul>'+
									'</div>'+
								'{{/defaultCheck}}'+
								'{{#defaultCheck}}{{#currentCheck}}<hr />{{/currentCheck}}{{/defaultCheck}}'+
								'{{#currentCheck}}'+
									'<div class="alert alert-warning">'+
										'<h4><i class="fa fa-exclamation-triangle"></i> <span pwm-lang="account.address.validateCurrent.title"></span></h4>'+
										'<input type="checkbox" id="deleteCurrent" /> <span pwm-lang="account.address.validateCurrent.warning"></span>'+
									'</div>'+
								'{{/currentCheck}}'+
							'</div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-default" data-dismiss="modal" pwm-lang="account.address.defaultaddr.close"></button>'+
								'<button type="button" class="btn btn-success addressesVerification" pwm-lang="account.address.defaultaddr.save"></button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'';
			return out;
		},
		list:function(){
			var out=
				'<div class="uaOpts">'+
					'<button class="btn btn-primary pull-right addAddress"><i class="fa fa-plus fa-lg"></i> <span pwm-lang="account.addresses.list.addBtn"></span></button>'+
				'</div>'+
				'<h3><i class="fa fa-home"></i> <span pwm-lang="account.addresses.list.title"></span></h3>'+
				'<div class="addressesList">'+
					'<ul class="list-group onlineAddresses">'+
						'{{#addresses}}'+
							template.account.addresses.listItem()+
						'{{/addresses}}'+
					'</ul>'+
				'</div>';
			return out;
		},
		listItem:function(){
			var out=
				'<li class="addressItemRow list-group-item clearfix{{^branchName}} text-muted{{/branchName}}" data-id="{{id}}" {{#branch.uid}}data-branch="{{branch.uid}}"{{/branch.uid}} {{#branch.zone}}data-zone="{{branch.zone}}"{{/branch.zone}}>'+
					template.account.addresses.itemParts.status()+ // deleted/restored
					template.account.addresses.itemParts.options()+
					'<b>{{{alias}}}</b><br/>'+
					'{{{stnumber}}}, {{{street}}}{{#apt}}, #{{apt}}{{/apt}}<br/>'+
					'{{{city}}}, {{{zipcode}}}<br/>'+
					'<span pwm-lang="account.address.usePhone.label"></span>: <span pwm-lang="account.address.usePhone.type.{{{usePhone}}}"></span><br />'+
					'<small>'+
						template.account.addresses.itemParts.geo()+
					'</small>'+
				'</li>';
			return out;
		},
		itemParts:{
			geo:function(){
				var out =
					'{{^geocodingStatus}}'+
						 '<span class="text-danger">'+
							 '<i class="fa fa-map-marker fa-lg"></i>'+
							 '<span pwm-lang="account.address.geocodingFailed"></span>'+
						 '</span>'+
					 '{{/geocodingStatus}}'+
					 '{{#geocodingStatus}}'+
						 '{{#branchName}}'+
							 '<span pwm-lang="account.address.closestBranch"></span> {{{branchName}}}. '+
						 '{{/branchName}}'+
						 '{{^branchName}}'+
							 '<span class="text-danger">'+
								 '<i class="fa fa-ban fa-lg"></i>'+
								 '<span pwm-lang="account.address.tooFar"></span>'+
							 '</span>'+
						 '{{/branchName}}'+
						 ' <span class="hidden isDefaultAddr" pwm-lang="account.address.isDefault"></span>'+
					 '{{/geocodingStatus}}'+
					 '';
				return out;
			},
			options:function(){
				var out =
					'<div class="btn-group pull-right">'+
						'<button type="button" class="btn btn-default dropdown-toggle" '+
							'data-toggle="dropdown">'+
								'<span class="fa fa-cog"></span> '+
								'<span class="fa fa-caret-down"></span></button>'+
						'<ul class="dropdown-menu">'+
							'<li class="editUserAddress"><a href="javascript:void(0)">'+
								'<i class="fa fa-edit"></i> <span pwm-lang="system.edit"></span></a></li>'+
							'<li class="{{#branchName}}selectUserAddress{{/branchName}}{{^branchName}} text-muted disabled{{/branchName}}">'+
								'<a href="javascript:void(0)">'+
									'<i class="fa fa-chevron-right"></i> <span pwm-lang="system.addselect"></span>'+
								'</a></li>'+
							'<li class="deleteUserAddress"><a href="javascript:void(0)"><i class="fa fa-trash-o"></i> <span pwm-lang="system.remove"></span></a></li>'+
						'</ul>'+
					'</div>'+
					'';
				return out;
			},
			status:function(){
				var out =
					'<div class="alert alert-danger deleteAddress">'+
					 '<span pwm-lang="account.address.disabled.warning"></span> '+
					 '<a href="javascript:void(0)" class="undoDeleteAddress">'+
						 '<span pwm-lang="account.address.disabled.link"></span>'+
					 '</a>'+
				 '</div>'+
				 '<div class="alert alert-success restoredAddr">'+
					 '<span pwm-lang="account.address.disabled.restoredAddr"></span>'+
				 '</div>'+
				 '';
				return out;
			}
		},
		addAddress:function(){
			var form = template.account._datas.addressForm(),
				out = template.modal({
						attr	: 'data-isGuest="{{#isGuest}}true{{/isGuest}}{{^isGuest}}false{{/isGuest}}"',
						title	: '<i class="fa fa-home"></i> '+
									'<span pwm-lang="account.addresses.{{#thisAddress.id}}edit{{/thisAddress.id}}{{^thisAddress.id}}add{{/thisAddress.id}}.title"></span> '+
									'<div class="alert alert-warning hidden warAddress AddressWarning"> '+
										'<i class="fa fa-exclamation-triangle"></i> '+
										'<span pwm-lang="account.address.warAddress"></span>'+
									'</div>'+
									'<div class="alert alert-danger hidden noAddrMatchForGuest"> '+
										'<i class="fa fa-exclamation-triangle"></i> '+
										'<span pwm-lang="account.address.noAddrMatchForGuest"></span>'+
									'</div>',
						id		: 'addAddressModal',
						btns	:	'<button class="saveAddress submitBtn btn btn-success pull-right">'+
										'<span class="save_btn_lbl"><i class="fa fa-save fa-lg"></i><span pwm-lang="account.address.save"></span></span>'+
										'<span class="saved_btn_lbl"><i class="fa fa-check fa-lg"></i><span pwm-lang="account.address.saved"></span></span>'+
										'<span class="saving_btn_lbl"><i class="fa fa-spin fa-spinner fa-lg"></i><span pwm-lang="account.address.validate"></span></span>'+
									'</button>',
						closeBtn:{
							label	: '<span pwm-lang="system.close"></span>'
						},
						body: template.formBuilder(form)
					});
			return out;
		}
	},
	orderHistory: {
		show:function() {
			var out =
				'<div id="orderHistory">'+
					'<a class="pull-right" href="#!/account/savedOrders">'+
						'<i class="fa fa-heart"></i> '+
						'<span pwm-lang="account.savedOrders.title"></span> >'+
					'</a>'+
					'<h3><i class="fa fa-history fa-lg"></i> <span pwm-lang="account.orders.history.title"></span></h3>'+
					'{{#data}}'+
						'<div class="col-xs-4 orderHistoryPagination pull-right">'+
							'<div class="my-navigation pagination pull-right">'+
								'<div class="simple-pagination-first"></div>'+
								'<div class="simple-pagination-previous"></div>'+
								'<div class="simple-pagination-page-numbers"></div>'+
								'<div class="simple-pagination-next"></div>'+
								'<div class="simple-pagination-last"></div>'+
							'</div>'+
						'</div>'+
						'<table class="addwhitebg table">'+
							'<thead>'+
								'<tr>'+
									'<th></th>'+
									'<th></th>'+
									'<th><span pwm-lang="account.orders.history.th.orderID"></span></th>'+
									'<th><span pwm-lang="account.orders.history.th.date"></span></th>'+
									'<th class="noRetail"><span pwm-lang="account.orders.history.th.store"></span></th>'+
									'<th><span pwm-lang="account.orders.history.th.status"></span></th>'+
									'<th><span pwm-lang="account.orders.history.th.price"></span></th>'+
									'<th><span pwm-lang="account.orders.history.th.actions"></span></th>'+
								'</tr>'+
							'</thead>'+
							'<tbody>'+
								'{{#orders}}'+
									template.account.orderHistory.row()+
								'{{/orders}}'+
							'</tbody>'+
						'</table>'+
					'{{/data}}'+
					'{{^data}}'+
						'<div class="alert alert-warning"><span pwm-lang="account.orders.history.none"></span></div>'+
					'{{/data}}'+
				'</div>'+
				'';
			return out;
		},
		row:function(){
			var out=
			'<tr data-id="{{id}}" class="{{cls}}">'+
				'<td width="50">{{#orderName}}<i class="fa fa-heart love"></i>{{/orderName}}</td>'+
				'<td width="25" class="text-center">{{#attachments.length}}<i class="fa fa-paperclip fa-lg"></i>{{/attachments.length}}</td>'+
				'<td>'+
					'<span class="mobileTH" pwm-lang="account.orders.history.th.orderID"></span>'+
					'{{#pos_orderid}}{{pos_orderid}}{{/pos_orderid}}'+
					'{{^pos_orderid}}{{shortid}}{{/pos_orderid}}'+
				'</td>'+
				'<td>'+
					'<span class="mobileTH" pwm-lang="account.orders.history.th.date"></span>'+
					'{{j}} <span pwm-lang="account.savedOrders.at"></span> {{h}}'+
				'</td>'+
				'<td class="noRetail">'+
					'<span class="mobileTH" pwm-lang="account.orders.history.th.store"></span>'+
					'{{branchname.name}}'+
				'</td>'+
				'<td>'+
					'<span class="mobileTH" pwm-lang="account.orders.history.th.status"></span>'+
					'<span pwm-lang="account.orders.status.{{orderstatus}}"></span>'+
				'</td>'+
				'<td class="text-right">'+
					'<span class="mobileTH" pwm-lang="account.orders.history.th.price"></span>'+
					'<span pwm-lang-price="{{total}}"></span>'+
				'</td>'+
				'<td>'+
					'<button class="btn btn-primary viewOrder">'+
						'<span pwm-lang="account.orders.history.details"></span> '+
						'<span class="fa fa-chevron-right"></span>'+
					'</button>'+
				'</td>'+
			'</tr>';
			return out;
		},
		reorder:{
			storeMismatch:function() {
				var out =
					'<div class="modal fade" id="reorderStoreMismatch" data-id="{{id}}" tabindex="-1" role="dialog" aria-labelledby="reorderStoreMismatchLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">'+
						'<div class="modal-dialog">'+
							'<div class="modal-content">'+
								'<div class="modal-header">'+
									'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><span pwm-lang="checkout.saveOrder.close"></span></span></button>'+
									'<h4 class="modal-title" id="reorderStoreMismatchLabel"><span pwm-lang="account.orders.history.reorder.storeMismatch.title"></span></h4>'+
								'</div>'+
								'<div class="modal-body clearfix">'+
									'<div class="alert alert-info"><p pwm-lang="account.orders.history.reorder.storeMismatch.text"></p></div>'+
									'<div class="row">'+
										'<div class="col-md-6 clearfix">'+
											template.panel({
												cls		: 'default',
												attr	: '',
												title	: '<span pwm-lang="account.orders.history.reorder.storeMismatch.useMatching.title"></span>:',
												body	:
													'<div class="panelText">'+
														'<p pwm-lang="account.orders.history.reorder.storeMismatch.useMatching.text.matchingstore"></p>'+
														'<p class="matchingStoreName"><b>{{{matching.name}}}</b></p>'+
														'<p pwm-lang="account.orders.history.reorder.storeMismatch.useMatching.text.clicktoorder"></p>'+
													'</div>'+
													'<div><button type="button" class="btn btn-primary btn-block useMatching">'+
														'<span pwm-lang="account.orders.history.reorder.storeMismatch.useMatching.button"></span>'+
													'</button></div>'
											})+
										'</div>'+
										'{{#central}}'+
											'<div class="col-md-6">'+
												template.panel({
													cls		: 'default',
													attr	: '',
													title	: '<span pwm-lang="account.orders.history.reorder.storeMismatch.useCurrent.title"></span>:',
													body	:
														'<div class="panelText"><p pwm-lang="account.orders.history.reorder.storeMismatch.useCurrent.text"></p></div>'+
														'<div><button type="button" class="btn btn-default btn-block useCurrent">'+
															'<span pwm-lang="account.orders.history.reorder.storeMismatch.useCurrent.button"></span>'+
														'</button></div>'
												})+
											'</div>'+
										'{{/central}}'+
									'</div>'+
								'</div>'+
								'<div class="modal-footer">'+
									'<button type="button" class="btn btn-default" data-dismiss="modal">'+
										'<span pwm-lang="checkout.saveOrder.close"></span>'+
									'</button>'+
								'</div>'+
							'</div>'+
						'</div>'+
					'</div>';
				return out;
			}
		}
	},
	order: {
		btns:function(){
			var out =
				'<div class="clearfix">'+
					'<a href="javascript:history.go(-1);" class="btn btn-primary pull-left">'+
						'<span class="fa fa-chevron-left"></span> '+
						'<span pwm-lang="account.orders.history.back"></span>'+
					'</a>'+
					'<div class="btn-group pull-right">'+
						'<button class="btn btn-success reorderAddChange" data-id="{{{id}}}">'+
							'<span pwm-lang="account.orders.history.reorder"></span> '+
							'<span class="fa fa-chevron-right"></span>'+
						'</button>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		infos:{
			attachments:function(){
				var out =
					'{{#attachments.length}}'+
						template.panel({
							cls		: 'default attachmentsPanel',
							attr	: 'data-customer="{{crow}}"',
							title	: '<i class="fa fa-paperclip fa-lg"></i> <span pwm-lang="account.orders.history.panels.attachments.title"></span>',
							body	: '<table class="table table-condensed table-striped">'+
								'<thead>'+
									'<tr>'+
										'<th><span pwm-lang="account.orders.history.panels.attachments.th.serial"></span></th>'+
										'<th><span pwm-lang="account.orders.history.panels.attachments.th.name"></span></th>'+
										'<th class="text-right"><span pwm-lang="account.orders.history.panels.attachments.th.download"></span></th>'+
									'</tr>'+
								'</thead>'+
								'<tbody>'+
									'{{#attachments}}'+
									'<tr data-id="{{id}}">'+
										'<th>{{serial}}</th>'+
										'<th>{{{name}}}</th>'+
										'<th class="text-right"><button type="button" class="btn btn-primary attachmentDownload"><i class="fa fa-download"></i></button></th>'+
									'</tr>'+
									'{{/attachments}}'+
								'</tbody>'+
							'</table>'
						})+
					'{{/attachments.length}}'+
					'';
				return out;
			},
			client:function(){
				var out =
					template.panel({
						cls		: 'default customerInfos',
						attr	: '',
						title	: '<i class="fa fa-user fa-lg"></i> <span pwm-lang="checkout.panels.customerInfos.title"></span>:',
						body	:
								//'{{#address_infos}}'+
									'{{user.name}}<br/>'+
									'{{phone.number}}<br/>'+
									'{{#address_infos}}'+
										'<span pwm-lang="checkout.panels.customerInfos.address"></span>:<br/>'+
										'<blockquote id="chord" class="customerAddress">'+
											'{{{alias}}} <br/>'+
											'{{{stnumber}}}, {{{street}}}<br/>'+
											'{{{city}}}, {{{zipcode}}}<br/>'+
											'{{{phone}}}'+
											'{{#near}}'+
												'<div id="chordNear">'+
													'<br/><span id="chordNear" pwm-lang="checkout.panels.customerInfos.near"></span>: '+
													'<span class="chordNear"></span>'+
												'</div>'+
											'{{/near}}'+
											'{{#note}}'+
												'<br/><span pwm-lang="checkout.panels.customerInfos.note"></span>: '+
												'<br/>{{{note}}}'+
											'{{/note}}'+
										'</blockquote>'+
									'{{/address_infos}}'+
								//'{{/address_infos}}'+
								''
					})+
					'';
				return out;
			},
			order:function(){
				var out =
					template.panel({
						cls		: 'default orderInfos',
						attr	: '',
						title	: '<i class="fa fa-info-circle fa-lg"></i> <span pwm-lang="checkout.panels.orderInfos.title"></span>:',
						body	:   '<h4><span pwm-lang="account.orders.history.th.status"></span>: '+
										'<span pwm-lang="account.orders.status.{{orderstatus}}"></span></h4>'+
									'{{#branchname}}'+
										'<span pwm-lang="checkout.panels.orderInfos.branch"></span>:<br/>'+
										'<blockquote id="ohord" class="customerAddress">'+
											'{{{name}}}<br/>'+
											'{{#address}}'+
												'{{{stnumber}}}, {{{street}}}<br/>'+
												'{{{city}}}, {{{zipcode}}}<br/>'+
												'{{{phone}}}'+
											'{{/address}}'+
										'</blockquote>'+
									'{{/branchname}}'+
									'<div class="row">'+
										'<div class="col-md-6">'+
											'<i class="fa fa-fw fa-car"></i> '+
												'<span class="reorderMemos" pwm-lang="system.fields.mode.{{{mode}}}"></span> <br />'+
											'<i class="fa fa-fw fa-clock-o"></i> '+
												'<span class="reorderMemos" pwm-lang="system.fields.timeSelection.{{{duedate}}}"></span> <br />'+
											'<i class="fa fa-fw fa-credit-card"></i> '+
												'<span class="reorderMemos" pwm-lang="account.orders.history.reorder.{{{payment_media}}}"></span> <br />'+
										'</div>'+
										'<div class="col-md-6">'+
											'{{#memos}}'+
												'<i class="fa fa-fw fa-comments-o"></i> {{{.}}} <br />'+
											'{{/memos}}'+
										'</div>'+
									'</div>'+
									''
					})+
					'</div>'+
					'';
				return out;
			},
			orderTotals:function(){
				var out =
					template.panel({
						cls		: 'default orderTotals',
						attr	: '',
						title	: '<i class="fa fa-thumbs-up fa-lg"></i> <span pwm-lang="account.orders.history.panels.orderTotals.title"></span>:',
						body	: '<div class="checkoutAmounts clearfix">'+
										'{{#amounts.discounts}}'+
											'<div class="discount clearfix">'+
												'<div class="text-right col-xs-6" pwm-lang="account.orders.history.panels.orderTotals.discount"></div>'+
												'<div class="amount col-xs-6 text-right" pwm-lang-price="{{amounts.discounts}}"></div>'+
											'</div>'+
										'{{/amounts.discounts}}'+
										'{{#amounts.fees.Delivery}}'+
											'<div class="deliveryfees clearfix">'+
												'<div class="text-right col-xs-6" pwm-lang="account.orders.history.panels.orderTotals.fees.Delivery"></div>'+
												'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amounts.fees.Delivery}}"></span></div>'+
											'</div>'+
										'{{/amounts.fees.Delivery}}'+
										'<div class="subtotal clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="account.orders.history.panels.orderTotals.subTotal"></div>'+
											'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amounts.subTotal}}"></span></div>'+
										'</div>'+
										'{{#amounts.taxes.length}}'+
											'{{#amounts.taxes}}'+
												'<div class="tax clearfix" data-tax-code="{{code}}">'+
													'<div class="text-right col-xs-6">'+
														'<span pwm-lang="system.taxs.{{code}}"></span>: <small>({{ratetext}})</small>:'+
													'</div>'+
													'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amount}}"></span></div>'+
												'</div>'+
											'{{/amounts.taxes}}'+
										'{{/amounts.taxes.length}}'+
										'<div class="total clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="account.orders.history.panels.orderTotals.total"></div>'+
											'<div class="amount col-xs-6 text-right"><b pwm-lang-price="{{amounts.total}}"></b></div>'+
										'</div>'+
										'{{#amounts.tip}}'+
											'<div class="total clearfix">'+
												'<div class="text-right col-xs-6" pwm-lang="account.orders.history.panels.orderTotals.tip"></div>'+
												'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amounts.tip}}"></span></div>'+
											'</div>'+
										'{{/amounts.tip}}'+
										'{{#amounts.discounts}}'+
											'<div class="alert alert-warning clearfix">'+
												'<i class="fa fa-fw fa-info"></i> '+
												'<span pwm-lang="account.promos.onReorder"></span>'+
											'</div>'+
										'{{/amounts.discounts}}'+
									'</div>'
					})+
					'';
				return out;
			}
		},
		message:function(){
			var out =
				'<div class="modal fade" id="reorderUnavailableProductsModal" data-id="{{id}}" tabindex="-1" role="dialog" aria-labelledby="reorderUnavailableProducts" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><span pwm-lang="checkout.saveOrder.close"></span></span></button>'+
								'<h4 class="modal-title" id="reorderUnavailableProducts">'+
									'<i class="fa fa-exclamation-triangle"></i> <span pwm-lang="account.orders.history.reorder.unavailable.title"></span>'+
								'</h4>'+
							'</div>'+
							'<div class="modal-body clearfix">'+
								'<div class="alert alert-info">'+
									'{{#plural}}'+
										'<p pwm-lang="account.orders.history.reorder.unavailable.alert.multiple"></p>'+
									'{{/plural}}'+
									'{{^plural}}'+
										'<p pwm-lang="account.orders.history.reorder.unavailable.alert.single"></p>'+
									'{{/plural}}'+
								'</div>'+
								'<ul class="list-unstyled">'+
								'{{#items}}'+
									'<span pwm-lang="pwm.datas.products.{{items}}.locales.%LANG%.name"></span>'+
								'{{/items}}'+
								'</ul>'+
							'</div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-primary orderWithoutProducts">'+
									'<span pwm-lang="account.orders.history.reorder.unavailable.orderAnyways.button"></span>'+
								'</button>'+
								'<button type="button" class="btn btn-default" data-dismiss="modal">'+
									'<span pwm-lang="checkout.saveOrder.close"></span>'+
								'</button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		show:function() {
			var out =
				'<h3><i class="fa fa-history fa-lg"></i> <span pwm-lang="account.orders.history.view"></span></h3>'+
				'<div class="panel panel-{{cls}} oldOrders">'+
					'<div class="panel-heading">'+
						'<h3 class="panel-title">'+
							'{{#orderName}}'+
								'<div class="pull-right">'+
									'<i class="fa fa-heart love"></i>'+
								'</div>'+
								'<div class="pull-right">'+
									'<strong><span pwm-lang="account.orders.history.th.orderDate"></span></strong>: {{orderdate}}'+
								'</div>'+
								'<strong>{{{orderName}}}</strong> <br /> '+
										 '<small><strong><span pwm-lang="account.orders.history.th.orderID"></span>:</strong> {{{id}}}</small>'+
							'{{/orderName}}'+
							'{{^orderName}}'+
								'<strong><span pwm-lang="account.orders.history.th.orderID"></span></strong>: {{{id}}}'+
								'<div class="pull-right">'+
									'<strong><span pwm-lang="account.orders.history.th.orderDate"></span></strong>: {{orderdate}}'+
								'</div>'+
							'{{/orderName}}'+
						'</h3>'+
					'</div>'+
					'<div class="panel-body">'+
						template.account.order.btns()+
						'<div id="hord" class="clearfix row">'+
							'<div class="col-md-6 clearfix">'+
								template.account.order.infos.client()+
							'</div>'+
							'<div class="col-md-6 clearfix">'+
								template.account.order.infos.order()+
							'</div>'+
						'{{#products.length}}'+
							'{{#products}}'+
								template.panel({
									cls		: 'default customerPanel',
									attr	: 'data-customer="{{crow}}"',
									title	: '<div class="pull-left">'+
													'<i class="fa fa-user"></i> '+
													'{{#name}}{{name}}{{/name}}'+
													'{{^name}}Client #{{nb}}{{/name}}'+
											  '</div>',
									body	: template.cart.main.items()
								})+
							'{{/products}}'+
							'<div class="clearfix row">'+
								'<div class="col-md-6 clearfix">'+
									template.account.order.infos.attachments()+
								'</div>'+
								'<div class="col-md-6 clearfix">'+
									template.account.order.infos.orderTotals()+
								'</div>'+
							'</div>'+
						'{{/products.length}}'+
						template.account.order.btns()+
					'</div>'+
				'</div>'+
				'';
			return out;
		}
	},
	savedOrders: {
		show:function() {
			var out =
				'<div id="savedOrders">'+
					'<a class="pull-right" href="#!/account/orderHistory">'+
						'<i class="fa fa-history"></i> '+
						'<span pwm-lang="account.orders.history.title"></span> >'+
					'</a>'+
					'<h3>'+
						'<span class="active">'+
							'<i class="fa fa-heart"></i> '+
							'<span pwm-lang="account.savedOrders.title"></span>'+
						'</span>'+
					'</h3>'+
					'{{#data}}'+
					'<table class="addwhitebg table favoriteOrders">'+
						'<thead>'+
							'<tr>'+
								'<th><span pwm-lang="account.savedOrders.info"></span></th>'+
								'<th><span pwm-lang="account.savedOrders.prix"></span></th>'+
								'<th class="text-right"><span pwm-lang="account.savedOrders.actions"></span></th>'+
							'</tr>'+
						'<thead>'+
						'<tbody>'+
							'{{#orders}}'+
								'<tr data-id="{{id}}" class="{{cls}}">'+
									'<td><strong>{{{orderName}}} </strong><br /> '+
										'{{#address_infos}}'+
											'{{stnumber}}, {{{street}}}, {{{city}}}'+
										'{{/address_infos}}'+
									'<td>'+
										'{{total}}$'+
									'</td>'+
									'<td>'+
										'<div class="btn-group pull-right">'+
											'<button class="btn btn-primary viewOrder">'+
												//'<span pwm-lang="account.orders.history.details"></span> '+
												'<span class="fa fa-info"></span>'+
											'</button>'+
											'<button class="btn btn-success reorderAddChange">'+
												//'<span pwm-lang="account.savedOrders.commander"></span> '+
												'<span class="fa fa-chevron-right"></span>'+
											'</button>'+
											'<button class="removeSavedOrder btn btn-danger"><i class="fa fa-trash"></i></button>'+
										'</div>'+
									'</td>'+
								'</tr>'+
							'{{/orders}}'+
						'</tbody>'+
					'</table>'+
					'{{/data}}'+
					'{{^data}}'+
						template.account.savedOrders.none()+
					'{{/data}}'+
				'</div>';
			return out;
		},
		none:function(){
			var out =
				'<tr>'+
					'<td colspan="5"><span pwm-lang="account.savedOrders.none"></span></td>'+
				'</tr>'+
				'';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/bugs/template.js */
template.bugs = {
	form:function(){
		var vars={
			id		: 'submitAnIssue',
			button:{
				block	: 1,
				wrap	: {
					cls	: 'col-sm-8 col-sm-offset-2'
				},
				cls		: 'disabled',
				label	: 'bugs.form.submit'
			},
			fields:[
				{
					nolabel			: true,
					type			: 'text',
					name			: 'bugs.form.name',
					labelattr		: ' pwm-lang="bugs.form.name',
					attr			: ' pwm-lang="bugs.form.name" required="required"',
					value			: ''
				},
				{
					nolabel			: true,
					type			: 'email',
					name			: 'bugs.form.email',
					labelattr		: ' pwm-lang="bugs.form.email',
					attr			: ' pwm-lang="bugs.form.email" required="required"',
					value			: ''
				},
				{
					nolabel			: true,
					type			: 'select',
					beforeOptions	: '<option val="SELECT" pwm-lang="bugs.form.category" disabled="disabled" selected="selected"></option>',
					labelattr		: 'pwm-lang="bugs.form.category"',
					attr			: 'required="required"',
					name			: 'bugs.form.category',
					values			: '<option value="account" pwm-lang="bugs.form.modules.account"></option>'+
									  '<option value="cart" pwm-lang="bugs.form.modules.cart"></option>'+
									  '<option value="products" pwm-lang="bugs.form.modules.products"></option>'+
									  '<option value="app" pwm-lang="bugs.form.modules.mobileApp"></option>'+
									  '<option value="other" pwm-lang="bugs.form.modules.other"></option>'
				},
				{
					nolabel			: true,
					type			: 'textarea',
					labelattr		: 'pwm-lang="bugs.form.message"',
					attr			: 'pwm-lang="bugs.form.message" required="required"',
					name			: 'bugs.form.message',
					value			: '',
					wrapField		: '{{field}}'+
									  '<small class="pull-right">'+
										'<span pwm-lang="bugs.form.minChars"></span>: '+
									 	'<span id="bugsCharsCount">0</span> / <span id="bugsMinChars"></span>'+
									  '</small>'+
									  ''
				}
			]
		};
		return template.formBuilder(vars);
	},
	response:{
		error:function(){
			var out =
				'<div class="row">'+
					'<div class="alert alert-danger alert-dismissible col-xs-12 text-left" role="alert">'+
						'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
						'<h3><i class="fa fa-warning"></i> <span pwm-lang="bugs.form.response.error.title"></span></h3>'+
						'<span pwm-lang="bugs.form.response.error.text"></span>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		success:function(){
			var out =
				'<div class="row">'+
					'<div class="alert alert-success alert-dismissible col-xs-12 text-left" role="alert">'+
						'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
						'<h3><i class="fa fa-check"></i> <span pwm-lang="bugs.form.response.success.title"></span></h3>'+
						'<span pwm-lang="bugs.form.response.success.text"></span>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		}
	},
	show:function(){ // template.bugs.show()
		var out =
		'<div class="col-md-8 col-md-offset-3">'+
			'<div class="panel panel-default">'+
				'<div class="panel-heading">'+
					'<h3>'+
						'<i class="fa fa-bug"></i> <span pwm-lang="bugs.title"></span>'+
					'</h3>'+
				'</div>'+
				'<div class="panel-body">'+
					'<div class="alert alert-info alert-dismissible" role="alert">'+
						'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
						'<p><i class="fa fa-info-circle"></i> <span pwm-lang="bugs.alerts.info"></span></p>'+
					'</div>'+
					template.bugs.form()+
				'</div>'+
			'</div>'+
		'</div>';
		return out;
	}
};
/* module: www/assets/js/_modules/cart/template.js */
template.cart = {
	buttons:{
		actions:{
			layout:function(mobile){
				if(typeof mobile=='undefined')
					mobile = false;
				var out=
					'<div class="cartButtons cartActionsBtns clearfix'+((mobile)?' row pull-right':'')+'">'+
						'<div class="ViewCartBtn btn-group">'+
							'<button class="btn btn-primary'+((mobile)?' btn-lg':'')+' cartBtn viewCart"><i class="fa fa-shopping-cart'+((mobile)?' fa-lg':'')+'"></i> '+
								' <span class="badge hidden-sm hidden-md hidden-lg hidden-xl itemsCount"></span> '+
								'<span pwm-lang="cart.buttons.cart.label" class="hidden-xs"></span></button>'+
							'<button class="btn btn-primary dropdown-toggle'+((mobile)?' btn-lg':'')+'  cartBtnDD" data-toggle="dropdown">'+
								'<span class="fa fa-caret-down'+((mobile)?' fa-lg':'')+'"></span></button>'+
							'<ul class="dropdown-menu dropdown-menu-right">'+
								'<li class="emptyCart"><a href="javascript:void(0)"><i class="fa fa-trash-o"></i> '+
									'<span pwm-lang="cart.buttons.cart.empty.label"></span></a></li>'+
							'</ul>'+
						'</div>'+
						'<button class="btn btn-success'+((mobile)?' btn-lg':' pull-right')+' nextStepBtn pwmcanblock">'+
							'<span pwm-lang="cart.buttons.cart.continueBtn.label" class="hidden-xs"></span> '+
							'<i class="fa fa-chevron-right'+((mobile)?' fa-lg':'')+'"></i>'+
						'</button>'+
					'</div>';
				return out;
			}
		}
	},
	main:{
		codePromos:{
			base:function(){
				var out =
					template.panel({
						cls		: 'default promoCode_wrapper col-md-6',
						attr	: '',
						title	: '<i class="fa fa-comments-o fa-lg"></i> <span pwm-lang="cart.promoCode.title"></span>:'+
								  '<button type="button" class="aboutPromoCodes btn btn-default btn-xs pull-right"><i class="fa fa-fw fa-info"></i></button>',
						body	: template.cart.main.codePromos.content()
					})+
					'';
				return out;
			},
			content:function(){
				var out =
					'{{#codePromos}}'+
						template.cart.main.codePromos.row()+
					'{{/codePromos}}'+
					'{{#hasValidCodes}}'+
						'<hr />'+
						'<div class="hasValidCodes">'+
							'<h3><span pwm-lang="cart.promoCode.inCart"></span></h3>'+
							'<ul class="list-group">'+
								'{{#validatedPromos}}'+
									'<li class="list-group-item">'+
										'<i class="fa fa-fw fa-check text-success"></i> '+
										'<span pwm-lang="pwm.modules.promos._datas.promos.{{site}}.{{id}}.data.locales.%LANG%.name"></span> '+
										'<em>({{code}})</em>'+
									'</li>'+
								'{{/validatedPromos}}'+
							'</ul>'+
						'</div>'+
					'{{/hasValidCodes}}'+
					'<div class="hidden">'+
						'<span id="aboutPromoCodes_title" pwm-lang="cart.about.title"></span>'+
						'<span id="aboutPromoCodes_content" pwm-lang="cart.about.content"></span>'+
					'</div>'+
					'';
				return out;
			},
			row:function(){
				var out =
					'<div class="input-group" data-promo="{{id}}">'+
						'<div class="input-group-addon">'+
							'{{{name}}}'+
						'</div>'+
						'<input type="text" class="form-control">'+
						'<span class="input-group-btn validatePromoCode">'+
							'<button type="button" class="btn btn-primary">'+
								'<span pwm-lang="cart.promoCode.validate"></span>'+
							'</button>'+
						'</span>'+
					'</div>'+
					'';
				return out;
			}
		},
		customers:function(){
			var out =
				'{{#customers}}'+
					template.panel({
						cls		: 'default customerPanel',
						attr	: 'data-customer="{{crow}}"',
						title	:
							'{{#showoptions}}'+
								'<div class="dropdown product_edit_menu btn-group pull-right">'+
									'<button type="button" class="btn btn-small dropdown-toggle" data-toggle="dropdown">'+
											'<span class="fa fa-cog"></span> '+
											'</button>'+
									'<ul class="dropdown-menu multi-level" role="menu" aria-labelledby="dropdownMenu">'+
										'<li data-crow="{{crow}}" class="fullCart_removeClient">'+
											'<a href="javascript:void(0)"><i class="fa fa-trash-o"></i> <span pwm-lang="system.remove"></span></a>'+
										'</li>'+
										'<li class="divider"></li>'+
										'<li class="dropdown-submenu">'+
											'<a tabindex="-1" href="javascript:void(0)"><i class="fa fa-caret-left pull-left"></i><i class="fa fa-files-o"></i> <span pwm-lang="system.copy"></span></a>'+
											'<ul class="dropdown-menu copyAClient" style="right: 100%; left: auto;">'+
												'{{#custList}}'+
													'<li id="dropcss" data-crow="{{crow}}" data-ccrow="{{ccrow}}" {{#disabled}} class="disabled" {{/disabled}}>'+
														'<a href="javascript:void(0)">'+
															'<i class="fa fa-user"></i> {{#cname}}{{cname}}{{/cname}}{{^cname}}<span pwm-lang="system.customer"></span>{{nb}}{{/cname}}'+
														'</a>'+
													'</li>'+
												'{{/custList}}'+
												'<li class="divider"></li>'+
												'<li class="dropnewcss" data-crow="{{crow}}" data-ccrow="new">'+
													'<a href="javascript:void(0)">'+
														'<i class="fa fa-user"></i> <span pwm-lang="system.newCust"></span>'+
													'</a>'+
												'</li>'+
											'</ul>'+
										'</li>'+
										'<li class="divider"></li>'+
										'<li class="dropdown-submenu">'+
											'<a tabindex="-1" href="javascript:void(0)"><i class="fa fa-caret-left pull-left"></i><i class="fa fa-clipboard"></i> <span pwm-lang="system.custmerge"></span></a>'+
											'<ul class="dropdown-menu mergeClients" style="right: 100%; left: auto;">'+
												'{{#custList}}'+
													'<li id="dropcss" data-crow="{{crow}}" data-ccrow="{{ccrow}}" {{#disabled}} class="disabled" {{/disabled}}>'+
														'<a data-id="{{nb}}" href="javascript:void(0)">'+
															'<i class="fa fa-user"></i> '+
															'{{#cname}}{{cname}}{{/cname}}{{^cname}}<span pwm-lang="system.customer"></span>{{nb}}{{/cname}}'+
														'</a>'+
													'</li>'+
												'{{/custList}}'+
											'</ul>'+
										'</li>'+
									'</ul>'+
								'</div>'+
								'{{#showNutritionalInfos}}'+
									'<button type="button" class="btn btn-small btn-default pull-right viewCustomerFacts">'+
										'<i class="fa fa-info"></i>'+
									'</button>'+
								'{{/showNutritionalInfos}}'+
							'{{/showoptions}}'+
							'<div class="pull-left"><i class="fa fa-user"></i> Client #{{nb}}: </div>'+
							'<div class="pull-left">'+
							'<input type="text" name="customername" value="{{name}}" class="form-control input-sm" pwm-lang="cart.customers.nameField" />'+
							'</div>',
						body: template.cart.main.items()
					})+
				'{{/customers}}'+
				'';
			return out;
		},
		fault:function(){
			var out =
				'<i class="fa fa-warning fa-lg"></i> '+
				'<span id="needMealSpan" pwm-lang="checkout.needmeal"></span>'+
				'<span id="needItemSpan" pwm-lang="checkout.needitem"></span> '+
				'{{#fault}}'+
					'<br /><span pwm-lang="cart.cartEmpty.fault"></span> {{{fault}}}</li>'+
				'{{/fault}}'+
				'';
			return out;
		},
		header:function(){
			var out =
				'<div class="offHoursWarning alert alert-danger">'+
					'<i class="fa fa-warning fa-lg"></i> '+
					'<span pwm-lang="cart.branchIsClosed.naMode"></span> '+
					'<span class="closedBranchModeStatus"></span> '+
					'<a class="businessHoursSidebar" href="javascript:void(0)">'+
						'<span pwm-lang="checkout.viewHours"></span>'+
					'</a>'+
				'</div>'+
				'<div class="clearfix fullCartHeader">'+
					'<div class="col-xs-12 col-md-8 pull-left">'+
						'<h3><span pwm-lang="cart.title"></span></h3>'+
					'</div>'+
					'<div class="col-xs-12 col-md-4 pull-right">'+
						'<select class="form-control visible-xs visible-sm" id="viewClientCart">'+
							'{{#customers}}'+
								'{{#name}}'+
									'<option value="{{crow}}">{{{name}}}</option>'+
								'{{/name}}'+
								'{{^name}}'+
									'<option value="{{crow}}">Client #{{nb}}</option>'+
								'{{/name}}'+
							'{{/customers}}'+
						'</select>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		nutrition:{
			modal:function(){
				var out =
					template.modal({
						body:	'{{#nutrition}}'+
									'<h4><i class="fa fa-info"></i> <span pwm-lang="cart.nutrition.legend"></span></h4>'+
									'<div class="row">'+
										'<div class="col-sm-6">'+
											template.products.customizeModal.nutritionalValues.canada()+
										'</div>'+
										'<div class="col-sm-6">'+ // Leave col-sm-12
											'<p pwm-lang="cart.nutrition.disclaimer"></p>'+
										'</div>'+
									'</div>'+
								'{{/nutrition}}'+
								'',
						closeBtn:{
							label	: '<span pwm-lang="system.close"></span>'
						},
						id: 'customerNutritionalValues',
						title: '{{{name}}}'
					})+
					'';
				return out;
			}
		},
		layout:function(){
			var out=
				'<div id="fullCart">'+
					template.cart.main.header()+
					'<div class="cartEmpty"><div class="alert alert-warning"><span pwm-lang="cart.cartEmpty.label"></span></div><hr/></div>'+
					'<div class="cartContent">'+
						'<div id="needMeal" class="needMeal alert alert-danger">'+
							template.cart.main.fault()+
						'</div>'+
						'<div id="needidcard" class="needidcard alert alert-info">'+
							'<span class="fa-stack fa-lg pull-left">'+
								'<i class="fa fa-square-o fa-stack-2x"></i>'+
								'<i class="fa fa-user fa-stack-1x"></i>'+
							'</span> '+
							'<span pwm-lang="products.alerts.needid.text"></span>'+
						'</div>'+
						'<div class="minimalAmountNotMet alert alert-danger">'+
							'<i class="fa fa-warning fa-lg"></i> <span pwm-lang="cart.minimalAmountNotMet.text"></span><span class="order_min_amount"><span pwm-lang-price="{{orderMinAmount}}"></span></span> +tx.</div>'+
						template.cart.main.customers()+
					'</div>'+
					'<div class="cartFooter clearfix">'+
						'<div class="orderTotals clearfix">'+ //changed totalResume -> orderTotals
							'{{#hasCodePromos}}'+
								template.cart.main.codePromos.base()+
							'{{/hasCodePromos}}'+
							template.cart.main.showResume()+
						'</div>'+
					'</div>'+
					'<div class="clearfix row">'+
						'<div class="col-xs-12 col-sm-10 col-md-5 col-lg-5 clearfix pull-right">'+
							'<button class="btn btn-primary btn-block pull-right pwmCartContinueBtn pwmcanblock nextStepBtn" {{^branchIsOpen}} disabled="disabled"{{/branchIsOpen}}>'+
								' <span pwm-lang="cart.buttons.cart.continueBtn.label"></span> '+
								' <i class="fa fa-chevron-right"></i></button> '+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		},
		items:function(){
			var out=
				'<div class="customerMessages">'+
					'<div class="noFood alert alert-warning">'+
						'<p class="noFood"><i class="fa fa-warning fa-2x pull-left"></i> <span pwm-lang="cart.noFood.text"></span></p>'+
						'<p class="noItems"><i class="fa fa-warning fa-2x pull-left"></i> <span pwm-lang="cart.noItems.text"></span></p>'+
					'</div>'+
					'<div class="noItemsForCustomer alert alert-warning">'+
						'<p><i class="fa fa-warning fa-2x pull-left"></i> <span pwm-lang="cart.cartEmptyForCustomer.text"></span></p>'+
					'</div>'+
					'<div class="alert alert-danger qtyErr">'+
						'<p class="errDescription"><i class="fa fa-warning fa-2x pull-left"></i>  <span pwm-lang="checkout.qtyErr"></span></p>'+
					'</div>'+
				'</div>'+
				'<table class="table table-striped FullCartProducts products">'+
					'<thead><tr class="FullCartItemsHeader">'+
						'{{#showimage}}<th class="product_image" pwm-lang="cart.table.headers.image"></th>{{/showimage}}'+
						'<th class="product_name_and_extras"><span pwm-lang="cart.table.headers.name"></span>'+
						'<span class="pull-right" pwm-lang="cart.table.headers.unitprice"></span></th>'+
						'<th class="product_subtotal text-right" pwm-lang="cart.table.headers.subtotal"></th>'+
						'<th class="product_qty text-center" pwm-lang="cart.table.headers.qty"></th>'+
						'<th class="product_price text-right" pwm-lang="cart.table.headers.total"></th>'+
						'{{#showoptions}}<th class="product_edit"></th>{{/showoptions}}'+
					'</tr></thead>'+
					'<tbody>'+
						'{{#items}}'+
							template.cart.main.itemRow()+
						'{{/items}}'+
					'</tbody>'+
				'</table>'+
				'<div class="clearfix row">'+
					'<div class="customerAmountsResume col-xs-12 col-sm-push-6 col-sm-6">'+
						'{{#discount}}'+
							'<div class="discount clearfix">'+
								'<div class="text-right col-xs-6" pwm-lang="cart.discountTotal.label"></div>'+
								'<div class="amount col-xs-6 text-right">-<span pwm-lang-price="{{discount}}"></span></div>'+
							'</div>'+
						'{{/discount}}'+
						'<div class="subtotal clearfix">'+
							'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.subtotal.label"></div>'+
							'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{subtotal}}"></span></div>'+
						'</div>'+
						'{{#custDelFees}}'+
							'<div class="deliveryFees clearfix">'+
							'<div class="text-right col-xs-6" pwm-lang="cart.delivery.label"></div>'+
							'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{custDelFees}}"></span></div></div>'+
						'{{/custDelFees}}'+
						'{{#taxlist}}'+
							'<div class="tax clearfix" data-tax-code="{{code}}">'+
								'<div class="text-right col-xs-6"><span pwm-lang="system.taxs.{{code}}"></span> <small><span class="taxRate">({{ratetext}})</span></small>:</div>'+
								'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amount}}"></span></div>'+
							'</div>'+
						'{{/taxlist}}'+
						'<div class="total clearfix">'+
							'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.total.label"></div>'+
							'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{total}}"></span></div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		},
		itemRow:function(){
			var out=
				'<tr class="ItemContainer" data-id="{{id}}" data-item-row="{{irow}}">'+
					'{{#showimage}}'+
						'<td class="product_image">'+
							template.products.productImage()+
						'</td>'+
					'{{/showimage}}'+
					'<td class="col-xs-12 col-md-10 product_name_and_extras">'+
						'<span class="product_name">'+
							'{{#halfnhalf}}'+
								'<i class="fa fa-adjust fa-rotate-180"></i> '+
							'{{/halfnhalf}}'+
							'<span class="pull-right">'+
								'<span class="product_unitprice" pwm-lang-price="{{basePrice}}"></span>'+
							'</span>'+
							'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span>'+
						'</span>'+
						'{{^isAvailable}}'+
							'<div class="alert alert-info alert-dismissible col-xs-12" role="alert">'+
								'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
								'<i class="fa fa-fw fa-info"></i> '+
								'<span pwm-lang="products.favoriteProducts.actions.unavailable.firstPart"></span> '+
								'<strong>{{{name}}}</strong> '+
								'<span pwm-lang="products.favoriteProducts.actions.unavailable.secondPart"></span>'+
							'</div>'+
						'{{/isAvailable}}'+
						'{{#builder}}'+
							template.cart.main.rowParts.customized.builder()+
						'{{/builder}}'+
						'{{#customized}}'+
							'<div class="productCustomizations">'+
								'<ul class="list-unstyled">'+
									template.cart.main.rowParts.customized.inclusions()+
									template.cart.main.rowParts.customized.extras()+
								'</ul>'+
								'{{#halfnhalf}}'+
									'<div class="secondHalf">'+
										'<span class="product_name">'+
											'<i class="fa fa-adjust"></i> '+
											'<span class="pull-right">'+
												'<span class="secondHalf_unitprice">+<span pwm-lang-price="{{unitprice}}"></span></span>$'+
											'</span>'+
											'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span>'+
										'</span>'+
										'<ul class="list-unstyled">'+
											template.cart.main.rowParts.customized.halfnhalf.extras()+
										'</ul>'+
									'</div>'+
								'{{/halfnhalf}}'+
							'</div>'+
						'{{/customized}}'+
					'</td>'+
					template.cart.main.rowParts.pricing()+
					'{{#showoptions}}'+
						template.cart.main.rowParts.customized.showoptions()+
					'{{/showoptions}}'+
				'</tr>';
			return out;
		},
		openHours:function(){
			var out =
				'<div class="modal fade" id="openHours" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>'+
									'<h4 class="modal-title" id="myModalLabel"><span pwm-lang="checkout.businessHours"></span>: <span pwm-lang="system.fields.mode.{{mode}}"></span></h4>'+
								'</div>'+
							'<div class="modal-body">'+
								'<table class="table">'+
									'<tbody>'+
										'{{#openHours}}'+
											'<tr{{#today}} class="todays_hours"{{/today}}>'+
												'<td><span pwm-lang="promos.info.availability.days.{{day}}"></span></td>'+
												'<td>'+
													'{{#allDay}}'+
														'<span pwm-lang="branchs.hours.labels.allday"></span>'+
													'{{/allDay}}'+
													'{{^allDay}}'+
														'{{#open}}'+
															'{{start}} &ndash; {{end}} <br />'+
														'{{/open}}'+
														'{{^open}}'+
															'<span pwm-lang="branchs.hours.labels.closed"></span>'+
														'{{/open}}'+
													'{{/allDay}}'+
												'</td>'+
											'</tr>'+
										'{{/openHours}}'+
									'</tbody>'+
								'</table>'+
							'</div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-default" data-dismiss="modal"><span pwm-lang="system.close"></span></button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		},
		rowParts:{
			customized:{
				_dry:{
					extraItems:function(){
						var out =
							'{{#items}}'+
								'<li data-id="{{id}}">'+
									'{{#side}}'+
										'{{#left}}'+
											'<i class="fa fa-adjust fa-rotate-180"></i> '+
										'{{/left}}'+
										'{{#both}}'+
											'<i class="fa fa-circle"></i> '+
										'{{/both}}'+
										'{{#right}}'+
											'<i class="fa fa-adjust"></i> '+
										'{{/right}}'+
									'{{/side}}'+
									'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{defaultname}}}</span>'+
									'{{#inclusions}}'+
										'<span class="extra_price pull-right" pwm-lang-price="{{price}}"></span>'+
										', <span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span> '+
									'{{/inclusions}}'+
									'{{^inclusions}}'+
										'<span class="extra_price pull-right" pwm-lang-price="{{price}}"></span> '+
									'{{/inclusions}}'+
									'{{#multiple}}'+
										'<em>x {{qty}}</em>'+
									'{{/multiple}}'+
								'</li>'+
							'{{/items}}'+
							'';
						return out;
					}
				},
				builder:function(){
					var out =
						'<div class="productCustomizations productCustomizedBuilder">'+
							'<ul class="list-unstyled cartBuilderSteps">'+
								'{{#steps}}'+
									'<li class="cartBbuilderStep"><strong pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{stepCount}}.locales.label"></strong>'+
										'<ul class="list-unstyled cartBbuilderGroups">'+
											'{{#groups}}'+
												'<li class="cartBbuilderGroup"><span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{stepCount}}.groups.{{groupCount}}.locales.label"></span>'+
													'<ul class="list-unstyled cartBbuilderItems">'+
														'{{#items}}'+
															'<li class="cartBbuilderItem" data-id="{{id}}">'+
																'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span> '+
																'<span class="extra_price pull-right" pwm-lang-price="{{unitprice}}"></span>'+
																'{{#inclusions}}'+
																	'<ul class="list-unstyled">'+
																		'<li><span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{defaultname}}}</span></li>'+
																	'</ul>'+
																'{{/inclusions}}'+
															'</li>'+
														'{{/items}}'+
													'</ul>'+
												'</li>'+
											'{{/groups}}'+
										'</ul>'+
									'</li>'+
								'{{/steps}}'+
							'</ul>'+
						'</div>'+
						'';
					return out;
				},
				builderGroups:function(){
					var out =
						'<li class="cartBbuilderGroup"><span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{stepCount}}.groups.{{groupCount}}.locales.label"></span>'+
							'<ul class="list-unstyled cartBbuilderItems">'+
								'{{#items}}'+
									'<li class="cartBbuilderItem" data-id="{{id}}">'+
										'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span> '+
										'<span class="extra_price pull-right" pwm-lang-price="{{unitprice}}"></span>'+
									'</li>'+
								'{{/items}}'+
							'</ul>'+
						'</li>'+
						'';
					return out;
				},
				extras:function(cls,add_ul){
					if (typeof cls == 'undefined' || !cls)
						cls = false;
					if (typeof add_ul == 'undefined' || !add_ul)
						add_ul = false;
					var out =
						((add_ul) ? '<ul class="list-unstyled">' : '')+
						'{{#extras}}'+
							'<li data-modifier-type="extra" class="extras'+((cls)?' '+cls:'')+'">'+
								'<ul class="list-unstyled">'+
									'{{#groups}}'+
										'<li class="extraGroup">'+
											'<strong pwm-lang="pwm.datas.products.{{id}}.extras.groups.{{grow}}.label.%LANG%"></strong>'+
											'<ul class="list-unstyled">'+
												template.cart.main.rowParts.customized._dry.extraItems()+
											'</ul>'+
										'</li>'+
									'{{/groups}}'+
									'{{^groups}}'+
										template.cart.main.rowParts.customized._dry.extraItems()+
									'{{/groups}}'+
								'</ul>'+
							'</li>'+
						'{{/extras}}'+
						((add_ul) ? '</ul>' : '')+
						'';
					return out;
				},
				halfnhalf:{
					extras:function(){
						var out =
							template.cart.main.rowParts.customized.extras()+
							'';
						return out;
					}
				},
				inclusions:function(){
					var li = '<li class="inclusion_info" data-modifier-type="inclusion" data-itemrow="{{item_row}}" data-inclusion="{{id}}">'+
								'<span class="pull-right" pwm-lang-price="0.00"></span>'+
									'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span> '+
									'<span pwm-lang="cart.included"></span> '+
								template.cart.main.rowParts.customized.extras('inclusions_child', true)+
							'</li>',
						out =
							'{{#inclusions}}'+
								'{{#groups}}'+
									'{{#selected}}'+
										li+
									'{{/selected}}'+
								'{{/groups}}'+
								'{{^groups}}'+
									'{{#items}}'+
										li+
									'{{/items}}'+
								'{{/groups}}'+
							'{{/inclusions}}'+
							'';
					return out;
				},
				showoptions:function(){
					var out =
						'<td class="product_edit">'+
							'<div class="dropdown product_edit_menu btn-group pull-right">'+
								'<button type="button" class="btn btn-small dropdown-toggle" '+
									'data-toggle="dropdown">'+
										'<span class="fa fa-cog"></span> '+
										'</button>'+
								'<ul class="dropdown-menu multi-level" role="menu" aria-labelledby="dropdownMenu">'+
									'<li class="productEditLink {{#builder}} text-muted disabled{{/builder}} {{^customizable}} text-muted disabled{{/customizable}}" data-crow="{{crow}}" data-irow="{{irow}}">'+
										'<a href="javascript:void(0)" type="button" {{^builder}}{{#customizable}}'+
										'data-productid="{{id}}"{{/customizable}}{{/builder}}><i class="fa fa-edit"></i> <span pwm-lang="system.edit"></span></a></li>'+
									'<li>'+
										'<a href="javascript:void(0)" class="product_remove_link">'+
											'<i class="fa fa-trash-o"></i> <span pwm-lang="system.remove"></span>'+
										'</a>'+
									'</li>'+
									'<li class="divider"></li>'+
									'<li class="dropdown-submenu">'+
										'<a tabindex="-1" href="javascript:void(0)"><i class="fa fa-caret-left pull-left"></i><i class="fa fa-files-o"></i> <span pwm-lang="system.copy"></span></a>'+
										'<ul class="dropdown-menu copyAnItem" style="right: 100%; left: auto;">'+
											'{{#custList}}'+
												'<li id="dropcss" data-crow="{{crow}}" data-ccrow="{{ccrow}}" data-item="{{irow}}"{{#disabled}} class="disabled"{{/disabled}}>'+
													'<a href="javascript:void(0)">'+
														'<i class="fa fa-user"></i> {{#cname}}{{cname}}{{/cname}}{{^cname}}<span pwm-lang="system.customer"></span>{{nb}}{{/cname}}'+
													'</a>'+
												'</li>'+
											'{{/custList}}'+
											'<li class="divider"></li>'+
											'<li id="dropcss" data-crow="{{crow}}" data-ccrow="new" data-item="{{irow}}">'+
												'<a href="javascript:void(0)">'+
													'<i class="fa fa-user"></i><span pwm-lang="system.newCust"></span>'+
												'</a>'+
											'</li>'+
										'</ul>'+
									'</li>'+
									'<li class="divider"></li>'+
									'<li class="dropdown-submenu">'+
										'<a tabindex="-1" href="javascript:void(0)"><i class="fa fa-caret-left pull-left"></i><i class="fa fa-clipboard"></i> <span pwm-lang="system.move"></span></a>'+
										'<ul class="dropdown-menu moveAnItem" style="right: 100%; left: auto;">'+
											'{{#custList}}'+
												'<li id="dropcss" data-crow="{{crow}}" data-ccrow="{{ccrow}}" data-item="{{irow}}"{{#disabled}} class="disabled"{{/disabled}}>'+
													'<a href="javascript:void(0)">'+
														'<i class="fa fa-user"></i> {{#cname}}{{cname}}{{/cname}}{{^cname}}<span pwm-lang="system.customer"></span>{{nb}}{{/cname}}'+
													'</a>'+
												'</li>'+
											'{{/custList}}'+
											'<li class="divider"></li>'+
											'<li id="dropcss" data-crow="{{crow}}" data-ccrow="new" data-item="{{irow}}">'+
												'<a href="javascript:void(0)">'+
													'<i class="fa fa-user"></i><span pwm-lang="system.newCust"></span>'+
												'</a>'+
											'</li>'+
										'</ul>'+
									'</li>'+
								'</ul>'+
							'</div>'+
						'</td>'+
						'';
					return out;
				}
			},
			pricing:function(){
				var out =
					'<td class="col-md-2 product_subtotal text-right">'+
						'<span class="mobileTH pull-left" pwm-lang="cart.table.headers.subtotal"></span>'+
						'<span class="pull-right"> <span class="amount" pwm-lang-price="{{price}}"></span></span> <br class="hidden-xs" />'+
					'</td>'+
					'<td class="col-xs-4 col-md-2 product_qty text-center">'+
						'<span class="mobileTH pull-left" pwm-lang="cart.table.headers.qty"></span>'+
						'{{#caneditqty}}<input class="form-control" type="number" value="{{qty}}" data-value="{{qty}}" min="1"/>{{/caneditqty}}'+
						'{{^caneditqty}}{{qty}}{{/caneditqty}}'+
					'</td>'+
					'<td class="col-xs-4 col-md-2 product_price text-right">'+
						'<span class="mobileTH pull-left" pwm-lang="cart.table.headers.total"></span>'+
						'<span class="amount pull-right"><span pwm-lang-price="{{total}}"></span></span>'+
					'</td>'+
					'';
				return out;
			}
		},
		showResume:function(){
			var out =
				'{{#showResume}}'+
					template.panel({
						cls		: 'default addwhitebg customerAmountsResume col-md-6 pull-right',
						attr	: '',
						title	: '<i class="fa fa-comments-o fa-lg"></i> <span pwm-lang="cart.summary.title"></span>:',
						body	: '<div class="subtotal clearfix">'+
										'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.subtotal.label"></div>'+
										'<div class="amount col-xs-6 text-right" pwm-lang-price="{{subtotal}}"></div>'+
									'</div>'+
									'{{#discount}}'+
										'<div class="discount clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="cart.discountTotal.label"></div>'+
											'<div class="amount col-xs-6 text-right">-<span pwm-lang-price="{{discount}}"></span></div>'+
										'</div>'+
										'<div class="cartSubtotalAfterPromo clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="cart.subtotal.afterPromo"></div>'+
											'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{newSubtotal}}"></span></div>'+
										'</div>'+
									'{{/discount}}'+
									'{{#deliveryFees}}'+
										'<div class="deliveryFees clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="cart.delivery.label"></div>'+
											'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{deliveryFees}}"></span></div>'+
										'</div>'+
									'{{/deliveryFees}}'+
									'{{#taxlist}}'+
										'<div class="tax clearfix" data-tax-code="{{code}}">'+
											'<div class="text-right col-xs-6"><span pwm-lang="system.taxs.{{code}}"></span> <small><span class="taxRate">({{ratetext}})</span></small>:</div>'+
											'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{amount}}"></span></div>'+
										'</div>'+
									'{{/taxlist}}'+
									'<div class="total clearfix">'+
										'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.total.label"></div>'+
										'<div class="amount col-xs-6 text-right"><span pwm-lang-price="{{total}}"></span></div>'+
									'</div>'+
								  ''
					})+
					'<div class="">'+

					'</div>'+
				'{{/showResume}}'+
				'';
			return out;
		}
	},
	selectAddress:{
		modes:{
			carryout:function(){
				var out =
					'<div class="addressSearch clearfix"></div>'+
					template.home.branchSelection.layout()+
					'';
				return out;
			},
			delivery:function(){
				var out =
					'<div class="clearfix"></div>'+
					'<div class="clearfix">&nbsp;</div>'+
					'{{^count}}'+
						'<div id="addAddressModal" class="clearfix inline_addAddressModal">'+
							'<div class="col-md-8 col-md-offset-2 ">'+
								'<h3>'+
									'<i class="fa fa-home"></i> '+
									'<span pwm-lang="account.addresses.{{#thisAddress.id}}edit{{/thisAddress.id}}{{^thisAddress.id}}add{{/thisAddress.id}}.title"></span> '+
								'</h3>'+
								'<div class="alert alert-warning hidden warAddress AddressWarning"> '+
									'<i class="fa fa-exclamation-triangle"></i> '+
									'<span pwm-lang="account.address.warAddress"></span>'+
								'</div>'+
								'<div class="alert alert-error hidden noAddrMatchForGuest"> '+
									'<i class="fa fa-exclamation-triangle"></i> '+
									'<span pwm-lang="account.address.noAddrMatchForGuest"></span>'+
								'</div>'+
								template.formBuilder(template.account._datas.addressForm())+
								'<button class="saveAddress submitBtn btn btn-success pull-right">'+
									'<span class="save_btn_lbl"><i class="fa fa-save fa-lg"></i><span pwm-lang="account.address.save"></span></span>'+
									'<span class="saved_btn_lbl"><i class="fa fa-check fa-lg"></i><span pwm-lang="account.address.saved"></span></span>'+
									'<span class="saving_btn_lbl"><i class="fa fa-spin fa-spinner fa-lg"></i><span pwm-lang="account.address.validate"></span></span>'+
								'</button>'+
							'</div>'+
						'</div>'+
					'{{/count}}'+
					'{{#types}}'+
						'<div class="addressList {{type}}Addresses">'+
							'{{#info_show}}<div class="alert alert-{{info_alertType}}"><p><span pwm-lang="cart.selectAddress.{{type}}.info.text{{plural}}"></span></p></div>{{/info_show}}'+
							'<ul class="list-unstyled">'+
								'{{#addresses}}'+
									template.cart.selectAddress.addressRow()+
								'{{/addresses}}'+
							'</ul>'+
						'</div>'+
					'{{/types}}'+
					'';
				return out;
			},
			toggle:function(){
				var out =
					'<div class="row">'+
						'<div class="pull-left col-md-7">'+
							'<div class="modesTab mode_Delivery">'+
								'<div class="alert alert-info"><p><i class="fa fa-info-circle fa-2x"></i> <span pwm-lang="cart.selectAddress.info"></span></p></div>'+
							'</div>'+
							'<div class="modesTab mode_Carryout">'+
								'<div class="alert alert-info"><p><i class="fa fa-info-circle fa-2x"></i> <span pwm-lang="cart.selectBranch.info"></span></p></div>'+
							'</div>'+
						'</div>'+
						'<div class="pull-right col-md-5">'+
							'<div class="input-group noRetail">'+
								'<span class="input-group-addon"><i class="fa fa-car fa-lg"></i></span>'+
								'<select name="selectAddressBranch.mode" class="form-control">'+
									'{{#modes}}'+
										'<option value="{{mode}}" pwm-lang="system.fields.mode.{{mode}}"{{selected}}></option>'+
									'{{/modes}}'+
								'</select>'+
							'</div>'+
							'<div class="input-group noRetail">'+
								'<span class="input-group-addon"><i class="fa fa-clock-o fa-lg"></i></span>'+
								'<select name="search.duetime" class="form-control timeselection"></select>'+
							'</div>'+
							'<button class="btn btn-primary col-xs-12 selectAddressAdd addAddress">'+
								'<i class="fa fa-plus fa-lg"></i>'+
								'<span pwm-lang="account.addresses.list.addBtn"></span>'+
							'</button>'+
						'</div>'+
					'</div>'+
					'';
					return out;
			}
		},
		guest:function(){ // template.cart.selectAddress.guest
			var out =
				'{{#guest}}'+
					'<h3>'+
						'<i class="fa fa-user"></i> '+
						'<span pwm-lang="account.guest.aboutYou"></span>'+
					'</h3>'+
					'<div class="row">'+
						template.formBuilder({
							fields:[
								{
									nolabel		: 1,
									type		: 'text',
									name		: 'signup.firstname',
									labelattr	: ' pwm-lang="signup.fields.firstname.label"',
									attr		: ' pwm-lang="signup.fields.firstname.label" required="required"',
									value		: ''
								},
								{
									nolabel		: 1,
									type		: 'text',
									name		: 'signup.lastname',
									labelattr	: ' pwm-lang="signup.fields.lastname.label"',
									attr		: ' pwm-lang="signup.fields.lastname.label" required="required"',
									value		: ''
								},
								{
									nolabel		: 1,
									type		: 'phone',
									name		: 'signup.phone',
									labelattr	: ' pwm-lang="signup.fields.phone.label"',
									attr		: ' pwm-lang="signup.fields.phone.label" required="required"',
									value		: ''
								}
							],
							fieldsOnly: true,
							id: 'guestBasicInfos'
						})+
					'</div>'+
				'{{/guest}}'+
				'';
			return out;
		},
		layout:function(){
			var out=
				'<div id="selectAddressPage">'+
					'<div class="clearfix">'+
						'<h3 class="modesTab mode_Delivery">'+
							'<i class="fa fa-home"></i> '+
							'<span pwm-lang="cart.selectAddress.title"></span>'+
						'</h3>'+
						'<h3 class="modesTab mode_Carryout">'+
							'<i class="fa fa-car"></i> '+
							'<span pwm-lang="cart.selectBranch.title"></span>'+
						'</h3>'+
					'</div>'+
					template.cart.selectAddress.modes.toggle()+
					'<div class="row">'+
						'<div class="col-md-8 col-md-offset-2">'+
							template.cart.selectAddress.guest()+
						'</div>'+
					'</div>'+
					'<div class="modesTab mode_Delivery">'+
						template.cart.selectAddress.modes.delivery()+
					'</div>'+
					'<div class="modesTab mode_Carryout">'+
						template.cart.selectAddress.modes.carryout()+
					'</div>'+
				'</div>';
			return out;
		},
		addressRow:function(){
			var out =
					'<li class="addressRow mobileAddressRow clearfix userSelectAddress {{cls}}" data-id="{{id}}" data-branch="{{branchid}}" data-zone="{{zone}}">'+
						'<div class="addressItemWrapper">'+
							'<div class="alert alert-danger deleteAddress">'+
								'<span pwm-lang="account.address.disabled.warning"></span> '+
								'<a href="javascript:void(0)" class="undoRemoveAddress">'+
									'<span pwm-lang="account.address.disabled.link"></span>'+
								'</a>'+
							'</div>'+
							'<div class="alert alert-success restoredAddr">'+
								'<span pwm-lang="account.address.disabled.restoredAddr"></span>'+
							'</div>'+
							'<div class="addressItem_address">'+
								'<h3 class="clearfix">'+
									'<i class="fa fa-lg pull-right {{#branch}}fa-chevron-right{{/branch}}'+
									'{{^branch}}fa-ban alert-warning{{/branch}}"></i>'+
									'<span>{{{alias}}}</span>'+
								'</h3>'+
								'<p>{{stnumber}}, {{{street}}}<br/>{{{city}}}, {{{state}}}, {{zipcode}}<br/><span pwm-lang="account.address.usePhone.type.{{phone.type}}"></span>: {{phone.number}}</p>'+
								'<p class="pull-right">'+
									'<small><i>'+
										'{{#isDefault}}'+
											'<span pwm-lang="account.address.isDefault"></span> '+
										'{{/isDefault}}'+
										'{{#branch}}'+
											'<span pwm-lang="account.address.closestBranch"></span> {{{branch.name}}} '+
										'{{/branch}}'+
										'{{^branch}}'+
											'<span pwm-lang="account.address.tooFar"></span>'+
										'{{/branch}}'+
									'</i></small>'+
								'</p>'+
							'</div>'+
						'</div>'+
					'</li>'+
				'';
			return out;
		},
		selectBranchSearchModal:function(){
			var out=
				'<div class="modal fade" id="selectBranchSearchModal" data-id="" tabindex="-1" role="dialog" '+
					'aria-labelledby="selectBranchSearchModalLabel" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>'+
								'<h4 class="modal-title" id="selectBranchSearchModalLabel"><i class="fa fa-search"></i> '+
									'<span pwm-lang="cart.selectAddress.searchMatches.title"></span></h4>'+
							'</div>'+
							'<div class="modal-body"></div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-default" data-dismiss="modal" '+
									'pwm-lang="cart.selectAddress.searchMatches.closebtn">Cancel</button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		}
	},
	side:{
		layout:{
			base:function(){
				var out =
					'<div class="row">'+
						template.products.clientSelection()+
					'</div>'+
					'<div class="colwrapper">'+
						template.cart.side.layout.sideCart()+
						'<div class="selectedAddressWrapper"></div>'+
						'<div class="selectedBranchWrapper"></div>'+
						//template.cart.side.layout.sideCart()+
						template.cart.side.layout.qrcode()+
					'</div>'+
					'';
				return out;
			},
			branchParts:{
				_legacy:function(){ // template.cart.side.layout.branchParts._legacy
					var out =
						template.cart.side.layout.branchParts.body.status()+
						template.cart.side.layout.branchParts.body.offHours()+
						template.cart.side.layout.branchParts.body.contact()+
						template.cart.side.layout.branchParts.body.zone()+
						'<div class="modeandtime">'+
							template.cart.side.layout.branchParts.body.mode()+
							template.cart.side.layout.branchParts.body.duetime()+
						'</div>'+
						template.cart.side.layout.branchParts.body.hours.today()+
						'';
					return out;
				},
				body:{
					contact:function(){ // template.cart.side.layout.branchParts.body.contact
						var out =
							'<div class="branchAddress">{{{branchaddress}}}</div>'+
							'{{#branchphone}}'+
								'<div class="branchphone hidden-xs hidden-sm">'+
									'<strong>'+
										'<i class="fa fa-phone"></i> {{{branchphone}}}'+
									'</strong>'+
								'</div>'+
								'<a href="tel:{{{branchphonelink}}}" class="btn-info btn hidden-md hidden-lg hidden-xl">'+
									'<div class="branchphone">'+
										'<strong><i class="fa fa-phone"></i> {{{branchphone}}}</strong>'+
									'</div>'+
								'</a>'+
							'{{/branchphone}}'+
							'';
						return out;
					},
					duetime:function(){ // template.cart.side.layout.branchParts.body.duetime
						var out =
							'<span class="currentDueTime">{{{duetime}}}</span>'+
							'';
						return out;
					},
					hours:{
						schedule:function(){ // template.cart.side.layout.branchParts.body.hours.schedule
							var out =
								'<a href="javascript:void(0)" class="businessHoursSidebar">'+
									'<span pwm-lang="cart.selectedBranch.hours.view_schedule"></span>'+
								'</a>'+
								'';
							return out;
						},
						today:function(){ // template.cart.side.layout.branchParts.body.hours.today
							var out =
								'{{#hours.time}}'+
									'<div class="clearfix businessHoursSidebar">'+
										'<strong>'+
											'<span pwm-lang="cart.selectedBranch.hours.today"></span>: {{{h}}}'+
										'</strong>'+
									'</div>'+
								'{{/hours.time}}'+
								'';
							return out;
						},
						tomorrow:function(){ // template.cart.side.layout.branchParts.body.hours.tomorrow
							var out =
								'{{#hours.time}}'+
									'<div class="clearfix businessHoursSidebar">'+
										'<span pwm-lang="cart.selectedBranch.hours.tomorrow"></span>: {{{h}}}'+
									'</div>'+
								'{{/hours.time}}'+
								'';
							return out;
						}
					},
					mode:function(){ // template.cart.side.layout.branchParts.body.mode
						var out =
							'<span class="currentMode">Mode: <span pwm-lang="system.fields.mode.{{mode}}"></span></span>'+
							'';
						return out;
					},
					offHours:function(){ // template.cart.side.layout.branchParts.body.offHours
						var out =
							'<div class="branchOffHours text-center">'+
								'<h4>'+
									'<strong><i class="fa fa-warning"></i> <span pwm-lang="branchs.hours.labels.closed"></span></strong></span>'+
								'</h4>'+
								'<div class="branchOffHoursMsg">'+
									'<span pwm-lang="cart.selectedBranch.offHours.msg"></span> '+
									'<span class="currentMode"><strong><span pwm-lang="system.fields.mode.{{mode}}"></span></strong></span><br/>'+
									'<a class="businessHoursSidebar" href="javascript:void(0)" pwm-lang="checkout.viewHours"></a>'+
								'</div>'+
								'<hr/>'+
							'</div>'+
							'';
						return out;
					},
					status:function(){ // template.cart.side.layout.branchParts.body.status
						var out =
							'<div class="branchStatus text-center">'+
								'<h4>'+
									'<div class="statusOffline text-danger">'+
										'<strong><i class="fa fa-warning"></i> <span pwm-lang="cart.selectedBranch.isoffline.label"></span></strong>'+
									'</div>'+
								'</h4>'+
								'<p class="branchOfflineMsg branchOfflineMsg_offline" pwm-lang="cart.selectedBranch.isoffline.msg.offline"></p>'+
								'<p class="branchOfflineMsg branchOfflineMsg_health" pwm-lang="cart.selectedBranch.isoffline.msg.health"></p>'+
								'<hr/>'+
							'</div>'+
							'';
						return out;
					},
					zone:function(){ // template.cart.side.layout.branchParts.body.zone
						var out =
							'<div class="branchZoneInfos">'+
								'{{#branchzoneinfos}}'+
									'<small>'+
										'{{#fees}}'+
											'<div><span pwm-lang="cart.selectedBranch.fees.label"></span>: <span pwm-lang-price="{{fees}}"></span></div>'+
										'{{/fees}}'+
										'{{#min_amount}}'+
											'<div><span pwm-lang="cart.selectedBranch.min_amount.label"></span>: <span pwm-lang-price="{{min_amount}}"></span></div>'+
										'{{/min_amount}}'+
										'{{#taxfree}}'+
											'<div><span pwm-lang="cart.selectedBranch.taxFree.label"></span></div>'+
										'{{/taxfree}}'+
									'</small>'+
								'{{/branchzoneinfos}}'+
							'</div>'+
							'';
						return out;
					}
				},
				footer:function(){ // template.cart.side.layout.branchParts.footer
					var out =
						'<div class="changeBranch">'+
							'<a href="javascript:void(0)" pwm-lang="cart.selectedBranch.change"></a>'+
						'</div>'+
						'';
					return out;
				},
				title:function(){ // template.cart.side.layout.branchParts.title
					var out =
						'<h4>'+
							'<span class="pull-right branchInfosToggle">'+
								'<button class="btn btn-sm btn-default" type="button">'+
									'<i class="fa fa-warning statusIcon"></i>'+
									' <i class="fa fa-caret-down toggleIcon"></i>'+
								'</button>'+
							'</span>'+
						'<i class="fa fa-map-marker fa-lg"></i> <span pwm-lang="cart.selectedBranch.title"></span></h4>'+
						'';
					return out;
				}
			},
			footer:function(){
				var out=
					'<div class="CartTotal clearfix">'+
						'<h4 class="cartSubtotal clearfix">'+
							'<label pwm-lang="cart.subtotal.label" class="pull-left"></label>'+
							'<span class="pull-right amount"><span pwm-lang-price="0.00"></span></span>'+
						'</h4>'+
						'<h4 class="discount clearfix">'+
							'<label pwm-lang="cart.discountTotal.label" class="pull-left"></label>'+
							'<span class="pull-right amount"><span pwm-lang-price="0.00"></span></span>'+
						'</h4>'+
						'<h4 class="deliveryFees">'+
							'<label pwm-lang="cart.delivery.label" class="pull-left"></label>'+
							'<span class="pull-right amount"><span pwm-lang-price="0.00"></span></span>'+
						'</h4>'+
					'</div>'+
					template.cart.buttons.actions.layout();
				return out;
			},
			itemRow:function(){
				var out=
					'<tr class="item ItemContainer clearfix" style="display:none;" data-item-row="{{irow}}" data-item-id="{{id}}">'+
						'<td class="text-right">'+
							'<span class="product_qty_span">'+
								'<span class="qty">{{qty}}</span>x'+
							'</span>'+
						'</td>'+
						'<td class="product_name">'+
							'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span> '+
							'{{#customized}}'+
								'(<em pwm-lang="cart.customized"></em>)'+
							'{{/customized}}'+
						'</td>'+
						'<td class="text-right ">'+
							'<span class="product_price">{{total}}</span>'+
						'</td>'+
						'<td>'+
							'<button class="product_remove_link text-right removeProduct">'+
								'<i class="fa fa-times"></i>'+
							'</button>'+
						'</td>'+
					'</tr>'+
					'';
				return out;
			},
			qrcode:function(){
				var out =
					'<div class="panel panel-default hidden-xs hidden-sm">'+
						'<div class="panel-heading">'+
							'<h4>'+
								'<i class="fa fa-fw fa-mobile fa-lg"></i> '+
								'{{#mobileQr}}'+
									'<span pwm-lang="cart.qr.hasApp.title"></span>'+
								'{{/mobileQr}}'+
								'{{^mobileQr}}'+
									'<span pwm-lang="cart.qr.noApp.title"></span>'+
								'{{/mobileQr}}'+
							'</h4>'+
						'</div>'+
						'<div class="panel-body text-center"><div id="mobileQr"></div>'+
							//'{{#mobileQr}}'+
							//	'<img src="{{{mobileQr}}}" />'+
							//'{{/mobileQr}}'+
						'</div>'+
					'</div>'+
					'';
				return out;
			},
			removeModal:function(){
				var out =
					'<div class="modal fade" id="removeQtyModal" tabindex="-1" role="dialog" data-client="{{editClient}}" data-product="{{editID}}">'+
						'<div class="modal-dialog">'+
							'<div class="modal-content">'+
								'<div class="modal-header">'+
									'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>'+
									'<h4 class="modal-title" id="myModalLabel">'+
										'<span pwm-lang="cart.removeModal.title"></span> <br />'+
										'{{{editName}}}'+
									'</h4>'+
								'</div>'+
								'<div class="modal-body">'+
									'<div class="input-group">'+
										'<span class="input-group-addon"><span pwm-lang="cart.removeModal.qty"></span></span>'+
										'<input type="number" class="removeQuantity form-control" required="required" '+
											'data-client="{{editClient}}" '+
											'data-id="{{editID}}" '+
											'name="quantity" min="1" '+
											'value="{{editQty}}" '+
											'onchange="pwm.modules.cart.changeQty('+"'{{editClient}}','{{editID}}'"+', false)"'+
											'/>'+
									'</div>'+
								'</div>'+
								'<div class="modal-footer">'+
									'<button type="button" class="btn btn-warning editQuantity pull-left">'+
										'<span pwm-lang="cart.removeModal.all"></span>'+
									'</button>'+
									'<button type="button" class="btn btn-primary editQuantity saveAndClose" data-quantity="{{editQty}}">'+
										'<span pwm-lang="cart.removeModal.saveAndClose"></span>'+
									'</button>'+
								'</div>'+
							'</div>'+
						'</div>'+
					'</div>';
				return out;
			},
			selectedAddressInfos:function(){
				var out=
					'{{#selectedaddress}}'+
						'<div class="panel panel-default selectedAddress">'+
							'<div class="panel-heading">'+
								'<h4><i class="fa fa-fw fa-home fa-lg"></i> <span pwm-lang="cart.selectedAddress.title"></span></h4>'+
							'</div>'+
							'<div class="panel-body clearfix">'+
								'<div class="selectedAddressValue">'+
									'<strong>{{{alias}}}</strong><br/>'+
									'{{stnumber}}, {{{street}}}<br/>'+
									'{{{city}}},&nbsp;&nbsp;{{zipcode}}<br/>'+
									'<span pwm-lang="account.address.usePhone.type.{{phone.type}}"></span>: {{phone.number}}'+
								'</div>'+
								'<div class="changeAddress">'+
									'<a href="javascript:void(0)" pwm-lang="cart.selectedAddress.change"></a>'+
								'</div>'+
							'</div>'+
						'</div>'+
					'{{/selectedaddress}}';
				return out;
			},
			selectedBranchInfos:function(){
				var out=
					'{{#restaurant}}'+
						'<div class="selectedBranch panel panel-danger text-danger">'+
							'<div class="panel-heading selectedBranchTitle">'+
								template.cart.side.layout.branchParts.title()+
							'</div>'+
							'<div class="panel-body selectedBranchInfos clearfix">'+
								template.cart.side.layout.branchParts.body.status()+
								template.cart.side.layout.branchParts.body.offHours()+
								'<div class="branchName">{{{branchname}}}</div>'+
								'<div class="modespecific Carryout">'+
									template.cart.side.layout.branchParts.body.contact()+
									'<hr />'+
								'</div>'+
								'{{#isopen}}'+
									'<h3>'+
										'<i class="fa fa-clock-o text-success"></i> '+
										'<span pwm-lang="cart.selectedBranch.hours.current.open"></span>'+
									'</h3>'+
								'{{/isopen}}'+
								template.cart.side.layout.branchParts.body.hours.today()+
								template.cart.side.layout.branchParts.body.hours.tomorrow()+
								template.cart.side.layout.branchParts.body.hours.schedule()+
								'<div class="modeandtime">'+
									'<hr />'+
									template.cart.side.layout.branchParts.body.mode()+
									template.cart.side.layout.branchParts.body.duetime()+
								'</div>'+
							'</div>'+
							'<div class="panel-footer text-center">'+
								template.cart.side.layout.branchParts.footer()+
							'</div>'+
						'</div>'+
					'{{/restaurant}}';
				return out;
			},
			sideCart:function(){
				var out =
					'<div id="sideCart" class="panel panel-default pwmCartEmpty">'+
						'<div class="panel-heading">'+
							'<h4>'+
								'{{#restaurant}}'+
									'<i class="fa fa-fw fa-cutlery fa-lg hidden-md"></i> '+
									'<span pwm-lang="cart.title"></span> '+
								'{{/restaurant}}'+
								'{{#retail}}'+
									'<i class="fa fa-fw fa-shopping-cart fa-lg"></i> '+
									'<span pwm-lang="cart.title"></span> '+
								'{{/retail}}'+
							'</h4>'+
						'</div>'+
						'<div class="panel-body">'+
							'<div class="cartContent">'+
								'<div class="cartEmpty text-center">'+
									'<span pwm-lang="cart.cartEmpty.label"></span>'+
									//'<hr/>'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<div class="panel-footer">'+
							'<div class="row cartFooter orderTotals" id="sideCartFooter"></div>'+ //added orderTotals
						'</div>'+
					'</div>'+
					'';
				return out;
			}
		}
	}
};
/* module: www/assets/js/_modules/categories/template.js */
template.categories = {
	categories:function(vars){
		if (typeof vars == 'undefined')
			vars = {};
		var out =
			'{{#productBuilderItems}}'+
				'<li class="productBuilderItem" data-id="{{.}}">'+
					'<a href="#!/productBuilder/{{.}}">'+
						'<i class="fa fa-wrench fa-fw categoryIcon"></i> <span pwm-lang="pwm.datas.products.{{.}}.locales.%LANG%.name"></span>'+
						'</a><i class="chevron fa fa-chevron-right"></i></li>'+
			'{{/productBuilderItems}}'+
			'{{#categories}}'+
				'{{#isAvailable}}'+
					'{{#hasslaves}}'+
						'<li class="catNavMaster" data-expanded="false" data-id="{{id}}">'+
							'{{#showImages}}'+
								'{{#hasThumb}}'+
									'<a class="clearfix" href="#!/category/{{id}}">'+
										template.products.productImage()+
									'</a>'+
								'{{/hasThumb}}'+
								'{{^hasThumb}}'+
									'{{#hasBanner}}'+
										'<a class="clearfix" href="#!/category/{{id}}">'+
											template.products.productImage()+
										'</a>'+
									'{{/hasBanner}}'+
								'{{/hasThumb}}'+
							'{{/showImages}}'+
							'<a class="clearfix" href="'+((vars.pursueLinks) ? '#!/subcategory/{{id}}' : 'javascript:void(0);' )+'">'+
								'<span class="categoryTitle" pwm-lang="{{localepath}}">'+
									'{{{name}}}'+
								'</span>'+
							((vars.pursueLinks) ?'':'</a>')+
							'<i class="chevron chevron-down fa fa-chevron-down"></i>'+
							'<ul class="NavSlaveGroup list-unstyled">'+
								'{{#slaves}}'+
									'{{#isAvailable}}'+
										'<li class="slave_item" data-id="{{id}}">'+
											'<a class="clearfix" href="#!/category/{{id}}">'+
												'<span pwm-lang="{{localepath}}">{{{name}}}</span>'+
											'</a>'+
											'<i class="chevron chevron-right fa fa-chevron-right"></i>'+
										'</li>'+
									'{{/isAvailable}}'+
								'{{/slaves}}'+
							'</ul>'+
						'</li>'+
					'{{/hasslaves}}'+
					'{{^hasslaves}}'+
						'<li data-id="{{id}}">'+
							'{{#showImages}}'+
								'{{#hasBanner}}'+
									'<a class="clearfix" href="#!/category/{{id}}">'+
										template.products.productImage()+
									'</a>'+
								'{{/hasBanner}}'+
							'{{/showImages}}'+
							'<a class="clearfix" href="#!/category/{{id}}">'+
								'<span class="categoryTitle" pwm-lang="{{localepath}}">{{{name}}}</span>'+
							((vars.pursueLinks) ?'':'</a>')+
							'<i class="chevron chevron-right fa fa-chevron-right"></i>'+
						'</li>'+
					'{{/hasslaves}}'+
				'{{/isAvailable}}'+
			'{{/categories}}'+
			'{{^categories}}'+
				'-- no categories --'+
			'{{/categories}}'+
			'';
		return out;
	},
	layout:function(){
		var out=
			'<div class="colwrapper clearfix">'+
				'<div class="hidden-md hidden-lg">'+
					template.cart.side.layout.selectedAddressInfos()+
					template.cart.side.layout.selectedBranchInfos()+
				'</div>'+
				'<div class="row">'+
					'<h3 class="col-xs-12">'+
						'<i class="fa fa-tags"></i> <span pwm-lang="categories.title"></span>'+
					'</h3>'+
				'</div>'+
				'<ul class="nav nav-list clearfix"></ul>'+
			'</div>';
		return out;
	},
	items:function(){
		var out=
			'<li class="featuredProducts" data-id="featured"><a href="#!/category/featured"><i class="fa fa-asterisk fa-fw categoryIcon"></i> <span pwm-lang="categories.featured.label"></span></a><i class="chevron fa fa-chevron-right"></i></li>'+
			'<li class="currentPromotions" data-id="promos"><a href="#!/category/promos"><i class="fa fa-ticket fa-fw categoryIcon"></i> <span pwm-lang="promos.label"></span></a><i class="chevron fa fa-chevron-right"></i></li>'+
			'<li class="favoriteProducts">'+
				'<a href="#!/account/favoriteProducts">'+
					'<i class="fa fa-heart fa-fw categoryIcon"></i> <span pwm-lang="products.favoriteProducts.title"></span>'+
				'</a>'+
				'<i class="chevron fa fa-chevron-right"></i>'+
			'</li>'+
			template.categories.categories()+
			'';
		return out;
	},
	page:{
		base:function(){
			var out =
				'{{#header}}'+
					'<div class="row categoriesPageHeader">'+
						'<div class="col-xs-12">'+
							'-- categories page HEADER --'+
						'</div>'+
					'</div>'+
				'{{/header}}'+
				'<div class="row">'+
					'<div class="col-xs-12">'+
						'<div class="breadCrumb clearfix">'+
							'<h3>'+
								'{{#id}}'+
									'<span pwm-lang="pwm.datas.categories.{{branch}}.{{id}}.locales.%LANG%.name">{{{category.defaultname}}}</span>'+
								'{{/id}}'+
								'{{^id}}'+
									'<span pwm-lang="categories.title"></span>'+
								'{{/id}}'+
							'</h3>'+
						'</div>'+
					'</div>'+
				'</div>'+
				'<div class="row categoriesPageBody">'+
					'<div class="ProductsList col-xs-12">'+
						'<ul>'+
							template.categories.categories({
								pursueLinks	: true
							})+
						'</ul>'+
					'</div>'+
				'</div>'+
				'{{#footer}}'+
					'<div class="row categoriesPageFooter">'+
						'<div class="col-xs-12">'+
							'-- categories page FOOTER --'+
						'</div>'+
					'</div>'+
				'{{/footer}}'+
				'';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/checkout/template.js */
template.checkout = {
	removeFaveModal:function(){
		var out =
			'{{#id}}'+
				'<div class="modal fade bs-example-modal-sm" id="removeFaveModal" data-id="{{id}}" tabindex="-1" role="dialog" aria-labelledby="removeFaveModal" aria-hidden="true">'+
					'<div class="modal-dialog modal-sm">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><span pwm-lang="checkout.saveOrder.close"></span></span></button>'+
								'<h4 class="modal-title" id="myModalLabel"><span pwm-lang="checkout.deleteSave.title"></span></h4>'+
							'</div>'+
							'<div class="modal-body clearfix">'+
								'<span pwm-lang="checkout.deleteSave.msg"></span>'+
							'</div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-default pull-left" data-dismiss="modal"><span pwm-lang="checkout.deleteSave.no"></span></button>'+
								'<button type="button" class="btn btn-primary confirmRemoveFromFavorites"><span pwm-lang="checkout.deleteSave.yes"></span></button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'{{/id}}';
		return out;
	},
	saveOrderModal:function() {
		var out =
			'<div class="modal fade" id="saveOrderModal" tabindex="-1" role="dialog" aria-labelledby="saveOrderModal" aria-hidden="true" data-backdrop="static" data-keyboard="false">'+
				'<div class="modal-dialog">'+
					'<div class="modal-content">'+
						'<div class="modal-header">'+
							'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><span pwm-lang="checkout.saveOrder.close"></span></span></button>'+
							'<h4 class="modal-title" id="myModalLabel"><span pwm-lang="checkout.saveOrder.title"></span></h4>'+
						'</div>'+
						'<div class="modal-body clearfix">'+
							'<form>'+
								'<h3><span pwm-lang="checkout.saveOrder.modal.title"></span></h3>'+
								'<div class="input-group">'+
									'<span class="input-group-addon"><i class="fa fa-heart"></i></span>'+
									'<input type="text" class="form-control" id="faveOrder_name" name="faveOrder_name">'+
								'</div>'+
							'</form>'+
							'<span id="OrderFav" class="toogleFav" pwm-lang="checkout.saveOrder.modal.orderdescription"></span>'+
							'<span id="CheckoutFav" class="toogleFav" pwm-lang="checkout.saveOrder.modal.checkoutdescription"></span>'+
						'</div>'+
						'<div class="modal-footer">'+
							'<button type="button" class="btn btn-default" data-dismiss="modal"><span pwm-lang="checkout.saveOrder.close"></span></button>'+
							'<button type="button" class="btn btn-primary saveNewOrderAsFavorite"><span pwm-lang="checkout.saveOrder.save"></span></button>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	memoRow:function(i){
		var out=
			'<div class="memoRow memo'+(i+1)+'Row clearfix">'+
				'<label class="col-sm-3">Note #'+(i+1)+':</label>'+
				'<div class="col-lg-6 col-md-8">'+
					'<input type="text" class="form-control memo" name="checkout.memos[]" maxlength="20"/>'+
				'</div>'+
			'</div>';
		return out;
	},
	layout:function(){
		var out=
			'<div class="colwrapper clearfix">'+
				'<div id="checkoutPage" class="clearfix">'+
					'<div class="orderProcessingStatus"></div>'+
					'<div class="minimalAmountNotMet alert alert-danger">'+
						'<i class="fa fa-warning fa-lg"></i> <span pwm-lang="cart.minimalAmountNotMet.text"></span>'+
						'<span class="order_min_amount">{{orderMinAmount}}</span>$ +tx.'+
					'</div>'+
					'{{^branchIsOpen}}'+
						'<div id="branchIsClosed" class="branchIsClosed alert alert-danger">'+
							'<i class="fa fa-warning fa-lg"></i> '+
							'<span pwm-lang="cart.branchIsClosed.text"></span> '+ // '<span pwm-lang="cart.branchIsClosed.naMode"></span> '
							'<span class="closedBranchModeStatus"></span> '+
						'</div>'+
					'{{/branchIsOpen}}'+
					'{{#branchIsOpen}}'+
						'<form>'+
							'<div class="alert alert-info">'+
								'<i class="fa fa-info-circle fa-2x pull-left"></i> '+
								'<p pwm-lang="checkout.info.text"></p>'+
							'</div>'+
							'<div class="row">'+
								'{{#orderInfos_address}}'+
									'<div class="col-md-6 clearfix pastOrderDetails">'+
								'{{/orderInfos_address}}'+
								'{{^orderInfos_address}}'+
									'<div class="col-xs-12 clearfix">'+
								'{{/orderInfos_address}}'+
									template.checkout.panels.customerInfos()+
								'</div>'+
								'{{#orderInfos_address}}'+
									'<div class="col-md-6 clearfix">'+
										template.checkout.panels.orderInfos()+
								'</div>'+
								'{{/orderInfos_address}}'+
							'</div>'+
							'<div class="clearfix">'+
								template.checkout.panels.cart()+
							'</div>'+
							'<div class="clearfix">'+
								template.checkout.panels.memos()+
							'</div>'+
							'<div class="row">'+
								'<div class="col-md-6 clearfix">'+
									template.checkout.panels.paymentsForm.base()+
								'</div>'+
								'<div class="col-md-6 clearfix tipsPanel">'+
									template.checkout.panels.tips()+
								'</div>'+
								'<div class="col-md-6 clearfix">'+
									template.checkout.panels.totals()+
								'</div>'+
							'</div>'+
							'<div class="minimalAmountNotMet alert alert-danger">'+
								'<i class="fa fa-warning fa-lg"></i> '+
								'<span pwm-lang="cart.minimalAmountNotMet.text"></span>'+
								'<span class="order_min_amount">{{orderMinAmount}}</span>$ +tx.'+
							'</div>'+
							'<div class="checkoutFooter clearfix row">'+
								template.checkout.checkoutFooter()+
							'</div>'+
						'</form>'+
					'{{/branchIsOpen}}'+
				'</div>'+
			'</div>';
		return out;
	},
	checkoutFooter:function(){
		var out =
			'<div class="alert whyNoSend">'+
				'<div class="alert alert-danger noPayMeth">'+
					'<i class="fa fa-exclamation-triangle"></i> '+
					'<span pwm-lang="checkout.whyNoSend"></span>'+
				'</div>'+
				'<div class="alert alert-danger offLine">'+
					'<i class="fa fa-exclamation-triangle"></i> '+
					'<span pwm-lang="checkout.offline"></span>'+
				'</div>'+
				'<div class="alert alert-info needIDAlert">'+
						'<span class="fa-stack fa-lg pull-left">'+
							'<i class="fa fa-square-o fa-stack-2x"></i>'+
							'<i class="fa fa-user fa-stack-1x"></i>'+
						'</span> '+
					'<span pwm-lang="products.alerts.needid.text"></span>'+
				'</div>'+
			'</div>'+
			'<div class="pull-right col-xs-12 col-sm-8 col-md-6">'+
				'<div class="alert alert-danger lastMinuteCheckoutErrors"></div>'+
				'<button type="button" class="btn btn-primary btn-lg btn-block submitBtn pwmCheckoutBtn pwmcanblock checkoutPageSubmit">'+
					'<span class="normalState">'+
						'<span class="hidden-xs">'+
							'<span class="submitBtn_confirm" pwm-lang="checkout.footer.buttons.confirm.confirmlbl"></span>'+
							' <span class="submitBtn_and" pwm-lang="system.conjunctions.and"></span>'+
						'</span>'+
						' <span pwm-lang="checkout.footer.buttons.confirm.label"></span>'+
						' <i class="fa fa-chevron-right"></i>'+
					'</span>'+
					'<span class="submittingState">'+
						'<i class="fa fa-refresh fa-spin"></i> '+
						'<span pwm-lang="checkout.footer.buttons.submitting.label"></span>'+
					'</span>'+
				'</button>'+
			'</div>'+
			'';
		return out;
	},
	panels:{
		favoriteOrderEdit:function(){
			var out=
			'<div class="col-md-4 pull-right favoriteOrderEdit"{{#orderName}} data-name="{{orderName}}"{{/orderName}}>'+
				'{{#orderName}}'+
					'<label class="pull-right"><i class="fa fa-heart"></i> {{{orderName}}}</label>'+
				'{{/orderName}}'+
				'{{^orderName}}'+
					'<div class="addToFavorite input-group">'+
						'<input type="text" pwm-lang="checkout.panels.orderContent.fav" name="favoriteOrderName" class="form-control"/>'+
						'<span class="input-group-btn">'+
							'<button type="button" class="btn btn-default addToFavoriteInfoPopOver">'+
								'<i class="fa fa-question"></i>'+
							'</button>'+
						'</span>'+
					'</div>'+
				'{{/orderName}}'+
			'</div>';
			return out;
		},
		cart:function(){
			return template.panel({
						cls		: 'default orderContent saveOrders',
						attr	: '',
						title	:	template.checkout.panels.favoriteOrderEdit()+
									'<div>'+
										'<i class="fa fa-shopping-cart fa-lg"></i></i> '+
										'<span pwm-lang="checkout.panels.orderContent.title"></span>:'+
									'</div>',
						body	: '{{#cart}}'+
										template.panel({
											cls		: 'default cartPanel',
											attr	: 'data-customer="{{crow}}"',
											title	: '<i class="fa fa-user"></i> '+
														'{{#name}}Client #{{nb}}: {{name}}{{/name}}'+
														'{{^name}}<span pwm-lang="cart.customers.unknown">{{/name}}</span>',
											body	: template.cart.main.items()
										})+
									'{{/cart}}'
					});
		},
		customerInfos:function(){
			return template.panel({
						cls		: 'default customerInfos',
						attr	: '',
						title	: '<i class="fa fa-user fa-lg"></i> <span pwm-lang="checkout.panels.customerInfos.title"></span>:',
						body	: '<div class="customerAddress"><span pwm-lang="checkout.panels.customerInfos.address"></span>:<br/>'+
									'{{{customerInfos_address}}}'+
									'{{#mode_Delivery}}'+
										'{{#customerInfos_near}}'+
											'<br/>'+
											'<span pwm-lang="checkout.panels.customerInfos.near"></span>: {{{customerInfos_near}}}'+
										'{{/customerInfos_near}}'+
										'{{#customerInfos_note}}'+
											'<br/>'+
											'<span pwm-lang="checkout.panels.customerInfos.note"></span>: {{{customerInfos_note}}}'+
										'{{/customerInfos_note}}'+
									'{{/mode_Delivery}}'+
									'</div>'
					});
		},
		memos:function(){
			var memos = '',
				out;
			for(var i=0;i<=2;i++)
				memos+=template.checkout.memoRow(i);
			out = template.panel({
						cls		: 'default orderMemos',
						attr	: '',
						title	: '<i class="fa fa-comments-o fa-lg"></i> <span pwm-lang="checkout.panels.memos.title"></span>:',
						body	:
							'<div class="col-md-6">'+
								'<p pwm-lang="checkout.panels.memos.info"></p>'+
							'</div>'+
							'<div class="clearfix col-md-6 pull-right memos text-right">'+
								memos+
							'</div>'
					});
			return out;
		},
		orderInfos:function(){
			return template.panel({
						cls		: 'default orderInfos',
						attr	: '',
						title	: '<i class="fa fa-info-circle fa-lg"></i> <span pwm-lang="checkout.panels.orderInfos.title"></span>:',
						body	: '<span pwm-lang="checkout.panels.orderInfos.branch"></span>:<br/>{{{orderInfos_address}}}'+
									'<div class="input-group">'+
										'<span class="input-group-addon"><i class="fa fa-car fa-lg"></i></span>'+
										'<select name="checkout.mode" class="form-control">'+
											'{{#modes}}'+
												'<option value="{{mode}}" pwm-lang="system.fields.mode.{{mode}}"{{selected}}></option>'+
											'{{/modes}}'+
										'</select>'+
									'</div>'+
									'<div class="input-group">'+
										'<span class="input-group-addon"><i class="fa fa-clock-o fa-lg"></i></span>'+
										'<select name="checkout.duetime" class="form-control timeselection"></select>'+
									'</div>'+
									''
					});
		},
		paymentsForm:{
			base : function(){
				var out =
					template.panel({
						cls		: 'default paymentInfos',
						attr	: '',
						title	: '<i class="fa fa-credit-card fa-lg"></i> <span pwm-lang="checkout.panels.paymentInfos.title"></span>:',
						body	: '<div class="form-horizontal">'+
										'<div class="form-group">'+
											'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.select.label">Mode de paiement</span>:</label>'+
											'<div class="col-md-9">'+
												template.checkout.panels.paymentsForm.methods()+
											'</div>'+
										'</div>'+
										'<div class="useLoyaltyCard">'+
											template.checkout.panels.paymentsForm.loyalty()+
										'</div>'+
										'<div class="useExistingCreditCard">'+
											'<div class="form-group">'+
												'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.cvv">CVV</span>:</label>'+
												'<div class="col-md-9">'+
													'<div class="input-group">'+
														'<input type="text" name="checkout.cc.existcc.cvv"'+
														' class="form-control col-xs-3" pwm-lang="checkout.cc.newcc.fields.cvv"/>'+
														'<span class="input-group-btn">'+
															'<button type="button" class="btn btn-default cvvInfoPopOver">'+
																'<i class="fa fa-question"></i>'+
															'</button>'+
														'</span>'+
													'</div>'+
												'</div>'+
											'</div>'+
										'</div>'+
										template.checkout.panels.paymentsForm.newCC()+
									'</div>'
					});
				return out;
			},
			loyalty:function(){
				var out =
					'<div class="useNewLoyaltyCard">'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.loyalty.fields.number"></span>:</label>'+
							'<div class="col-md-9">'+
								'<input type="text" name="checkout.cc.loyalty.number"'+
								' class="form-control col-xs-3" pwm-lang="checkout.cc.loyalty.fields.number" value=""/>'+
							'</div>'+
						'</div>'+
						'<input type="hidden" name="checkout.cc.loyalty.save" value="1"/>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.loyalty.fields.name"></span>:</label>'+
							'<div class="col-md-9">'+
								'<input type="text" name="checkout.cc.loyalty.name"'+
								' class="form-control col-xs-3" pwm-lang="checkout.cc.loyalty.fields.name" value=""/>'+
							'</div>'+
						'</div>'+
					'</div>'+
					'';
				return out;
			},
			methods:function(){ // template.checkout.panels.paymentsForm.methods()
				var out =
					'<select name="checkout.cc.select" class="form-control" required="required">'+
						'<option value="" pwm-lang="checkout.cc.select.selectlabel"></option>'+
						'{{#payments_loyalty}}'+
							'<option value="loyalty:{{gateway}}" pwm-lang="checkout.cc.loyalty.gateways.{{gateway}}"></option>'+
							'{{#userLoyaltyCards}}'+
								'<option value="loyalty:{{id}}" pwm-lang="checkout.cc.loyalty.gateways.{{gateway}}" pwm-lang-append=" : {{name}}"></option>'+
							'{{/userLoyaltyCards}}'+
						'{{/payments_loyalty}}'+
						'{{#payments_cards}}'+
							'{{#userCards}}'+
								'<option value="{{id}}"{{#selected}} selected{{/selected}}{{#expired}} disabled{{/expired}}>{{{label}}} | ***-{{last4}} {{issuer}}</option>'+
							'{{/userCards}}'+
							'<option value="new" pwm-lang="checkout.cc.select.newlabel"></option>'+
						'{{/payments_cards}}'+
						'{{#payments_cod}}'+
							'<option value="" disabled>-----</option>'+
							'{{#mode_Carryout}}'+
								'{{#payments_cod_cash}}<option value="cash" pwm-lang="checkout.cc.select.cashtakeoutlabel"></option>{{/payments_cod_cash}}'+
								'{{#payments_cod_card}}<option value="card" pwm-lang="checkout.cc.select.cardtakeoutlabel"></option>{{/payments_cod_card}}'+
							'{{/mode_Carryout}}'+
							'{{#mode_Delivery}}'+
								'{{#payments_cod_cash}}<option value="cash" pwm-lang="checkout.cc.select.cashdoorlabel"></option>{{/payments_cod_cash}}'+
								'{{#payments_cod_card}}<option value="card" pwm-lang="checkout.cc.select.carddoorlabel"></option>{{/payments_cod_card}}'+
							'{{/mode_Delivery}}'+
						'{{/payments_cod}}'+
					'</select>'+
					'';
				return out;
			},
			newCC:function(){
				var out=
					'<div class="addNewCreditCard">'+
						'<h4 pwm-lang="checkout.cc.newcc.titles.owner"></h4>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.firstname">Firstname</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.firstname"'+
								' class="form-control" pwm-lang="checkout.cc.newcc.fields.firstname"'+
								' value="{{{firstname}}}"/>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.lastname">Lastname</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.lastname"'+
								' class="form-control" pwm-lang="checkout.cc.newcc.fields.lastname"'+
								' value="{{{lastname}}}"/>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.address">Adresse</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.address"'+
								' class="form-control" pwm-lang="checkout.cc.newcc.fields.address"'+
								' value="{{{address}}}"/>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.city">City</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.city"'+
								' class="form-control" pwm-lang="checkout.cc.newcc.fields.city"'+
								' value="{{{city}}}"/>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.zipcode">Zipcode</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.zipcode"'+
								' class="form-control" pwm-lang="checkout.cc.newcc.fields.zipcode"'+
								' value="{{{zipcode}}}" mask="postalcode"/>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right">'+
								'<span pwm-lang="checkout.cc.newcc.fields.state"></span> / '+
								'<span pwm-lang="checkout.cc.newcc.fields.country"></span>'+
							':</label>'+
							'<div class="col-md-9 row">'+
								'<div class="col-md-6">'+
									'<select name="checkout.cc.newcc.state" class="form-control">'+
										'<option value="QC">Quebec</option>'+
									'</select>'+
								'</div>'+
								'<div class="col-md-6">'+
									'<select name="checkout.cc.newcc.country" class="form-control">'+
										'<option value="CA">Canada</option>'+
									'</select>'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<h4 pwm-lang="checkout.cc.newcc.titles.card"></h4>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.ccnumber">CC number</span>:</label>'+
							'<div class="col-md-9"><input type="text" name="checkout.cc.newcc.ccnumber"'+
									' class="form-control" pwm-lang="checkout.cc.newcc.fields.ccnumber" value="{{ccfields.ccnumber}}"/>'+
								'<span class="iconeCard"><i class="fa"></i></span>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.expiration"></span>:<br/><small>mm/yyyy</small></label>'+
							'<div class="col-md-9 row">'+
								'<div class="col-xs-6"><select name="checkout.cc.newcc.exp.month" class="form-control validateCCMonth"></select></div>'+
								'<div class="col-xs-6"><select name="checkout.cc.newcc.exp.year" class="form-control validateCCYear"></select></div>'+
							'</div>'+
						'</div>'+
						'<div class="form-group">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.cvv">CVV</span>:</label>'+
							'<div class="col-md-9">'+
								'<div class="input-group">'+
									'<input type="text" name="checkout.cc.newcc.cvv"'+
									' class="form-control col-xs-3" pwm-lang="checkout.cc.newcc.fields.cvv"/>'+
									'<span class="input-group-btn">'+
										'<button type="button" class="btn btn-default cvvInfoPopOver"><i class="fa fa-question"></i></button>'+
									'</span>'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<div class="form-group saveCC">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.save"></span>:</label>'+
							'<div class="col-md-9">'+
								'<div class="btn-group yesno" data-toggle="buttons-radio" >'+
									'<button type="button" value="1" class="btn saveCreditCard" data-toggle="button"><i class="fa"></i> <span pwm-lang="system.yes"></span></button>'+
									'<button type="button" value="0" class="btn saveCreditCard" data-toggle="button"><i class="fa"></i> <span pwm-lang="system.no"></span></button>'+
									'<input type="hidden" name="checkout.cc.newcc.save" value="0"/>'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<div class="form-group checkoutccsavealias">'+
							'<label class="col-md-3 text-right"><span pwm-lang="checkout.cc.newcc.fields.alias"></span>:</label>'+
							'<div class="col-md-9">'+
								'<div class="input-group">'+
									'<input type="text" name="checkout.cc.newcc.alias"'+
									' class="form-control" pwm-lang="checkout.cc.newcc.fields.alias"/>'+
									'<span class="input-group-btn">'+
										'<button type="button" class="btn btn-default ccAliasInfosPopOver"><i class="fa fa-question"></i></button>'+
									'</span>'+
								'</div>'+
							'</div>'+
						'</div>'+
					'</div>'+
					'';
				return out;
			}
		},
		tips:function(){
			return template.panel({
				cls		: 'default tip',
				attr	: '',
				title	: '<i class="fa fa-usd fa-lg"></i> <span pwm-lang="checkout.panels.orderTotals.amounts.tip"></span>:',
				body	: '<div class="checkoutAmounts clearfix">'+
							'<div class="tipbtn col-md-4" data-tipamnt="10"><button type="button" class="btn btn-primary btn-lg col-sm-12"> 10% </button> <br /><span></span></div>'+
							'<div class="tipbtn col-md-4" data-tipamnt="15"><button type="button" class="btn btn-primary btn-lg col-sm-12"> 15% </button> <br /><span></span></div>'+
							'<div class="tipbtn col-md-4" data-tipamnt="18"><button type="button" class="btn btn-primary btn-lg col-sm-12"> 18% </button> <br /><span></span></div>'+
						'</div>'
			});
		},
		totals:function(){
			var out =
					template.panel({
						cls		: 'default orderTotals',
						attr	: '',
						title	: '<i class="fa fa-thumbs-up fa-lg"></i> <span pwm-lang="checkout.panels.orderTotals.title"></span>:',
						body	: '<div class="checkoutAmounts clearfix">'+
										'<div class="subtotal clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.subtotal.label"></div>'+
											'<div class="amount col-xs-6 text-right">{{subtotal}}$</div>'+
										'</div>'+
										'{{#discount}}'+
											'<div class="discount clearfix">'+
												'<div class="text-right col-xs-6" pwm-lang="cart.discountTotal.label"></div>'+
												'<div class="amount col-xs-6 text-right">-{{discount}}$</div>'+
											'</div>'+
											'<div class="cartSubtotalAfterPromo clearfix">'+
												'<div class="text-right col-xs-6" pwm-lang="cart.subtotal.afterPromo"></div>'+
												'<div class="amount col-xs-6 text-right">{{newSubtotal}}$</div>'+
											'</div>'+
										'{{/discount}}'+
										'{{#deliveryFees}}'+
											'<div class="deliveryfees clearfix">'+
												'<div class="text-right col-xs-6"><span pwm-lang="checkout.panels.orderTotals.deliveryfees"></span>:</div>'+
												'<div class="amount col-xs-6 text-right">{{deliveryFees}}$</div>'+
											'</div>'+
										'{{/deliveryFees}}'+
										'{{#taxlist}}'+
											'<div class="tax clearfix" data-tax-code="{{code}}">'+
												'<div class="text-right col-xs-6"><span pwm-lang="system.taxs.{{code}}"></span>: <small>({{ratetext}})</small>:</div>'+
												'<div class="amount col-xs-6 text-right">{{amount}}$</div>'+
											'</div>'+
										'{{/taxlist}}'+
										'{{#tipsallowed}}'+
											'<div class="tip clearfix">'+
												'<div class="text-right col-xs-6"><span pwm-lang="checkout.panels.orderTotals.amounts.tip"></span>:</div>'+
												'<div class="amount col-xs-6 text-right clearfix">'+
													'<div class="pwmTips input-group col-xs-12 col-sm-10 col-md-8 col-lg-6 pull-right">'+
														'<input type="text" class="form-control text-right" name="checkout.amount.tip" value="{{tip}}"/>'+
														'<span class="input-group-addon">$</span>'+
													'</div>'+
												'</div>'+
											'</div>'+
										'{{/tipsallowed}}'+
										'<div class="total clearfix">'+
											'<div class="text-right col-xs-6" pwm-lang="cart.table.resume.total.label"></div>'+
											'<div class="amount col-xs-6 text-right">{{total}}$</div>'+
										'</div>'+
										'{{^tipsallowed}}'+
											'<div class="text-center"><small pwm-lang="checkout.panels.orderTotals.tipNotice"></small>'+
										'</div>{{/tipsallowed}}'+
										'<div class="text-muted text-center">'+
											'<small>{{tax_numbers}}</small>'+
										'</div>'+
									'</div>'
					});
			return out;
		}
	},
	cvvInfosModal:function(){
		var out=
			'<div class="modal fade" id="cvvInfosModal" tabindex="-1" role="dialog" aria-labelledby="cvvInfosModalLabel" aria-hidden="true">'+
				'<div class="modal-dialog">'+
					'<div class="modal-content">'+
						'<div class="modal-header">'+
							'<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>'+
							'<h4 class="modal-title" id="cvvInfosModalLabel"><i class="fa fa-info-circle"></i> '+
								'<span pwm-lang="checkout.cvvInfosModal.title"></span></h4>'+
						'</div>'+
						'<div class="modal-body">'+
							'<div class="well"><p pwm-lang="checkout.cvvInfosModal.text"></p></div>'+
						'</div>'+
						'<div class="modal-footer">'+
							'<button type="button" class="btn btn-default" data-dismiss="modal" '+
								'pwm-lang="checkout.cvvInfosModal.btn">Cancel</button>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	ccAliasInfosModal:function(){
		var out=
			'<div class="modal fade" id="ccAliasInfosModal" tabindex="-1" role="dialog" aria-labelledby="ccAliasInfosModalLabel" aria-hidden="true">'+
				'<div class="modal-dialog">'+
					'<div class="modal-content">'+
						'<div class="modal-header">'+
							'<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>'+
							'<h4 class="modal-title" id="ccAliasInfosModalLabel"><i class="fa fa-info-circle"></i> '+
								'<span pwm-lang="checkout.ccAliasInfosModal.title"></span></h4>'+
						'</div>'+
						'<div class="modal-body">'+
							'<div class="well"><p pwm-lang="checkout.ccAliasInfosModal.text"></p></div>'+
						'</div>'+
						'<div class="modal-footer">'+
							'<button type="button" class="btn btn-default" data-dismiss="modal" '+
								'pwm-lang="checkout.ccAliasInfosModal.btn">Cancel</button>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	guestCheckout:{
		advantages:function(){
			var out =
				'<div class="pwmAdvantages hidden-xs hidden-sm">'+
					'<h3><span pwm-lang="signin.guestCheckout_register.why.title"></span></h3>'+
					'<p>'+
						'<i class="fa fa-check text-success pull-left"></i> '+
						'<span pwm-lang="signin.guestCheckout_register.why.list.account.orderHistory"></span>'+
					'</p>'+
					'<p>'+
						'<i class="fa fa-check text-success pull-left"></i> '+
						'<span pwm-lang="signin.guestCheckout_register.why.list.account.favorites"></span>'+
					'</p>'+
					'<p>'+
						'<i class="fa fa-check text-success pull-left"></i> '+
						'<span pwm-lang="signin.guestCheckout_register.why.list.promos"></span>'+
					'</p>'+
					'<p>'+
						'<i class="fa fa-check text-success pull-left"></i> '+
						'<span pwm-lang="signin.guestCheckout_register.why.list._onlyOne"></span>'+
					'</p>'+
					'<p>'+
						'<i class="fa fa-check text-success pull-left"></i> '+
						'<span pwm-lang="signin.guestCheckout_register.why.list._more"></span>'+
					'</p>'+
				'</div>'+
				'';
			return out;
		},
		form:function(){
			var out =
				template.formBuilder({
					id		: 'registerGuest',
					button:{
						block	: 1,
						wrap	: {
							cls	: 'col-sm-8 col-sm-offset-2 guestSignUp'
						},
						label		: 'signin.boxes.newcust.title',
						icon:{
							cls	: 'user'
						}
					},
					fields:[
						{
							nolabel		: true,
							type		: 'hidden',
							name		: 'registerGuest.id',
							value		: '{{user_id}}'
						},
						{
							nolabel		: true,
							type		: 'email',
							name		: 'registerGuest.email',
							labelattr	: ' pwm-lang="signin.boxes.existcust.fields.email.label"',
							attr		: ' pwm-lang="signin.boxes.existcust.fields.email.label" required="required"',
							value		: ''
						},
						{
							nolabel		: true,
							type		: 'password',
							name		: 'registerGuest.password',
							labelattr	: ' pwm-lang="signin.boxes.existcust.fields.password.label"',
							attr		: ' pwm-lang="signin.boxes.existcust.fields.password.label" required="required" id="tt_signin"',
							value		: ''
						}
					],
					footer: '<p pwm-lang="signin.termsCheck"></p>'+
							''
				})+
				'';
			return out;
		},
		suggestSignUp:function(){
			var out =
				template.panel({
					attr	: '',
					cls		: '',
					title	: '<span pwm-lang="signin.guestCheckout_register.title"></span>',
					body	: '<div class="row">'+
									'<div class="clearfix">'+
										'<div class="col-xs-12">'+
											'<button type="button" class="btn btn-info toggle_pwmAdvantages visible-xs visible-sm" '+
												'href="javascript:void(0)" pwm-lang="signin.guestCheckout_register.why.link">'+
											'</button>'+
										'</div>'+
									'</div>'+
									'<div class="hidden mobile_pwmAdvantages">'+
										template.checkout.guestCheckout.advantages()+
									'</div>'+
									'<div class="col-md-6">'+
										template.checkout.guestCheckout.form()+
									'</div>'+
									'<div class="col-md-6">'+
										template.checkout.guestCheckout.advantages()+
									'</div>'+
							  '</div>'+
							  ''
				})+
				'';
			return out;
		}
	},
	paymentInfos:function(){
		var out=
			'<div class="row">'+
				'<div class="col-md-12 clearfix">'+
					'<form>'+
						template.checkout.panels.paymentsForm.base()+
					'</form>'+
					'<div class="btnfooter">'+
						'<button class="btn btn-primary btn-lg btn-block submitBtn pwmCheckoutBtn pwmcanblock reProcessPayment">'+
							'<span class="normalState">'+
								' <span pwm-lang="checkout.footer.buttons.confirm.reconfirm"></span>'+
								' <i class="fa fa-chevron-right"></i>'+
							'</span>'+
							'<span class="submittingState">'+
								'<i class="fa fa-refresh fa-spin"></i> '+
								'<span pwm-lang="checkout.footer.buttons.submitting.label"></span>'+
							'</span>'+
						'</button>'+
						//'<br/><br/>'+
						//'<button type="button" data-id="{{id}}" class="btn btn-danger btn-block cancelBtn">'+
						//	'<span class="normalState">'+
						//		' <span pwm-lang="checkout.process.reProcessPayment.cancelMyOrder.button.normal"></span>'+
						//		' <i class="fa fa-chevron-right"></i>'+
						//	'</span>'+
						//	'<span class="submittingState"><i class="fa fa-refresh fa-spin"></i> <span pwm-lang="checkout.process.reProcessPayment.cancelMyOrder.button.submitting"></span></span>'+
						//'</button>'+
					'</div>'+
				'</form>';
		return out;
	},
	results:{
		submit:{
			success:function(){
				var out=
					'<div class="alert alert-success orderSaved">'+
						'<small class="pull-right text-muted date">{{date}}</small>'+
						'<h3>'+
							'<i class="fa fa-check fa-lg"></i> '+
							'<span pwm-lang="checkout.process.alerts.orderSaved.text"></span>'+
						'</h3>'+
						'<p>'+
							'<span pwm-lang="checkout.process.alerts.orderSaved.orderNumber"></span> <b class="orderid">{{id}}</b>.<br/>'+
							'<span pwm-lang="checkout.process.alerts.orderSaved.moreInfos"></span> <b class="phone">{{phone}}</b>.'+
						'</p>'+
					'</div>';
				return out;
			},
			pendingApproval:function(){
				var out=
					'<div class="alert alert-warning pendingApproval">'+
						'<small class="pull-right text-muted date">{{date}}</small>'+
						'<h3>'+
							'<i class="fa fa-spin fa-circle-o-notch fa-lg"></i> '+
							'<span pwm-lang="checkout.process.alerts.pendingApproval.text"></span> '+
						'</h3>'+
					'</div>';
				return out;
			},
			sendingOrder:function(){
				var out=
					'<div class="alert alert-warning sendingOrderToPOS">'+
						'<small class="pull-right text-muted date">{{date}}</small>'+
						'<h3>'+
							'<i class="fa fa-spin fa-circle-o-notch fa-lg"></i> '+
							'{{#retail}}'+
								'<span pwm-lang="checkout.process.alerts.sendingOrder.retail"></span>'+
							'{{/retail}}'+
							'{{^retail}}'+
								'<span pwm-lang="checkout.process.alerts.sendingOrder.text"></span>'+
							'{{/retail}}'+
						'</h3>'+
						'<div class="progress progress-striped active">'+
							'<div class="progress-bar progress-bar-success" '+
								'role="progressbar" aria-valuenow="0" aria-valuemin="0" '+
								'aria-valuemax="100" style="width: 0%">'+
								'<span class="sr-only">0%</span>'+
							'</div>'+
						'</div>'+
						'<div class="sendingOrderFailed">'+
							'<p><span pwm-lang="checkout.process.alerts.sendingOrderFailed.text"></span></p>'+
							'<p><small><span class="sendingOrderFailed_error" data-error-type="timeout"><span pwm-lang="checkout.process.alerts.errorTypes.timeout"></span></span></small></p>'+
							'<p><small><span class="sendingOrderFailed_error" data-error-type="unreachable"><span pwm-lang="checkout.process.alerts.errorTypes.unreachable"></span></span></small></p>'+
							'<p><small><span class="sendingOrderFailed_error" data-error-type="posError"><span pwm-lang="checkout.process.alerts.errorTypes.posError"></span></span></small></p>'+
							'<div class="posErrorDetails"><small><em></em></small></div>'+
						'</div>'+
					'</div>'+
					'<div class="alert alert-warning orderConfirmation">'+
						'<small class="pull-right text-muted date"></small>'+
						'<h3>'+
							'<i class="fa fa-spin fa-circle-o-notch fa-lg"></i> '+
							'<span pwm-lang="checkout.process.alerts.orderSent.text"></span>'+
						'</h3>'+
						'<div class="progress progress-striped active">'+
							'<div class="progress-bar progress-bar-success" '+
								'role="progressbar" aria-valuenow="0" aria-valuemin="0" '+
								'aria-valuemax="100" style="width: 0%">'+
								'<span class="sr-only">0%</span>'+
							'</div>'+
						'</div>'+
						'<div class="orderConfirmationFailed">'+
							'<p><strong><em pwm-lang="checkout.process.alerts.orderConfirmationFailed.text"></em></strong></p>'+
							'<p><small><span class="orderConfirmationFailed_error" data-error-type="timeout"><span pwm-lang="checkout.process.alerts.errorTypes.timeout"></span></span></small></p>'+
							'<p><small><span class="orderConfirmationFailed_error" data-error-type="unreachable"><span pwm-lang="checkout.process.alerts.errorTypes.unreachable"></span></span></small></p>'+
							'<p><small><span class="orderConfirmationFailed_error" data-error-type="posError"><span pwm-lang="checkout.process.alerts.errorTypes.posError"></span></span></small></p>'+
							'<div class="posErrorDetails"><small><em></em></small></div>'+
						'</div>'+
					'</div>'+
					'<div class="alert alert-success orderConfirmed">'+
						'<small class="pull-right text-muted date"></small>'+
						'<h3><i class="fa fa-check fa-lg"></i> '+
							'<span pwm-lang="checkout.process.alerts.orderConfirmed.text"></span> <b class="orderNumber"></b>'+
						'</h3>'+
					'</div>'+
					'<div class="guestCheckout_suggestSignUp"></div>'+
					'';
				return out;
			},
			paymentPreAuthProcessing:function(){
				var out=
					'<div class="alert alert-warning paymentPreAuthProcessing">'+
							'<small class="pull-right text-muted date">{{date}}</small>'+
							'<h3><i class="fa fa-spin fa-circle-o-notch fa-lg"></i> '+
						'<span pwm-lang="checkout.process.alerts.paymentPreAuthProcessing.text"></span></h3>'+
						'<div class="paymentPreAuthFailed">'+
							'<p><span pwm-lang="checkout.process.alerts.paymentPreAuthFailed.text"></span><br />'+
								'<span class="paErrorDetails"><small><em></em></small></span>'+
							'</p>'+
							'<div id="reProcessPayment" class="col-md-6"></div>'+
						'</div>'+
						'<div class="paymentPreAuthProcessed">'+
							'<p><span pwm-lang="checkout.process.alerts.paymentPreAuthProcessed.text"></span> <b class="transactionid"></b></p>'+
						'</div>'+
					'</div>';
				return out;
			}
		},
		pendingCancelation:function(){
			var out=
				'<div class="alert alert-warning pendingCancelation">'+
					'<small class="pull-right text-muted date">{{date}}</small>'+
					'<h3><i class="fa fa-spin fa-circle-o-notch fa-lg"></i> '+
						'<span pwm-lang="checkout.process.alerts.pendingCancelation.text"></span></h3>'+
					'<div class="userCancelationProcessed">'+
						'<p><span pwm-lang="checkout.process.alerts.userCancelationProcessed.text"></span></p>'+
					'</div>'+
				'</div>';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/home/template.js */
template.home = {
	backbtn:function(){
		var out=
			'<div class="form-group">'+
				'<button class="btn btn-primary mobileBtnsClick visible-xs visible-sm">'+
					'<i class="fa fa-chevron-left fa-lg"></i>'+
					'<span pwm-lang="system.nav.back"></span>'+
				'</button>'+
			'</div>';
		return out;
	},
	mobileMenu:function(){
		var out=
		'<div class="col-sm-6">'+
			'<div class="logo" data-force-main="true">'+
				'<div class="imagespinner"></div>'+
				'<div class="logoValignHelper"></div>'+
			'</div>'+
		'</div>'+
		'<div class="col-sm-6">'+
			'<div class="landscapeTopPadding hidden-xs"></div>'+
			'<button class="btn btn-lg btn-block btn-primary mobileBtnsClick" data-element="newCustomerBox">'+
				'<i class="fa fa-list fa-lg pull-left"></i>'+
				'<span pwm-lang="home.boxes.newcust.title"></span>'+
				'<i class="fa fa-chevron-right fa-lg pull-right"></i>'+
			'</button>'+
			'<button class="btn btn-lg btn-block btn-primary mobileBtnsClick" data-element="existingCustomerBox">'+
				'<i class="fa fa-key fa-lg pull-left"></i>'+
				'<span pwm-lang="home.boxes.existcust.title"></span>'+
				'<i class="fa fa-chevron-right fa-lg pull-right"></i>'+
			'</button>'+
			'<button class="btn btn-lg btn-block btn-primary mobileBtnsClick" data-element="newCustSignUpEmailCheck">'+
				'<i class="fa fa-user-plus fa-lg pull-left"></i>'+
				'<span pwm-lang="signin.boxes.newcust.title"></span>'+
				'<i class="fa fa-chevron-right fa-lg pull-right"></i>'+
			'</button>'+
		'</div>';
		return out;
	},
	layout:function(){
		var out=
			'<div class="welcomeScreenBoxes">'+
				'<div class="mobileHomeMenu visible-xs visible-sm row">'+
					template.home.mobileMenu()+
				'</div>'+
				'<div class="row">'+
					template.home.newCustomer()+
					'<div class="newCustSignUpEmailCheck col-md-6 hidden hidden-xs hidden-sm">'+
						template.home.backbtn()+
						'<div class="well Boxed">'+
							'<div class="WS_heading">'+
								'<button type="button" class="close mobileBtnsClick visible-xs" aria-hidden="true">&times;</button>'+
								'<h3><i class="fa fa-lg"></i> <span pwm-lang="signin.boxes.newcust.title"></span></h3>'+
							'</div>'+
							'<div class="WS_content">'+
								template.signin.newCustSignUpEmailCheck()+
								template.signin.newCustSignUpForm()+
							'</div>'+ // .WS_content
						'</div>'+ // .well
					'</div>'+ // .newCustSignUpEmailCheck
					'<div class="existingCustomerBox col-md-6 hidden-xs hidden-sm">'+ // Existing customer
						template.home.backbtn()+
						'<div class="well Boxed">'+
							'<div class="WS_heading">'+
								'<button type="button" class="close visible-xs visible-sm mobileBtnsClick" aria-hidden="true">&times;</button>'+
								'<h3><i class="fa fa-lg"></i> <span pwm-lang="signin.boxes.existcust.title"></span></h3>'+
								'<p><span pwm-lang="signin.boxes.existcust.subtitle"></span></p>'+
							'</div>'+
							'<div class="WS_content">'+
								template.signin.signinform()+
							'</div>'+
							'<div class="clearfix row hrOr">'+
							'<span pwm-lang="signin.ou"></span>'+
						'</div>'+
						'<div class="row">'+
							'<div class="col-xs-12">'+
								'{{#guestCheckout}}<div class="pull-left">'+ //'<div class="col-xs-12 col-sm-6">'+
									template.signin.guestCheckout()+
								'</div>{{/guestCheckout}}'+
								'{{^mobile}}'+
									template.signin.social.all()+
								'{{/mobile}}'+
							'</div>'+
						'</div>'+
						'<div class="guestCheckoutForm">'+
							template.signin.newCustSignUpForm()+
						'</div>'+
					'</div>'+
				'</div>'+
			'<div class="clearfix"></div>'+
			'<div id="branchSearchResult"></div>';
		return out;
	},
	newCustomer:function(){
		var out =
			'<div class="newCustomerBox col-md-6 hidden-xs hidden-sm">'+
				template.home.backbtn()+
				'<div class="well Boxed">'+
					'<div class="WS_heading">'+
						'<div class="pull-right btn-group">'+
							//'<button class="btn btn-info" onclick="pwm.modules.home.howTo.start();">?</button>'+
							'<button type="button" class="visible-xs visible-sm close mobileBtnsClick" aria-hidden="true">&times;</button>'+//visible-xs visible-sm
						'</div>'+
						'<h3><i class="fa fa-lg"></i> <span pwm-lang="home.boxes.newcust.title"></span> </h3>'+
						'<p><span pwm-lang="home.boxes.newcust.subtitle"></span></p>'+
					'</div>'+
					'<div class="WS_content">'+
						template.formBuilder({
							id		: 'newCustBranchLookup',
							button:{
								block	: 1,
								wrap	: {
									cls	: 'clearfix col-sm-8 col-sm-offset-2'
								},
								label	: 'home.boxes.newcust.submitbtn.label',
								icon:{
									cls	: 'search'
								}
							},
							fieldsets:[
								{
									cls	: 'basicInfos',
									fields	: [
										{
											icon		: 'car',
											type		: 'select',
											name		: 'search.mode',
											nolabel		: 1,
											values		: '<option value="SELECT" pwm-lang="home.boxes.newcust.fields.mode.pleaseSelect" selected></option>'+
														'{{#modes}}'+
															'<option value="{{mode}}" pwm-lang="system.fields.mode.{{mode}}"></option>'+
														'{{/modes}}'
										},
										{
											type		: 'select',
											nolabel		: 1,
											icon		: 'clock-o',
											name		: 'search.duetime',
											cls			: 'timeselection',
											values		: ''
										}
									]
								},
								{
									cls		: 'searchMode searchMode_Delivery',
									legend	: 'home.boxes.newcust.fieldsets.delivery.legend',
									fields	: [
										{
											type		: 'text',
											id			: 'addressAutoComplete',
											nolabel		: 1,
											icon		: 'home',
											attr		: ' pwm-lang="home.boxes.newcust.fields.address.label"',
											name		: 'search.address',
											cls			: 'timeselection'
										},
										{
											type		: 'text',
											nolabel		: 1,
											icon		: 'map-marker',
											attr		: ' pwm-lang="home.boxes.newcust.fields.zipcode.label"',
											name		: 'search.zipcode'
										}
									]
								},
								{
									cls		: 'searchMode searchMode_Carryout',
									legend	: 'home.boxes.newcust.fieldsets.carryout.legend',
									fields	: [
										{
											type		: 'select',
											nolabel		: 1,
											name		: 'search.state',
											values		: '<option value="SELECT" pwm-lang="home.boxes.newcust.fields.state.label"></option>'+
												'{{#countries}}'+
													'<optgroup label="{{{name}}}" data-country="{{iso}}">'+
														'{{#states}}'+
															'<option value="{{iso}}">{{name}}</option>'+
															//'<optgroup label="{{{name}}}">'+
															//'{{#cities}}'+
															//	'<option value="{{.}}">{{.}}</option>'+
															//'{{/cities}}'+
															//'</optgroup>'+
														'{{/states}}'+
													'</optgroup>'+
												'{{/countries}}'
										},
										{
											type		: 'select',
											nolabel		: 1,
											name		: 'search.city',
											values		: '<option value="SELECT" pwm-lang="home.boxes.newcust.fields.city.label"></option>'+
												'{{#countries}}'+
													//'<optgroup label="{{{name}}}">'+
														'{{#states}}'+
															'<optgroup label="{{{name}}}" data-state="{{iso}}">'+
															'{{#cities}}'+
																'<option value="{{.}}" data-state="{{iso}}">{{.}}</option>'+
															'{{/cities}}'+
															'</optgroup>'+
														'{{/states}}'+
													//'</optgroup>'+
												'{{/countries}}'
										}
									]
								}
							]
						})+
					'</div>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	branchSelection:{
		layout:function(){
			var out=
				'<div class="branchSearchResultWrapper">'+
					'{{#showbranchs}}'+
						'<div class="alert alert-success clearfix">'+
							'<p>'+
								'<i class="fa fa-check fa-2x"></i> '+
								'<span data-type="text" pwm-lang="home.searchRes.alerts.resultsfound.text.first"></span> '+
								'{{#leadtime.min}}{{leadtime.min}} <span data-type="text" pwm-lang="home.searchRes.alerts.resultsfound.text.at"></span> {{leadtime.max}}{{/leadtime.min}}'+
								'{{^leadtime.min}}{{leadtime}}{{/leadtime.min}}'+
								' <span data-type="text" pwm-lang="home.searchRes.alerts.resultsfound.text.last"></span>'+
							'</p>'+
						'</div>'+
						'<div class="row">'+
							'<div class="col-md-6">'+
								template.home.branchSelection.list()+
							'</div>'+
							'<div class="col-md-6 hidden-xs hidden-sm">'+
								'<div class="branchSearchResultMapApproximatePosition staticMsg message-warning">'+
									'<i class="fa fa-info fa-fw"></i> '+
									'<span pwm-lang="home.searchRes.alerts.approxPosition"></span>'+
								'</div>'+
								'<div id="branchSearchResultMap" class=""></div>'+ //map
							'</div>'+
						'</div>'+
					'{{/showbranchs}}'+
					'{{^showbranchs}}'+
						'<div class="alert alert-danger clearfix"><p><i class="fa fa-2x fa-warning pull-left"></i> '+
							'{{#geocodefailed}}'+
								'<span pwm-lang="home.searchRes.alerts.geocodingfailed.text"></span></p></div>'+
							'{{/geocodefailed}}'+
							'{{^geocodefailed}}'+
								'<span pwm-lang="home.searchRes.alerts.noBranchFound.text"></span></p></div>'+
							'{{/geocodefailed}}'+
					'{{/showbranchs}}'+
				'</div>';
			return out;
		},
		list:function(){
			var out=
				'<div class="branchsPage row">'+
					'<div id="search_results" class="hiddenLoad">'+
					'<div class="wrap">'+
						'<div id="resultats" class="col-md-12">'+
							'<div class="col-md-8 pull-left">'+
								'<h4 class="style"></h4>'+
							'</div>'+
							'<div class="col-md-4 pull-right">'+
								template.pagination.navigation()+
							'</div>'+
							'<div class="clearfix"></div>'+
								template.pagination.search.branch()+
							'</div>'+
							'<div class="clearfix"></div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		},
		offlineBranchModal:function(){
			var out=
				'<div class="modal fade" id="branchOfflineWarningModal" data-id="" tabindex="-1" role="dialog" aria-labelledby="branchOfflineWarningModalLabel" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>'+
								'<h4 class="modal-title" id="branchOfflineWarningModalLabel">'+
									'<i class="fa fa-warning"></i> '+
									'<span pwm-lang="home.searchRes.modals.branchOffline.title"></span>'+
								'</h4>'+
							'</div>'+
							'<div class="modal-body">'+
								'<div class="alert alert-danger">'+
									'<p pwm-lang="home.searchRes.modals.branchOffline.body"></p>'+
								'</div>'+
							'</div>'+
							'<div class="modal-footer">'+
								'<button type="button" class="btn btn-default" data-dismiss="modal" pwm-lang="home.searchRes.modals.branchOffline.buttons.cancel"></button>'+
								'<button type="button" class="btn btn-primary branchSelect submitBtn" data-branchid="{{id}}" data-zoneid="{{zoneid}}">'+
									'<span pwm-lang="home.searchRes.modals.branchOffline.buttons.submit"></span> '+
									'<i class="fa fa-chevron-right"></i>'+
								'</button>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/orders/template.js */
if(typeof template=='undefined')
	var template={};
template.orders={
	emails:{
		newOrderReport:function(){
			var out =
			'<table style="width:500px;" border="0" cellpadding="2">'+
				'<tr>'+
					'<td style="width:200px;height:150px;text-align:center;"><img src="{{logo}}"/></td>'+
					'<td style="text-align:center"><h3>{{lang.title}}</h3></td>'+
				'</tr>'+
				'<tr>'+
					'<td colspan="2" style="padding:20px;">'+
						'{{lang.hello}} {{name}},<br/><br/>'+
						'{{lang.info}} {{siteName}}.<br/><br/>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.date}}:</td>'+
					'<td>{{date}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.branch}}:</td>'+
					'<td>{{{branch}}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.orderid}}:</td>'+
					'<td>{{shortID}}</td>'+
				'</tr>'+
				'{{#invoice}}<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.invoice}}:</td>'+
					'<td>{{invoice}}</td>'+
				'</tr>{{/invoice}}'+
				'<tr>'+
					'<td>{{lang.mode}}:</td>'+
					'<td>{{mode}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.duedate}}:</td>'+
					'<td>{{due}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.total}}:</td>'+
					'<td>{{total}}$</td>'+
				'</tr>'+
				'<tr>'+
					'<td colspan="2" style="padding:20px;">'+
						'{{#hasAttachments}}'+
							'<br/><br/>'+
							'<p>{{lang.hasAttachments}}</p>'+
						'<br/><br/>'+
						'{{/hasAttachments}}'+

						'{{lang.thanks}}.'+
					'</td>'+
				'</tr>'+
			'</table>'+
				'<br/><br/><small>{{lang.poweredBy}}</small>';

			return out;
		},
		orderConfirmation:function(){
			var out =
			'<table style="width:500px;" border="0" cellpadding="2">'+
				'<tr>'+
					'<td style="width:200px;height:150px;text-align:center;"><img src="{{logo}}"/></td>'+
					'<td style="text-align:center"><h3>{{lang.title}}</h3></td>'+
				'</tr>'+
				'<tr>'+
					'<td colspan="2" style="padding:20px;">'+
						'{{lang.hello}} {{name}},<br/><br/>'+
						'{{lang.info}}.<br/><br/>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.date}}:</td>'+
					'<td>{{date}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.branch}}:</td>'+
					'<td>{{{branch}}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.orderid}}:</td>'+
					'<td>{{shortID}}</td>'+
				'</tr>'+
				'{{#invoice}}<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.invoice}}:</td>'+
					'<td>{{invoice}}</td>'+
				'</tr>{{/invoice}}'+
				'<tr>'+
					'<td>{{lang.mode}}:</td>'+
					'<td>{{mode}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{lang.duedate}}:</td>'+
					'<td>{{due}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{lang.total}}:</td>'+
					'<td>{{total}}$</td>'+
				'</tr>'+
				'<tr>'+
					'<td colspan="2" style="padding:20px;">'+
						'{{#hasAttachments}}'+
							'<br/><br/>'+
							'<p>{{lang.hasAttachments}}</p>'+
						'<br/><br/>'+
						'{{/hasAttachments}}'+

						'{{lang.thanks}} {{siteName}}.'+
					'</td>'+
				'</tr>'+
			'</table>'+
				'<br/><br/><small>{{lang.poweredBy}}</small>';

			return out;
		},
		orderFailed:function(){
			var out=
			'<table style="width:500px;" border="0" cellpadding="2">'+
				'<tr>'+
					'<td style="width:200px;height:150px;text-align:center;"><img src="{{order.logo}}"/></td>'+
					'<td style="text-align:center"><h3>{{order.lang.title}}</h3></td>'+
				'</tr>'+
				'<tr>'+
					'<td colspan="2" style="padding:20px;">'+
						'{{order.lang.hello}} {{order.name}},<br/><br/>'+
						'{{order.lang.info}}.<br/><br/>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{order.lang.date}}:</td>'+
					'<td>{{order.date}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{order.lang.branch}}:</td>'+
					'<td>{{{order.branch}}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{order.lang.orderid}}:</td>'+
					'<td>{{order.shortID}}</td>'+
				'</tr>'+
				'{{#order.invoice}}<tr style="background-color:#E9EAED;">'+
					'<td>{{order.lang.invoice}}:</td>'+
					'<td>{{order.invoice}}</td>'+
				'</tr>{{/order.invoice}}'+
				'<tr>'+
					'<td>{{order.lang.mode}}:</td>'+
					'<td>{{order.mode}}</td>'+
				'</tr>'+
				'<tr style="background-color:#E9EAED;">'+
					'<td>{{order.lang.duedate}}:</td>'+
					'<td>{{order.due}}</td>'+
				'</tr>'+
				'<tr>'+
					'<td>{{order.lang.total}}:</td>'+
					'<td>{{order.total}}$</td>'+
				'</tr>'+
				'<tr>'+
					'<td>Error code:</td>'+
					'<td>{{error.code}}&nbsp;</td>'+
				'</tr>'+
				'<tr>'+
					'<td>Error message:</td>'+
					'<td>{{error.message}}&nbsp;</td>'+
				'</tr>'+
			'</table>'+
						'{{order.lang.thanks}}.'+
			'<h3>{{order.lang.statusHistory}}</h3>'+
			'<table border="1">'+
				'<thead>'+
					'<tr>'+
						'<th>Date</th>'+
						'<th>Status</th>'+
						'<th>Code</th>'+
						'<th>Message</th>'+
						'<th>Runtime</th>'+
					'</tr>'+
				'</thead>'+
				'<tbody>'+
					'{{#order.statuses}}'+
						'<tr>'+
							'<td>{{date}}&nbsp;</td>'+
							'<td>{{status}}&nbsp;</td>'+
							'<td>{{code}}&nbsp;</td>'+
							'<td>{{message}}&nbsp;</td>'+
							'<td>{{runtime}}&nbsp;</td>'+
						'</tr>'+
					'{{/order.statuses}}'+
				'</tbody>'+
			'</table>'+
			'<br/><br/><br/><br/><small>{{order.lang.poweredBy}}</small>';

			return out;
		}
	}
};
if(typeof pwm=='undefined')
	module.exports=template;;
/* module: www/assets/js/_modules/productBuilder/template.js */
template.productBuilder = {
	addToCart:function(vars){
		if (!vars)
			vars = {};
		if (!vars.addText)
			vars.addText = 'addtocart';
		var out =
			'<div class="input-group product_qty pull-right">'+
				'<input type="number" class="form-control builderQty" value="1" min="1">'+
				'<span class="input-group-btn">'+
					'<button type="button" class="addToCart btn btn-success{{^isAvailable}} disabled{{/isAvailable}}">'+
						'<i class="fa fa-fw fa-plus"></i> '+
						'<span pwm-lang="productBuilder.buttons.'+vars.addText+'"></span>'+
					'</button> '+
				'</span>'+
			'</div>'+
			'';
		return out;
	},
	costs:{
		layout:function(){
			var out =
				'<div class="panel panel-default">'+
					'<div class="panel-heading" role="tab" id="nav-{{steps.length}}" data-step="{{steps.length}}">'+
						'<h4 class="panel-title">'+
							'<span pwm-lang="productBuilder.costs.title"></span>'+
						'</h4>'+
					'</div>'+
						'<div class="panel-body">'+
							'<h4>'+
								'<span class="pull-right itemBasePrice" pwm-lang-price="{{basePrice}}"></span>'+
								'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">'+
							'</h4>'+
							'{{#steps}}'+
								'<strong>'+
									'<span pwm-lang="productBuilder.steps.step"></span> {{cnt}}: '+
									'<span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{step}}.label.%LANG%"></span>'+
								'</strong>'+
								'{{#groups}}'+
									'<ul>'+
										'<li><span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{srow}}.groups.{{grow}}.label.%LANG%"></span>'+
											'<ul data-step="{{srow}}" data-group="{{grow}}">'+
										'</li></ul>'+
									'</ul>'+
								'{{/groups}}'+
								'<hr />'+
							'{{/steps}}'+
							'<div class="total">'+
								'<span class="pull-right itemTotalPrice" pwm-lang-price="{{basePrice}}"></span>'+
								'<span class="subtotal_label" pwm-lang="productBuilder.costs.subtotal"></span>'+
							'</div>'+
						'</div>'+
						'<div class="clearfix panel-footer" style="display:none">'+
							'<div class="pull-right">'+
								template.productBuilder.addToCart()+
							'</div>'+
						'</div>'+
				'</div>'+
				'';
			return out;
		},
		row:function(){
			var out =
				'<li data-item="{{irow}}" data-id="{{id}}">'+
					'<span class="pull-right itemPrice" pwm-lang-price="{{price}}"></span>'+
					'<span class="itemName" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></span>'+
				'</li>'+
				'';
			return out;
		}
	},
	groups:function(){
		var out = ''+
			'{{#groups}}'+
				'<div class="group builderGroup builderGroupLayout_{{#layout_list}}list{{/layout_list}}{{#layout_grid}}grid{{/layout_grid}}" data-min="{{limits.lower}}" data-max="{{limits.upper}}" data-group="{{sgrow}}">'+
					'<div class="form-group">'+
						'<label class="control-label" pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{srow}}.groups.{{sgrow}}.locales.label"></label> '+
						'{{#isCheck}}'+
							'<div class="badge">'+
								'0 / {{limits.upper}}'+
							'</div>'+
							'{{#limits.lower}} <small>(<span pwm-lang="productBuilder.minimum"></span>: {{limits.lower}})</small>{{/limits.lower}}'+
							'<div class="clearfix">'+
								'{{#layout_list}}'+
									'<table width="100%" class="table-hover">'+
										'{{#items}}'+
											'<tr data-checked="false" data-id="{{id}}" data-rendered="false" data-item="{{irow}}" '+
												'data-group="{{sgrow}}" data-step="{{srow}}" data-customizable="{{#customizable}}true{{/customizable}}{{^customizable}}false{{/customizable}}" class="itemContainer">'+
												'<td class="selectExtra" valign="top">'+
													'<i class="fa fa-square-o"></i>'+
													'<input type="hidden" name="builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].selected" value="false"/>'+
												'</td>'+
												'<td valign="top">'+
													'<input type="hidden" name="builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].id" value="{{id}}"/>'+
													'<span class="pull-right itemPrice" pwm-lang-price="{{price}}"></span>'+
													'<span class="itemName" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></span>'+
													'<div class="extraInclusionsArea clearfix" data-rendered="false">'+
														template.products.customizeModal.extras.inclusions({
															fieldsName: 'builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].inclusions.groups[{{grow}}].id'
														})+
													'</div>'+
												'</td>'+
											'</tr>'+
										'{{/items}}'+
									'</table>'+
								'{{/layout_list}}'+
								'{{#layout_grid}}'+
									'<ul class="list-unstyled clearfix">'+
										'{{#items}}'+
											'<li data-checked="false" data-id="{{id}}" data-rendered="false" data-item="{{irow}}" '+
												'data-group="{{sgrow}}" data-step="{{srow}}" class="pull-left clearfix itemContainer" '+
												'data-customizable="{{#customizable}}true{{/customizable}}{{^customizable}}false{{/customizable}}">'+
												'<div class="extraInclusionsArea clearfix" data-rendered="false">'+
													'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
													'<h4><span pwm-lang="locales.productBuilder.inclusions.title"></span></h4>'+
													template.products.customizeModal.extras.inclusions({
														fieldsName: 'builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].inclusions.groups[{{grow}}].id'
													})+
												'</div>'+
												'<input type="hidden" name="builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].id" value="{{id}}"/>'+
												'<span class="itemName" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></span>'+
												template.products.productImage()+
												'<span class="pull-right itemPrice" pwm-lang-price="{{price}}"></span>'+
												'<span class="selectExtra pull-left">'+
													'<i class="fa fa-square-o"></i>'+
													'<input type="hidden" name="builder.steps[{{srow}}].groups[{{sgrow}}].items[{{irow}}].selected" value="false"/>'+
												'</span>'+
											'</tr>'+
										'{{/items}}'+
									'</ul>'+
								'{{/layout_grid}}'+
							'</div>'+
						'{{/isCheck}}'+
						'{{#isRadio}}'+
							'<div class="clearfix">'+
								'<select class="form-control" data-item="{{irow}}" data-group="{{grow}}" data-step="{{srow}}" name="builder.steps[{{srow}}].groups[{{sgrow}}].selected">'+
									'<option value="-1" pwm-lange="locales.productBuilder" pwm-lang="productBuilder.select.option.unselected"></option>'+
									'{{#items}}'+
										'<option value="{{id}}" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></option>'+
									'{{/items}}'+
								'</select>'+
							'</div>'+
						'{{/isRadio}}'+
					'</div>'+
					'{{#isLast}}'+
						template.productBuilder.addToCart({
							addText	: 'done'
						})+
						'<div class="builderItemAddResult"></div>'+
					'{{/isLast}}'+
				'</div>'+
			'{{/groups}}'+
			'';
		return out;
	},
	layout:function(){
		var out =
			''+
			'<div class="productBuilder" data-id="{{id}}">'+
				'{{#builder}}'+
					'{{^isAvailable}}'+
						'<div class="alert alert-info alert-dismissible col-xs-12" role="alert">'+
							'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
							'<i class="fa fa-fw fa-info"></i> '+
							'<span pwm-lang="products.favoriteProducts.actions.unavailable.firstPart"></span> '+
							'<strong pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></strong> '+
							'<span pwm-lang="products.favoriteProducts.actions.unavailable.secondPart"></span>'+
						'</div>'+
					'{{/isAvailable}}'+
					'<h3><i class="fa fa-wrench"></i> <span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></span></h3>'+
					'<div class="col-xs-12 col-sm-8">'+
						'<div class="panel-group row" id="builder_{{id}}" role="tablist" aria-multiselectable="false">'+
							'{{#steps}}'+
								'<div class="activePromos panel panel-default panel-disabled builderStepPanel" data-step="{{srow}}">'+
									'<div class="panel-heading" role="tab" id="nav-{{id}}-{{srow}}">'+
										'<h4 class="panel-title">'+
											'<a class="collapsed" role="button" data-toggle="collapse" data-parent="#builder_{{id}}">'+
												'<span pwm-lang="productBuilder.steps.step"></span> {{cnt}}: '+
												'<span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{step}}.locales.label.%LANG%"></span>'+
											'</a>'+
										'</h4>'+
									'</div>'+
									'<div id="collapse-{{id}}-{{srow}}" class="panel-collapse collapse builderStepPanelBody" role="tabpanel">'+
										'<div class="panel-body">'+
											'<div class="alert alert-info builderStepDescription"><span pwm-lang="pwm.datas.products.{{id}}.builder.steps.{{step}}.locales.description"></span></div>'+
											template.productBuilder.groups()+
										'</div>'+
										'<div class="panel-footer clearfix">'+
											'{{#nextStep}}'+
												'<a class="btn btn-primary pull-right disabled" data-step="{{step}}">'+
													'<span pwm-lang="productBuilder.buttons.next"></span> '+
													'<i class="fa fa-chevron-right"></i>'+
												'</a>'+
											'{{/nextStep}}'+
										'</div>'+
									'</div>'+
								'</div>'+
							'{{/steps}}'+
						'</div>'+
					'</div>'+
					'<div class="col-xs-12 col-sm-4 pull-right summary">'+
						template.productBuilder.costs.layout()+
					'</div>'+
				'{{/builder}}'+
				'{{^builder}}'+
					'<h3><i class="fa fa-wrench"></i> <span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"></span></h3>'+
					'<div class="alert alert-danger">'+
						'<i class="fa fa-exclamation-triangle"></i> '+
						'<span pwm-lang="productBuilder.errors.noBuilder"></span>'+
					'</div>'+
				'{{/builder}}'+
			'</div>'+
			'';
		return out;
	}
};
/* module: www/assets/js/_modules/products/template.js */
template.products = {
	adminUpdate:{
		modal:function(){
			var out =
				template.modal({
					attr	:	'data-id="{{newItem.id}}"',
					title	:	'<span pwm-lang="pwm-lang="pwm.datas.products.{{newItem.id}}.locales.%LANG%.name">{{{newItem.defaultname}}}</span>',
					id		:	'updatedProduct_{{newItem.id}}',
					btns	:	'<button class="btn">'+
								'',
					closeBtn:{
						label:	'<span pwm-lang="system.cancel"></span>'
					},
					body    :	'{{#product}}'+
									'<span pwm-lang="products.adminUpdate.modal.changes"></span>.'+
								'{{/product}}'+
								'<table class="table table-hover table-striped">'+
									'<thead>'+
										'<tr>'+
											'<th>KEY</th>'+
											'<th>OLD</th>'+
											'<th>NEW</th>'+
										'</tr>'+
									'</thead>'+
									'<tbody>'+
										'<tr>'+
											'<td>'+
												'enabled[CART_MODE].days[TODAY] (<em>if different)</em>)'+
											'</td>'+
											'<td>old value</td>'+
											'<td>new value</td>'+
										'</tr>'+
										'<tr>'+
											'<td>'+
												'infos.allergies[ANY_CHANGES] (<em>if different)</em>)'+
											'</td>'+
											'<td>old value</td>'+
											'<td>new value</td>'+
										'</tr>'+
										'<tr>'+
											'<td>'+
												'webprice[CART_MODE] (<em>if different)</em>) <br />'+
												'(- ELSE -) <br />'+
												'price[CART_MODE] (<em>if different)</em>)'+
											'</td>'+
											'<td>old value</td>'+
											'<td>new value</td>'+
										'</tr>'+
									'</tbody>'+
								'</table>'+
								''
				});
			return out;
		}
	},
	alerts:function(){
		var out =
			'{{#needidcard}}'+
				'<div class="alert alert-info needIdCard">'+
					'<button type="button" class="close" data-dismiss="alert">&times;</button>'+
					'<h4>'+
						'<span class="fa fa-stack fa-lg pull-left">'+
							'<i class="fa fa-square-o fa-stack-2x"></i>'+
							'<i class="fa fa-user fa-stack-1x"></i>'+
						'</span> '+
						'<span pwm-lang="products.alerts.needid.text"></span>'+
					'</h4>'+
				'</div>'+
			'{{/needidcard}}'+
			'';
		return out;
	},
	buttons:{
		addBtn:function(){
			var out =
				'<div class="ProductAddToCart pull-right">'+
					'<div class="btn-group">'+
					'<button type="button" data-action="{{#builder}}builder{{/builder}}{{^builder}}add{{/builder}}" data-productid="{{id}}" class="btn btn-success addFromList{{#outOfStock}} disabled{{/outOfStock}}{{^isAvailable}} disabled{{/isAvailable}}">'+
							'<i class="fa fa-plus fa-lg"></i> <span pwm-lang="products.buttons.addtocart"></span>'+
						'</button>'+
						'{{#customizable}}'+
							'<button type="button" data-action="customize" data-productid="{{id}}" class="btn btn-primary openInformationModal">'+
								'<i class="fa fa-ellipsis-v fa-lg"></i> '+ // '<i class="fa fa-cogs"></i> '+
							'</button>'+
						'{{/customizable}}'+
						template.products.buttons.favorite()+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		favorite:function(){
			var out=
			'{{#user.id}}{{^isGuest}}'+//pwm.datas.cart.guest==true
				'{{#favorite}}'+
					'<button type="button" data-productid="{{id}}" '+
						'class="btn btn-default dropdown-toggle favoriteDropdownToggle" '+
						'data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">'+
							'<i class="fa fa-heart fa-lg isAFavorite"></i> '+
					'</button>'+
					'<ul class="dropdown-menu favoriteDropdown" data-productid="{{id}}"></ul>'+
				'{{/favorite}}'+
				'{{^favorite}}'+
					'<button type="button" class="btn btn-default favProducts" data-productid="{{id}}">'+
						'<i class="fa fa-heart-o fa-lg"></i> '+
					'</button>'+
				'{{/favorite}}'+
			'{{/isGuest}}{{/user.id}}'
			;
			return out;
		}
	},
	clientSelection:function(){
		var out =
			'<div class="col-xs-12 display_options">'+
				'<div class="input-group">'+
					'<span class="input-group-btn productsClientSelectionAddon">'+
						'<button class="addCustomer btn" data-value="grid" data-toggle="tooltip" data-placement="bottom" '+
							'pwm-lang-tooltip="products.layout.addCust.tooltip"><i class="fa fa-plus fa-lg"></i></button>'+
					'</span>'+
					'<select class="form-control" id="productsClientSelection">'+
						'{{#customers}}'+
							'{{#name}}'+
								'<option value="{{row}}">{{{name}}}</option>'+
							'{{/name}}'+
							'{{^name}}'+
								'<option value="{{row}}">Client #{{nb}}</option>'+
							'{{/name}}'+
						'{{/customers}}'+
					'</select>'+
			   '</div>'+
			'</div>'+
			'';
		return out;
	},
	customizeModal:{
		_customizable:function(){ // template.products.customizeModal._customizable
			var out =
				'{{#customizable}}'+
					'<div role="tabpanel" class="tab-pane active" id="{{#tabName}}{{tabName}}{{/tabName}}{{^tabName}}customizeProductModal_tab_customize{{/tabName}}">'+
						template.products.customizeModal.inclusions()+
						'{{#halfnhalf}}'+
							template.products.customizeModal.halfnhalf._enable()+
						'{{/halfnhalf}}'+
						'<div class="firstHalf">'+
							template.products.customizeModal.extras.base()+
						'</div>'+
						template.products.customizeModal._dry.priceAndButtons()+
					'</div>'+
				'{{/customizable}}' +
				'';
			return out;
		},
		_dry:{
			extras:function(vars){
				var out =
					'<tr data-checked="false" data-id="{{id}}" data-half="loading" data-half-loaded="false" data-rendered="false" data-customizable="true" data-custom-extras="false" data-item="{{irow}}" data-group="{{grow}}" data-group-type="'+vars.type+'" class="clearfix{{#hideCheckbox}} hideCheckbox{{/hideCheckbox}}" item-maxed="false">'+
						'<td class="selectExtra">'+
							'<i class="fa fa-square-o fa-fw"></i>'+
							'{{#path}}'+
								'<input data-type="isSelected" type="hidden" name="product.{{path}}.extras.groups[{{grow}}].items[{{irow}}].selected" value="false"/>'+
							'{{/path}}'+
							'{{^path}}'+
								'<input data-type="isSelected" type="hidden" name="product.extras.groups[{{grow}}].items[{{irow}}].selected" value="false"/>'+
							'{{/path}}'+
						'</td>'+
						'<td>'+
							'{{#path}}'+
								'<input type="hidden" data-field="id" name="product.{{path}}.extras.groups[{{grow}}].items[{{irow}}].id" value="{{id}}" />'+
							'{{/path}}'+
							'{{^path}}'+
								'<input type="hidden" data-field="id" name="product'+ ((vars.path) ? '.'+vars.path : '')+ '.extras.groups[{{grow}}].items[{{irow}}].id" value="{{id}}" />'+
							'{{/path}}'+
							'{{#halves}}'+
								'{{#path}}'+
									'<input type="hidden" data-field="side" name="product.{{path}}.extras.groups[{{grow}}].items[{{irow}}].side" value="both" />'+
								'{{/path}}'+
								'{{^path}}'+
									'<input type="hidden" data-field="side" name="product'+ ((vars.path) ? '.'+vars.path : '')+ '.extras.groups[{{grow}}].items[{{irow}}].side" value="both" />'+
								'{{/path}}'+
							'{{/halves}}'+
							'<div class="clearfix itemNameAndPrice">'+
								'<div class="text-right pull-right">'+
									'<span class="itemPrice"></span>'+
								'</div>'+
								'<span class="itemName" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{defaultname}}}</span>'+
							'</div>'+
							'<div class="row">'+
								'<div class="col-xs-8">'+
									'<div class="extraInclusionsAreaWrapper"></div>'+
									'{{#halves}}'+
										'<div class="moonboys">'+
											'<div class="btn-group" role="group">'+
												'<button type="button" class="btn btn-default" data-half="first">'+
													'<i class="fa fa-fw fa-2x fa-adjust fa-rotate-180"></i>'+
												'</button>'+
												'<button type="button" class="btn btn-default active" data-half="both">'+
													'<i class="fa fa-fw fa-2x fa-circle"></i>'+
												'</button>'+
												'<button type="button" class="btn btn-default" data-half="second">'+
													'<i class="fa fa-fw fa-2x fa-adjust"></i>'+
												'</button>'+
											'</div>'+
										'</div>'+
									'{{/halves}}'+
								'</div>'+
								'<div class="col-xs-4">'+
									'{{#allowQty}}'+
										'<div class="itemExtraQty" style="display:none;">'+
											'<table class="pull-right">'+
												'<tr class="text-right">'+
													'<td>x'+
														'{{#maxUnitQty}}<small class="itemMaximum xsmall text-danger">Max: {{maxUnitQty}}</small>{{/maxUnitQty}}'+
													'</td>'+
													'<td>'+
														'{{#path}}'+
															'<input type="hidden" data-field="side" name="product.{{path}}.extras.groups[{{grow}}].items[{{irow}}].side" value="both" />'+
															'<input data-field="qty" name="product.{{path}}.extras.groups[{{grow}}].items[{{irow}}].qty" class="form-control" type="number" min="1" '+
																'data-value="{{#qty}}{{qty}}{{/qty}}{{^qty}}1{{/qty}}" '+
																'value="{{#qty}}{{qty}}{{/qty}}{{^qty}}1{{/qty}}" >'+
														'{{/path}}'+
														'{{^path}}'+
															'<input data-field="qty" name="product'+ ((vars.path) ? '.'+vars.path : '')+ '.extras.groups[{{grow}}].items[{{irow}}].qty" class="form-control" type="number" min="1" '+
																'data-value="{{#qty}}{{qty}}{{/qty}}{{^qty}}1{{/qty}}" '+
																'value="{{#qty}}{{qty}}{{/qty}}{{^qty}}1{{/qty}}" >'+
														'{{/path}}'+
													'</td>'+
												'</tr>'+
											'</table>'+
										'</div>'+
									'{{/allowQty}}'+
								'</div>'+
							'</div>'+
						'</td>'+
					'</tr>'+
					'';
				return out;
			},
			priceAndButtons:function(){ //template.products.customizeModal._dry.priceAndButtons
				var out=
				'<div class="priceAndButtons clearfix col-xs-12">'+
					'<div class="pull-right text-right">'+
						'<div class="itemPrice"><h4><span pwm-lang="products.customize.total.label"></span>: <span class="total"></span></h4></div>'+
						'<div class="itemButtons">'+
							template.products.customizeModal.buttons()+
						'</div>'+
					'</div>'+
				'</div>';
				return out;
			}
		},
		allergies:function(){
			var out =
				'<div class="row">'+
					'<div class="col-xs-12">'+
						'<h3><i class="fa fa-exclamation-triangle"></i> <span pwm-lang="products.allergies"></span></h3>'+
						'{{#infos.allergies}}'+
							'<table class="table table-striped">'+
								'{{#peanutFree}}'+
									'<tr>'+
										'<td>'+
											'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.peanuts.certified.src+'" />'+
										'</td>'+
										'<td>'+
											'<span pwm-lang="products.allergies.icons.peanuts.certified"></span>'+
										'</td>'+
									'</tr>'+
								'{{/peanutFree}}'+
								'{{#contains}}'+
									'{{#dairy}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.dairy.src+'" class="pull-left" /></td>'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.dairy"></span>'+
											'</td>'+
										'</tr>'+
									'{{/dairy}}'+
									'{{#eggs}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.eggs.src+'" class="pull-left" /></td>'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.eggs"></span>'+
											'</td>'+
										'</tr>'+
									'{{/eggs}}'+
									'{{#mustard}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.mustard.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.mustard"></span>'+
											'</td>'+
										'</tr>'+
									'{{/mustard}}'+
									'{{#nuts}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.nuts.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.nuts"></span>'+
											'</td>'+
										'</tr>'+
									'{{/nuts}}'+
									'{{#peanuts}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.peanuts.src+'" class="pull-left" /></td>'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.peanuts"></span>'+
											'</td>'+
										'</tr>'+
									'{{/peanuts}}'+
									'{{#seaFoods}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.seaFoods.src+'" class="pull-left" /></td>'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.seaFoods"></span>'+
										'</td></tr>'+
									'{{/seaFoods}}'+
									'{{#sesame}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.sesame.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.sesame"></span>'+
											'</td>'+
										'</tr>'+
									'{{/sesame}}'+
									'{{#soja}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.soja.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.soja"></span>'+
											'</td>'+
										'</tr>'+
									'{{/soja}}'+
									'{{#sulfites}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.sulfites.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.sulfites"></span>'+
											'</td>'+
										'</tr>'+
									'{{/sulfites}}'+
									'{{#wheat}}'+
										'<tr>'+
											'<td>'+
												'<img src="'+((pwm.cfg.mobile == true)?'system/':'assets/')+locales.products.allergies.icons.wheat.src+'" class="pull-left" />'+
											'</td>'+
											'<td>'+
												'<span pwm-lang="products.allergies.icons.wheat"></span>'+
											'</td>'+
										'</tr>'+
									'{{/wheat}}'+
								'{{/contains}}'+
							'</table>'+
						'{{/infos.allergies}}'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		base:function(){
			var out=
				'<div class="modal fade modal-large" id="customizeProductModal" data-id="{{id}}"{{#crow}} data-crow="{{crow}}"{{/crow}}{{#irow}} data-irow="{{irow}}"{{/irow}}tabindex="-1" role="dialog" '+
					'aria-labelledby="customizeProductModalLabel" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<button type="button" class="close scrolldown"><i class="fa fa-chevron-down"></i></button>'+
								'<h3 class="modal-title" id="customizeProductModalLabel">'+
									'<i class="fa fa-info-circle"></i> '+ // '<i class="fa fa-cogs"></i> '+
									'<span class="customizeItemTitle" pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{name}}}</span></h3>'+// pwm-lang="products.customize.modal.title"
							'</div>'+
							'<div class="modal-body clearfix"></div>'+ // Loaded through products.js
							'<div class="modal-footer">'+
								'<div class="btn-group" role="group">'+
									template.products.customizeModal.footer()+
								'</div>'+
							'</div>'+
						'</div>'+
					'</div>'+ // data-crow
				'</div>';
			return out;
		},
		buttons:function(vars){
			if (!vars) {
				vars = {
					cls		: '',
					fav		: true,
					qty		: true
				};
			}
			var out=
			'<div class="'+vars.cls+'" style="display:inline-block;">'+
					'<div class="input-group" style="width:'+(vars.width ? vars.width : 200)+'px;">'+
						(
							(vars.qty) ?
								'<input type="number" class="form-control" name="product.qty" value="1" min="1" />' :
									''
						)+
						'<span class="input-group-btn">'+
							'{{#editMode}}'+
								'<button type="button" data-action="save" data-dismiss="modal" id="btnModif" data-crow="" data-irow="" data-productid="{{id}}" '+
									'class="btn btn-primary editFromModal"><i class="fa fa-floppy-o"></i> '+
										'<span pwm-lang="products.buttons.modtocart"></span>'+
								'</button>'+
							'{{/editMode}}'+
							'{{^editMode}}'+
								'<button type="button" data-action="add" id="btnAjout" data-productid="{{id}}" '+
									'class="btn btn-success addFromModal"><i class="fa fa-plus"></i> '+
									//'class="btn btn-success addFromModal {{^isAvailable}}disabled{{/isAvailable}}"><i class="fa fa-plus"></i> '+
										'<span pwm-lang="products.buttons.addtocart"></span>'+
								'</button>'+
							'{{/editMode}}'+
						'</span>'+
							(
								(vars.fav) ?
								'{{#user.id}}{{^isGuest}}'+//pwm.datas.cart.guest==true
									'<button type="button" data-productid="{{id}}" class="btn btn-default favProducts pull-right">'+
										'<i class="fa fa-heart-o fa-lg"></i> '+
									'</button>'+
								'{{/isGuest}}{{/user.id}}':
										''
							)+
					'</div>'+
			'</div>';
			return out;
		},
		content:function(vars){
			var out=
				'<div class="promoBanners">{{banners}}</div>'+
				'<div class="tab-content">'+
					'<ul class="nav nav-tabs" role="tablist">'+
						'{{#customizable}}<li role="presentation" class="active"><a href="#customizeProductModal_tab_customize" aria-controls="customizeProductModal_tab_customize" role="tab" data-toggle="tab"><span pwm-lang="products.customize.tabs.customize"></span></a></li>{{/customizable}}'+
						'<li role="presentation" class="viewDetails {{^customizable}} active{{/customizable}}"><a href="#customizeProductModal_tab_infos" aria-controls="customizeProductModal_tab_infos" role="tab" data-toggle="tab"><span pwm-lang="products.customize.tabs.infos"></span></a></li>'+
						'{{#infos}}'+
							'<li role="presentation" class="nutritional"><a href="#customizeProductModal_tab_nutritional" aria-controls="customizeProductModal_tab_nutritional" role="tab" data-toggle="tab"><span pwm-lang="products.customize.tabs.nutritional"></span></a></li>'+
						'{{/infos}}'+
						'{{#infos.allergies}}'+
							'<li role="presentation" class="allergies"><a href="#customizeProductModal_tab_allergies" aria-controls="customizeProductModal_tab_allergies" role="tab" data-toggle="tab"><span pwm-lang="products.customize.tabs.allergies"></span></a></li>'+
						'{{/infos.allergies}}'+
						'{{#gallery}}'+
							'<li role="presentation" class="gallery"><a href="#customizeProductModal_tab_gallery" aria-controls="customizeProductModal_tab_gallery" role="tab" data-toggle="tab"><span pwm-lang="products.customize.tabs.gallery"></span></a></li>'+
						'{{/gallery}}'+
					'</ul>'+
					template.products.customizeModal._customizable()+
					'<div role="tabpanel" class="tab-pane{{^customizable}} active{{/customizable}}" id="customizeProductModal_tab_infos">'+
						template.products.customizeModal.infos()+
					'</div>' +
					'<div role="tabpanel" class="tab-pane" id="customizeProductModal_tab_nutritional">'+
						template.products.customizeModal.nutritionalValues.base()+
					'</div>'+
					'<div role="tabpanel" class="tab-pane" id="customizeProductModal_tab_allergies">'+
						template.products.customizeModal.allergies()+
					'</div>'+
					'<div role="tabpanel" class="tab-pane" id="customizeProductModal_tab_gallery">'+
						template.products.customizeModal.gallery()+
					'</div>'+
				'</div>'+
				'{{^customizable}}'+
					template.products.customizeModal._dry.priceAndButtons()+
				'{{/customizable}}'+
				'<div class="productCustomizePageFooter"></div>'+
				template.products.customizeModal.upsellers.base()+
				'';
			return out;
		},
		extras:{
			base:function(){
				var out=
					'{{#extras}}'+
						'<div class="alert alert-info">'+
							'<i class="fa fa-exclamation-circle fa-lg"></i> <span pwm-lang="products.customize.modal.extras.notice.text"></span>'+
						'</div>'+
						'<div class="ExtForToggle">'+
							'<div class="itemExtras">'+
								'{{#groups}}'+
									'<div class="itemExtrasGroup clearfix" data-group="{{grow}}">'+
										'<div class="clearfix row">'+
											'<div class="col-xs-12 col-md-4">'+
												'<h4 pwm-lang="pwm.datas.products.{{id}}.extras.groups.{{grow}}.label.%LANG%">{{{label}}}</h4>'+
												'<div class="alert alert-info groupLimits">'+
													'<span pwm-lang="products.customize.modal.extras.qtyMax.before"></span> {{maxGroupQty}} <span pwm-lang="products.customize.modal.extras.qtyMax.after"></span>'+
												'</div>'+
											'</div>'+
											'<div class="col-xs-12 col-md-8 pull-right">'+
												'<div class="ExtraGroupItems" data-showbound="false" data-type="{{type}}" data-maxUnitQty="{{maxUnitQty}}" data-maxGroupQty="{{maxGroupQty}}">'+
													'<div class="loading">'+
														'<i class="fa fa-fw fa-spin fa-spinner"></i> <span pwm-lang="system.loading.spinner"></span>'+
													'</div>'+
													'<table width="100%" style="display: none;">'+
														'<tbody>'+
															'{{#items}}'+
																template.products.customizeModal._dry.extras({path:'',type:'normal'})+
															'{{/items}}'+
														'</tbody>'+
													'</table>'+
												'</div>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'{{/groups}}'+
							'</div>'+
						'</div>'+
					'{{/extras}}';
				return out;
			},
			inclusions:function(vars){  // template.products.customizeModal.extras.inclusions
				var out=
					'{{#inclusions}}'+
						'<div class="itemInclusions">'+
							'{{#groups}}'+
								'<div class="itemInclusionsGroup clearfix" data-group="{{cgrow}}">'+
									'<div class="clearfix">'+
										//'<div class="col-md-10 pull-right">'+
											'<div class="InclusionGroupItems">'+
												'<select class="inclusionSelection form-control" name="'+
													((vars && vars.fieldsName)?vars.fieldsName:'product.extras.groups[{{grow}}].items[{{irow}}].inclusions.groups[{{cgrow}}].id')+
												'">'+
													'{{#items}}'+
														'<option value="{{id}}" data-rendered="false" data-item="{{cirow}}" disabled pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">Chargement / Loading</option>'+
													'{{/items}}'+
												'</select>'+
												'<div class="inclusionCustomizationArea"></div>'+
											'</div>'+
										//'</div>'+
									'</div>'+
								'</div>'+
							'{{/groups}}'+
						'</div>'+
					'{{/inclusions}}';
				return out;
			},
			toggle:function(){
				var out =
					'<div class="toggleExtras alert-info clearfix" data-cnt="{{cnt}}" data-items="{{items}}">'+
						'<h5 class="col-xs-5 pull-left">'+
							'<span class="moreOpts toggleItem" pwm-lang="products.moreOptions"></span>'+
							'<span class="moinsOpts" pwm-lang="products.moinsOptions"></span>'+
						'</h5>'+
						'<span class="col-xs-7">'+
							'<i class="fa fa-angle-up fa-2x"></i>'+
						'</span>'+
					'</div>'+
					'';
				return out;
			}
		},
		footer:function(vars){
			if (!vars) {
				vars = {
					close	: true
				};
			}
			var out =
				(
					(vars.close) ?
						'<button type="button" class="btn btn-default" data-dismiss="modal" pwm-lang="system.close"></button>' :
							''
				)+
				'';
			return out;
		},
		gallery:function(){
			var out =
				'<ul class="gallery">'+
					'{{#gallery}}'+
						'{{{gallery}}}'+
					'{{/gallery}}'+
				'</ul>'+
				'';
			return out;
		},
		generalInfo:function(){
			var out =
				'<table class="table table-stripped table-hover">'+
					'{{#size}}'+
						'<tr>'+
							'<td><strong pwm-lang="products.customize.infos.size"></strong></td>'+
							'<td>{{size}}</td>'+
						'</tr>'+
					'{{/size}}'+
					'{{#pungency}}'+
						'{{#custom.scale}}'+
							'<tr>'+
								'<td><strong pwm-lang="products.customize.infos.scoville.custom"></strong></td>'+
								'<td>{{value}} / {{scale}}</td>'+
							'</tr>'+
						'{{/custom.scale}}'+
						'{{#scoville.level}}'+
							'<tr>'+
								'<td><strong pwm-lang="products.customize.infos.scoville.label"></strong></td>'+
								'<td>{{scoville.level}}</td>'+
							'</tr>'+
						'{{/scoville.level}}'+
					'{{/pungency}}'+
				'</table>'+
				'';
			return out;
		},
		inclusions:function(){
			var out=
				'{{#inclusions}}'+
					'<div class="itemInclusions">'+
						'{{^hideNotice}}<div class="alert alert-info"><i class="fa fa-exclamation-circle fa-lg"></i> <span pwm-lang="products.customize.modal.inclusions.notice.text"></span></div>{{/hideNotice}}'+
						'{{#groups}}'+
							'<div class="itemInclusionsGroup clearfix" data-group="{{grow}}">'+
								'<div class="clearfix">'+
									'<div class="col-md-4"><h4 pwm-lang="pwm.datas.products.{{id}}.inclusions.groups.{{grow}}.label">{{{label}}}</h4></div>'+
									'<div class="col-md-8 pull-right">'+
										'<div class="InclusionGroupItems">'+
											'<select class="inclusionSelection form-control" name="product.inclusions.groups[{{grow}}].selected">'+
												'{{#items}}'+
													'<option value="{{id}}" data-rendered="false" data-item="{{irow}}" disabled pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name"' +
														'pwm-lang-append=" '+
														'{{#infos.size}}'+
															'({*locale:products.sizes.{{infos.size}}*})'+
														'{{/infos.size}}">Chargement / Loading</option>'+
												'{{/items}}'+
											'</select>'+
											'<div class="inclusionCustomizationArea"></div>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</div>'+
						'{{/groups}}'+
					'</div>'+
				'{{/inclusions}}';
			return out;
		},
		infos:function(){
			var out =
				'<div class="row">'+
					'<div class="col-xs-12 col-sm-6">'+
						'{{#imageid}}'+
							template.products.productImage()+
						'{{/imageid}}'+
						'<div class="col-xs-7 col-sm-12 text-center">'+
							'{{#description}}'+
								'<p>{{{description}}}</p>'+
							'{{/description}}'+
							'{{^description}}'+
								'<p pwm-lang="products.customize.infos.noDescription"></p>'+
							'{{/description}}'+
						'</div>'+
					'</div>'+
					'<div class="col-xs-12 col-sm-6">'+
						'{{#ingredients}}'+
							'<h3><i class="fa fa-cutlery"></i> <span pwm-lang="products.customize.infos.ingredients"></span></h3>'+
							'<p>{{{ingredients}}}</p>'+
						'{{/ingredients}}'+
						'{{#infos.length}}'+
							'<h3><i class="fa fa-info-circle"></i> <span pwm-lang="products.customize.infos.productInfo"></span></h3>'+
							template.products.customizeModal.generalInfo()+
						'{{/infos.length}}'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		nutritionalValues:{
			base:function(){
				var out =
					'<div class="row">'+
						'<div class="col-xs-12 col-sm-6">'+
							'{{#infos}}'+
								template.products.customizeModal.nutritionalValues.canada()+
							'{{/infos}}'+
						'</div>'+
					'</div>'+
					'';
				return out;
			},
			canada:function(vars){
				var out =
					'<div class="nutritionalFacts">'+
						'<table>'+
							'<tr class="title hideInCart">'+
								'<td colspan="2">'+
									'<h3 pwm-lang="products.customize.infos.nutritional.title"></h3>'+
									'{{#meal}}'+
										'{{#mealCount}}'+
											'<small>'+
												'<span pwm-lang="products.customize.infos.nutritional.servings"></span>: '+
												'{{mealCount}}'+
											'</small>'+
										'{{/mealCount}} <br />'+
									'{{/meal}}'+
									'{{#quantity}}'+
										'<small><strong pwm-lang="products.customize.infos.nutritional.servingSize"></strong>: {{quantity}} g</small>'+
									'{{/quantity}}'+
								'</td>'+
							'</tr>'+
							'<tr class="hideInCart">'+
								'<td colspan="2">'+
									'<small><strong pwm-lang="products.customize.infos.nutritional.perServing"></strong></small>'+
								'</td>'+
							'</tr>'+
							'{{#nutritionfacts}}'+
								'<tr class="liner">'+
									'<td>'+
										'<small><strong pwm-lang="products.customize.infos.nutritional.data.calories"></strong> {{Calories.value}}</small>'+
									'</td>'+
									'<td class="text-right">'+
										'<small><strong pwm-lang="products.customize.infos.nutritional.data.fatCalories"></strong> {{FatCalories.value}}</small>'+
									'</td>'+
								'</tr>'+
								'<tr>'+
									'<td colspan="2" class="text-right">'+
										'<small><span pwm-lang="products.customize.infos.nutritional.data.dailyVal"></span> *</small>'+
									'</td>'+
								'</tr>'+
								'{{#TotalFat.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.totalFat"></strong> {{TotalFat.value}} g</td>'+
										'<td class="text-right">{{TotalFat.dailyValue}} %</td>'+
									'</tr>'+
								'{{/TotalFat.value}}'+
									'{{#SatFat.value}}'+
										'<tr>'+
											'<td class="indent"><strong pwm-lang="products.customize.infos.nutritional.data.saturatedFats"></strong> {{SatFat.value}} g</td>'+
											'<td class="text-right">{{SatFat.dailyValue}} %</td>'+
										'</tr>'+
									'{{/SatFat.value}}'+
									'{{#TransFat.value}}'+
										'<tr>'+
											'<td class="indent">+ <strong pwm-lang="products.customize.infos.nutritional.data.transFat"></strong> {{TransFat.value}} g</td>'+
											'<td class="text-right">{{TransFat.dailyValue}} %</td>'+
										'</tr>'+
									'{{/TransFat.value}}'+
								'{{#Cholesterol.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.cholesterol"></strong> {{Cholesterol.value}} mg</td>'+
										'<td class="text-right">{{Cholesterol.dailyValue}} %</td>'+
									'</tr>'+
								'{{/Cholesterol.value}}'+
								'{{#Sodium.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.sodium"></strong> {{Sodium.value}} mg</td>'+
										'<td class="text-right">{{Sodium.dailyValue}} %</td>'+
									'</tr>'+
								'{{/Sodium.value}}'+
								'{{#TotalCarb.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.totalCarbs"></strong> {{TotalCarb.value}} g</td>'+
										'<td class="text-right">{{TotalCarb.dailyValue}} %</td>'+
									'</tr>'+
								'{{/TotalCarb.value}}'+
									'{{#Fibers.value}}'+
										'<tr>'+
											'<td class="indent"><strong pwm-lang="products.customize.infos.nutritional.data.fibres"></strong> {{Fibers.value}} g</td>'+
											'<td class="text-right">{{Fibers.dailyValue}} %</td>'+
										'</tr>'+
									'{{/Fibers.value}}'+
									'{{#Sugars.value}}'+
										'<tr>'+
											'<td colspan="2" class="indent"><strong pwm-lang="products.customize.infos.nutritional.data.sugar"></strong> {{Sugars.value}} g</td>'+
										'</tr>'+
									'{{/Sugars.value}}'+
								'{{#Proteins.value}}'+
									'<tr>'+
										'<td colspan="2"><strong pwm-lang="products.customize.infos.nutritional.data.proteins"></strong> {{Proteins.value}} g</td>'+
									'</tr>'+
								'{{/Proteins.value}}'+
								'<tr class="liner noheight">'+
									'<td colspan="2"></td>'+
								'</tr>'+
								'{{#VitaminA.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminA"></strong></td>'+
										'<td class="text-right">{{VitaminA.dailyValue}} %</td>'+
									'</tr>'+
								'{{/VitaminA.value}}'+
								'{{#VitaminC.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminC"></strong></td>'+
										'<td class="text-right">{{VitaminC.dailyValue}} %</td>'+
									'</tr>'+
								'{{/VitaminC.value}}'+
								'{{#Calcium.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.calcium"></strong></td>'+
										'<td class="text-right">{{Calcium.dailyValue}} %</td>'+
									'</tr>'+
								'{{/Calcium.value}}'+
								'{{#Iron.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.fer"></strong></td>'+
										'<td class="text-right">{{Iron.dailyValue}} %</td>'+
									'</tr>'+
								'{{/Iron.value}}'+
								'{{#VitaminB.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminB"></strong></td>'+
										'<td class="text-right">{{VitaminB.value}} g</td>'+
									'</tr>'+
								'{{/VitaminB.value}}'+
								'{{#VitaminB6.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminB6"></strong></td>'+
										'<td class="text-right">{{VitaminB6.value}} g</td>'+
									'</tr>'+
								'{{/VitaminB6.value}}'+
								'{{#VitaminB12.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminB12"></strong></td>'+
										'<td class="text-right">{{VitaminB12.value}} g</td>'+
									'</tr>'+
								'{{/VitaminB12.value}}'+
								'{{#VitaminD.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminD"></strong></td>'+
										'<td class="text-right">{{VitaminD.value}} g</td>'+
									'</tr>'+
								'{{/VitaminD.value}}'+
								'{{#VitaminE.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.vitaminE"></strong></td>'+
										'<td class="text-right">{{VitaminE.value}} g</td>'+
									'</tr>'+
								'{{/VitaminE.value}}'+
								'{{#zinc.value}}'+
									'<tr>'+
										'<td><strong pwm-lang="products.customize.infos.nutritional.data.zinc"></strong></td>'+
										'<td class="text-right">{{zinc.value}} g</td>'+
									'</tr>'+
								'{{/zinc.value}}'+
							'{{/nutritionfacts}}'+
							'<tr>'+
								'<td colspan="2" pwm-lang="products.customize.infos.nutritional.dailyValueCanada"></td>'+
							'</tr>'+
						'</table>'+
					'</div>'+
					'';
				return out;
			}
		},
		halfnhalf:{
			_enable:function(){
				var out =
					'<div class="halfnhalfSection clearfix">'+
						'<div class="row">'+
							'<div class="col-md-6">'+
								'<h3><i class="fa fa-adjust"></i> <span pwm-lang="products.customize.modal.halfnhalf.title"></span></h3>'+
							'</div>'+
							'<div class="col-md-6 text-right">'+
								'<div class="btn-group yesno" data-toggle="buttons-radio" >'+
									'<button type="button" value="1" class="btn" data-toggle="button">'+
										'<i class="fa"></i> <span pwm-lang="system.yes"></span>'+
									'</button>'+
									'<button type="button" value="0" class="btn" data-toggle="button">'+
										'<i class="fa"></i> <span pwm-lang="system.no"></span>'+
									'</button>'+
									'<input type="hidden" name="product.halfnhalf.customize" value="0" />'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<div class="halfnhalfEnabled row">'+
							template.products.customizeModal.halfnhalf._select()+
							//'<div class="clearfix halfnhalfSectionContent"></div>'+
						'</div>'+
					'</div>'+
					'';
				return out;
			},
			_select:function(){
				var out =
						'<div class="col-md-6">'+
							'<span pwm-lang="products.customize.modal.halfnhalf.select.label"></span>'+
						'</div>'+
						'<div class="col-md-6">'+
							'<select name="product.halfnhalf.selected" class="halfnhalfSelection form-control">'+
								'{{#items}}'+
									'<option value="{{id}}" data-rendered="false" disabled pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{name}}</option>'+
								'{{/items}}'+
							'</select>'+
						'</div>'+
					'';
				return out;
			},
			base:function(){
				var out=
					'{{#halfnhalf}}'+
						'<div class="halfnhalfEnabled">'+
							template.products.customizeModal.halfnhalf._select()+
							//'<div class="clearfix halfnhalfSectionContent"></div>'+
						'</div>'+
					'{{/halfnhalf}}';
				return out;
			},
			content:function(){
				var out=
					template.products.customizeModal.halfnhalf.inclusions()+
					template.products.customizeModal.halfnhalf.extras.base()+
					'';
				return out;
			},
			inclusions:function(){
				var out=
					'{{#inclusions}}'+
						'<div class="itemInclusions">'+
							'{{^hideNotice}}'+
								'<div class="alert alert-info">'+
									'<i class="fa fa-exclamation-circle fa-lg"></i> '+
									'<span pwm-lang="products.customize.modal.inclusions.notice.text"></span>'+
								'</div>'+
							'{{/hideNotice}}'+
							'{{#groups}}'+
								'<div class="itemInclusionsGroup clearfix" data-group="{{grow}}">'+
									'<div class="clearfix">'+
										'<div class="col-md-4"><h4>{{{label}}}</h4></div>'+
										'<div class="col-md-8 pull-right">'+
											'<div class="InclusionGroupItems">'+
												'<select class="inclusionSelection form-control" name="product.halfnhalf.inclusions.groups[{{grow}}].selected">'+
													'{{#items}}'+
														'<option value="{{id}}" data-rendered="false" data-item="{{irow}}" disabled pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">'+
															'Chargement / Loading'+
														'</option>'+
													'{{/items}}'+
												'</select>'+
												'<div class="inclusionCustomizationArea"></div>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'{{/groups}}'+
						'</div>'+
					'{{/inclusions}}';
				return out;
			},
			extras:{
				base:function(){ //
					var out=
						'{{#extras}}'+
							//'<div class="alert alert-info<i class="fa fa-exclamation-circle fa-lg"></i> <span pwm-lang="products.customize.modal.extras.notice.text"></span></div>'+
							'<div class="hnhExtForToggle">'+
								'<div class="itemExtras">'+
									'{{#groups}}'+
									'<div class="itemExtrasGroup clearfix" data-group="{{grow}}">'+
										'<div class="clearfix row">'+
											'<div class="col-md-4"><h4 pwm-lang="pwm.datas.products.{{id}}.extras.groups.{{grow}}.locales.%LANG%">{{{label}}}</h4></div>'+
											'<div class="col-md-8 pull-right">'+
												'<div class="ExtraGroupItems" data-type="{{type}}" '+
													'data-selecttype="{{#checkbox}}'+
																		'checkbox'+
																	  '{{/checkbox}}'+
																	  '{{#halves}}'+
																		'halves'+
																	  '{{/halves}}">'+
													'<table width="100%">'+
														'{{#items}}'+
															template.products.customizeModal._dry.extras({path:'halfnhalf',type:'halfnhalf'})+
														'{{/items}}'+
													'</table>'+
												'</div>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'{{/groups}}'+
							'</div>'+
						'</div>'+
						'{{/extras}}'+
						'';
					return out;
				},
				inclusions:function(){
					var out=
						'{{#inclusions}}'+
							'<div class="itemInclusions">'+
								'{{#groups}}'+
									'<div class="itemInclusionsGroup clearfix" data-group="{{cgrow}}">'+
										'<div class="clearfix">'+
											'<div class="col-md-4">'+
												'<h4>{{{label}}}</h4>'+
											'</div>'+
											'<div class="col-md-8 pull-right">'+
												'<div class="InclusionGroupItems">'+
													'<select class="inclusionSelection form-control" '+
															'name="product.halfnhalf.extras.groups[{{grow}}].items[{{irow}}].inclusions.groups[{{cgrow}}].selected">'+ // .id vs .selected
														'{{#items}}'+
															'<option value="{{id}}" data-rendered="false" data-item="{{cirow}}" disabled pwm-lang="products.loading">'+
																'Chargement / Loading'+
															'</option>'+
														'{{/items}}'+
													'</select>'+
													'<div class="inclusionCustomizationArea"></div>'+
												'</div>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'{{/groups}}'+
							'</div>'+
						'{{/inclusions}}';
					return out;
				}
			}
		},
		upsellers:{
			base:function(){
				var out=
				'{{#upsellers.length}}'+
					'<div class="productUpsellers clearfix">'+
						'<h4>'+
							'<i class="fa fa-lightbulb-o"></i> <span pwm-lang="products.upsellers.title"></span>'+
						'</h4>'+
						'<ul class="list-unstyled">'+
							'{{#upsellers}}'+
								'<li class="upseller" data-id="{{.}}" data-rendered="false"></li>'+
							'{{/upsellers}}'+
						'</ul>'+
					'</div>'+
				'{{/upsellers.length}}'+
				'';
				return out;
			},
			inner:function(){
				var out=
					'<div class="ProductName">'+
						'<h4 pwm-lang="{{localepath}}.name">{{{name}}}</h4>'+
					'</div>'+
					template.products.productImage()+
					'<div class="ProductPrice pull-left">'+
						'{{#showPrice}}<strong pwm-lang-price="{{price}}">{{/showPrice}}</strong>'+
					'</div>'+
					template.products.buttons.addBtn();
				return out;
			}
		}
	},
	favoriteDetails:{
		base:function(){
			var out =
				template.modal({
					attr	:	'data-id="{{productid}}"',
					title	:	'{{name}} <br />'+
									'<small><i class="fa fa-heart"></i> <span pwm-lang="products.favoriteDetails.title"></span></small>',
					id		:	'favoriteDetails',
					btns	:	template.products.favoriteProducts.favoriteActions(),
					closeBtn:{
						label:	'<span pwm-lang="system.cancel"></span>'
					},
					body    :	'{{#tabs}}'+
									'<div class="alert alert-info">'+
										'<i class="fa fa-info-circle"></i> <span pwm-lang="products.favoriteDetails.info"></span>'+
									'</div>'+
									'<ul class="nav nav-tabs" role="tablist">'+
										'{{#favorites}}'+
											'<li role="presentation"><a href="#fav_{{alias}}" aria-controls="home" role="tab" data-toggle="tab">{{{alias}}}</a></li>'+
										'{{/favorites}}'+
									'</ul>'+
									'<div class="tab-content">'+
										'{{#favorites}}'+
											'<div role="tabpanel" class="tab-pane" id="fav_{{alias}}">'+
												'{{#inclusions}}{{{inclusions}}}{{/inclusions}}'+
												'{{#extras}}{{{extras}}}{{/extras}}'+
												'{{#halfnhalf}}{{{halfnhalf}}}{{/halfnhalf}}'+
											'</div>'+
										'{{/favorites}}'+
									'</div>'+
								'{{/tabs}}'+
								'{{^tabs}}'+
									'{{#favorites}}'+
										'{{#data}}'+
											'<div role="tabpanel" class="tab-pane" id="fav_{{alias}}">'+
												'{{#inclusions}}{{{inclusions}}}{{/inclusions}}'+
												'{{#extras}}{{{extras}}}{{/extras}}'+
												'{{#halfnhalf}}{{{halfnhalf}}}{{/halfnhalf}}'+
											'</div>'+
										'{{/data}}'+
									'{{/favorites}}'+
								'{{/tabs}}'+
								''
				});
			return out;
		}
	},
	favoriteProducts:{
		base:function(){
			var out =
				'<div id="favoriteProductsPage">'+
					'<div class="breadCrumb">'+
						'<h3><i class="fa fa-heart fa-lg"></i> <span pwm-lang="products.favoriteProducts.title"></span></h3>'+
					'</div>'+
					'{{#products.length}}'+
						'<table class="addwhitebg favoriteProducts table table-hover table-stripped">'+
							'<thead>'+
								'<tr>'+
									'<th><span pwm-lang="products.favoriteProducts.table.th.alias"></span></th>'+
									'<th><span pwm-lang="products.favoriteProducts.table.th.product"></span></th>'+
									'<th><span pwm-lang="products.favoriteProducts.table.th.variants"></span></th>'+
									'<th class="text-right"><span pwm-lang="products.favoriteProducts.actions.title"></span></th>'+
								'</tr>'+
							'<thead>'+
							'<tbody>'+
								'{{#products}}'+
									template.products.favoriteProducts.row()+
								'{{/products}}'+
							'</tbody>'+
						'</table>'+
					'{{/products.length}}'+
					'{{^products.length}}'+
						template.products.favoriteProducts.empty()+
					'{{/products.length}}'+
				'</div>';
			return out;
		},
		empty:function(){
			var out =
				'<div class="col-xs-12">'+ // DO NOT REMOVE THIS DIV
					'<div class="alert alert-info row" role="alert">'+
						'<i class="fa fa-exclamation-triangle"></i> <span pwm-lang="products.favoriteProducts.none"></span>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		favoriteActions:function(){
			var out =
				'<div class="input-group product_qty pull-right">'+
					'<span class="input-group-btn">'+
						'<button type="button" class="btn btn-danger">'+
							'<i class="fa fa-trash-o fa-lg"></i>'+
						'</button>'+
					'</span>'+
					'<input type="number" class="form-control" value="1" min="1">'+
					'<span class="input-group-btn">'+
						'<button type="button" class="btn btn-success{{^isAvailable}} disabled{{/isAvailable}}">'+
							'<i class="fa fa-plus fa-lg"></i>'+
						'</button>'+
					'</span>'+
				'</div>'+
				'';
			return out;
		},
		modal:function(){
			var form = {
					id		: 'accountoptForm',
					note	: '<h4 class="text-center">{{{name}}}</h4>',
					fields:[
						{
							type		: 'text',
							name		: 'favoriteProducts.alias',
							lang		: 'favoriteProducts.alias',
							labelattr	: 'pwm-lang="products.favoriteProducts.modal.alias"',
							attr		: 'pwm-lang="products.favoriteProducts.modal.alias" required="required"'
						}
					]
				},
				out = template.modal({
						attr	: 'data-id="{{id}}"',
						title	:	'<i class="fa fa-heart"></i> <span pwm-lang="products.favoriteProducts.modal.title"></span>',
						id		:	'saveFavoriteProduct',
						btns	:	'<button class="markAsFavorite btn btn-success pull-right">'+
										'<i class="fa fa-save fa-lg"></i>'+
										'<span pwm-lang="account.address.save"></span>'+
									'</button>',
						closeBtn:{
							label:	'<span pwm-lang="system.cancel"></span>'
						},
						body    :	'<div class="alert alert-info alert-dismissible" role="alert">'+
										'<button type="button" class="close" data-dismiss="alert" aria-label="Close">'+
											'<span aria-hidden="true">&times;</span>'+
										'</button>'+
										'<span pwm-lang="products.favoriteProducts.modal.info"></span>'+
									'</div>'+
									'<div class="form-group clearfix">'+
										'<label class="col-xs-12 col-sm-12 col-md-12 col-lg-4 col-xl-4 control-label" pwm-lang="products.favoriteProducts.modal.alias"></label>'+
										'<div class="col-xs-12 col-sm-12 col-md-12 col-lg-8 col-xl-8">'+
											'<input type="text" name="favoriteProducts.alias" class="form-control" pwm-lang="products.favoriteProducts.modal.alias" required="required">'+
										'</div>'+
									'</div>'+
									''
					});
			return out;
		},
		row:function(){
			var out =
				'<tr data-favoriteproduct="{{id}}" data-originalProduct="{{originalProduct}}" data-available="{{#isAvailable}}true{{/isAvailable}}{{^isAvailable}}false{{/isAvailable}}">'+
					'<td>'+
					'{{^isAvailable}}'+
						'<div class="alert alert-danger alert-small favoriteProductNotAvailable" role="alert">'+// alert-dismissible
							//'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
							'<i class="fa fa-fw fa-warning"></i> '+
							'<span pwm-lang="products.favoriteProducts.actions.unavailable.firstPart"></span> '+
							'<strong>{{{name}}}</strong> '+
							'<span pwm-lang="products.favoriteProducts.actions.unavailable.secondPart"></span>'+
						'</div>'+
					'{{/isAvailable}}'+
					'{{{alias}}}</td>'+
					'<td>{{{name}}}</td>'+
					'<td>'+
						'{{#custom}}<ul class="customInfos list-unstyled">{{/custom}}'+
							'{{#inclusions}}{{{inclusions}}}{{/inclusions}}'+
							'{{#extras}}{{{extras}}}{{/extras}}'+
							'{{#halfnhalf}}{{{halfnhalf}}}{{/halfnhalf}}'+
						'{{#custom}}</ul>{{/custom}}'+
						'{{^custom}}<span pwm-lang="products.favoriteProducts.table.variants.standard"></span>{{/custom}}'+
					'</td>'+
					'<td class="text-right">'+
						template.products.favoriteProducts.favoriteActions()+
					'</td>'+
				'</tr>'+
				'';
			return out;
		}
	},
	layout:function(){
		var out=
			'<div id="productsPage" data-catid="{{id}}">'+
				'<div class="clearfix productsPageHeader">'+
					'{{#isAvailable}}'+
						'{{#options.images.banner.id}}<div class="categoryBanner hidden-xs col-sm-12" data-image-id="{{options.images.banner.id}}" data-image-loaded="false"></div>{{/options.images.banner.id}}'+
					'{{/isAvailable}}'+
					'<div class="breadCrumb clearfix">'+
						'<h3>'+
							'{{#parent}}<span class="parent"><span pwm-lang="{{parent_localepath}}">{{{parent}}}</span> <i class="fa fa-chevron-right"></i> </span>{{/parent}}'+
							'<span class="active" pwm-lang="{{title_localepath}}">{{{title}}}</span>'+
						'</h3>'+
						template.products.layoutMode()+ // boutons list/grid view
					'</div>'+
				'</div>'+
				'{{#description}}'+
					'<div class="alert alert-info CategoryDescription">'+
						'<span pwm-lang="{{description_localepath}}"></span>'+
					'</div>'+
				'{{/description}}'+
				'{{^isAvailable}}'+
					'<div class="alert alert-warning categoryUnavailable">'+
						'<i class="fa fa-warning fa-lg"></i> <span pwm-lang="products.alerts.categoryUnavailable.text"></span>'+
					'</div>'+
				'{{/isAvailable}}'+
				'{{#isAvailable}}'+
					'<div class="clearfix">'+
						template.products.alerts()+
						'<div class="offHoursWarning alert alert-danger">'+
							'<i class="fa fa-warning fa-lg"></i> '+
							'<span pwm-lang="cart.branchIsClosed.naMode"></span> '+
							'<span class="closedBranchModeStatus"></span> '+
							'<a class="businessHoursSidebar" href="javascript:void(0)">'+
								'<span pwm-lang="checkout.viewHours"></span>'+
							'</a>'+
						'</div>'+
						'<div class="alert alert-danger noProductsFound">'+
							'<i class="fa fa-warning fa-lg"></i> <span pwm-lang="products.alerts.noitemsfound.text"></span>'+
						'</div>'+
					'</div>'+
					'<div class="ProductsList clearfix ProductsList_layout_grid">'+
						'<ul class="list-unstyled clearfix"></ul>'+
					'</div>'+
					'<div class="ProductsFooterButtons clearfix">'+
						'<div class="pull-right">'+
							'{{#btn_checkout}}'+
								'<button class="btn btn-primary pwmComplementsContinueBtn pwmcanblock goToCheckout">'+
									'<span pwm-lang="cart.buttons.complements.continueBtn.label"></span> '+
									'<i class="fa fa-chevron-right"></i>'+
								'</button>'+
							'{{/btn_checkout}}'+
						'</div>'+
					'</div>'+
				'{{/isAvailable}}'+
			'</div>'+
			'';
		return out;
	},
	layoutMode:function(){
		var out =
			'<div id="layoutToggle" class="dropdown pull-right">'+
				'<button class="btn btn-default dropdown-toggle" type="button" id="currentView" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">'+
					'<i class="fa fa-th-list fa-lg"></i> '+
					'<span class="caret"></span>'+
				'</button>'+
				'<ul class="dropdown-menu" aria-labelledby="currentView">'+
					'<li data-value="grid"><a href="#"><i class="fa fa-fw fa-th"></i><span pwm-lang="products.view.mode.grid"></span></a></li>'+
					'<li data-value="list"><a href="#"><i class="fa fa-fw fa-th-list"></i><span pwm-lang="products.view.mode.list"></span></a></li>'+
				'</ul>'+
			'</div>'+
		//	'<span class="input-group-addon currentView">'+
		//		'<i class="fa fa-th-list fa-lg"></i>'+
		//	'</span>'+
		//	'<select class="hidden-xs pull-right form-control" id="layoutToggle">'+
		//		'<option value="grid"></option>'+
		//		'<option value="list" ></option>'+
		//	'</select>'+
			'';
		return out;
	},
	legende:function(){
		var out =
			'<div class="modal fade" id="iconsLegendModal" tabindex="-1" role="dialog" aria-labelledby="iconsLegendModal" aria-hidden="true">'+
				'<div class="modal-dialog">'+
					'<div class="modal-content">'+
						'<div class="modal-header">'+
							'<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><span pwm-lang="system.close"></span></span></button>'+
							'<h4 class="modal-title"><span pwm-lang="system.legend.title"></span></h4>'+
						'</div>'+
						'<div class="modal-body">'+
							'<div class="clearfix">'+
								'<ul class="nav nav-tabs" role="tablist">'+
									'{{#Rows}}'+
										'<li role="presentation" class="{{#active}}active{{/active}}">'+
											'<a href="#row_{{name}}" aria-controls="{{row}}" role="tab" data-toggle="tab">'+
												'<span pwm-lang="products.{{name}}"></span>'+
											'</a>'+
										'</li>'+
									'{{/Rows}}'+
								'</ul>'+
								'<div class="tab-content">'+
									'{{#Rows}}'+
										'<div role="tabpanel" class="tab-pane{{#active}} active{{/active}}" id="row_{{name}}">'+
											'<h3><span pwm-lang="products.{{name}}"></span></h3>'+
											'<div class="row">'+
												'{{#values}}'+
													'<div class="iconLgndItem col-xs-12 col-sm-6">'+
														'<img src="{{src}}" pwm-lang-title="{{value}}" alt="{{value}}" /> <span pwm-lang="{{value}}"></span>'+
													'</div>'+
												'{{/values}}'+
											'</div>'+
										'</div>'+
									'{{/Rows}}'+
								'</div>'+
							'</div>'+
						'</div>'+
						'<div class="modal-footer">'+
							'<button type="button" class="btn btn-default" data-dismiss="modal"><span pwm-lang="system.close"></span></button>'+
						'</div>'+
					'</div>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	list:function(){
		var out=
			'{{#products}}'+
				template.products.listItem()+
			'{{/products}}'+
			'';
		return out;
	},
	listItem:function(){
		var out=
			'{{#isAvailable}}'+
				'<li id="Product{{id}}" class="well Boxed ItemContainer{{classes}} clearfix{{^nameAbove}} nameUnderImage{{/nameAbove}}" '+// col-sm-12 col-md-6 col-lg-3 col-xl-2
						'data-productid="{{id}}" data-price="{{price}}" data-name="{{{name}}}"{{loadmore}}>'+
					'{{#nameAbove}}'+
						'<div class="ProductName">'+
							'<h4 pwm-lang="{{localepath}}.name">{{{name}}}</h4>'+
						'</div>'+
					'{{/nameAbove}}'+
					template.products.productImage()+
					'{{^nameAbove}}'+
						'<div class="ProductName">'+
							'<h4 pwm-lang="{{localepath}}.name">{{{name}}}</h4>'+
						'</div>'+
					'{{/nameAbove}}'+
					'<div class="ProductDescription">'+
						'<p data-truncated="false" pwm-lang="{{localepath}}.description">'+
							'{{{description}}}'+
						'</p>'+
					'</div>'+
					'<div class="ItemInclusionsAndExtras clearfix">{{{modal}}}</div>'+
						'<div class="cl stockUnits">'+
							template.products.stockUnits()+
						'</div>'+
					'<div class="clearfix">'+
						'<div class="PreparationTime">'+
							'{{#preptime}}'+
								'<i class="fa fa-clock-o"></i> {{{preptime}}} '+
								'<span class="PreparationTimeMinutes" pwm-lang="products.page.description.minutes"></span>'+
							'{{/preptime}}'+
						'</div>'+
						'<div class="ProductPrice pull-left">'+
							'{{#showPrice}}<strong pwm-lang-price="{{price}}">{{/showPrice}}</strong>'+
						'</div>'+
						template.products.buttons.addBtn()+
					'</div>'+
					'<div class="cl"></div>'+
				'</li>'+
			'{{/isAvailable}}';
		return out;
	},
	productPage: {
		base:function(){
			var out =
				'{{#product}}'+
					'<div class="productPage" class="row" data-id="{{id}}">'+
						'<div class="productPageHeader clearfix">'+
							'<div class="pull-right" style="display:inline-block;">'+

								'<div class="input-group" style="width:200px;">'+
									'<input type="number" class="form-control" name="product.qty" value="1" min="1">'+
									'<span class="input-group-btn">'+
										'<button type="button" data-action="add" id="btnAjout" data-productid="{{id}}" class="btn btn-success addFromModal{{^isAvailable}} disabled{{/isAvailable}}">'+
											'<i class="fa fa-plus"></i> '+
											'<span pwm-lang="products.buttons.addtocart"></span>'+
										'</button>'+
									'</span>'+
									'<button type="button" data-productid="{{id}}" class="btn btn-default favProducts pull-right">'+
										'<i class="fa fa-heart-o fa-lg"></i> '+
									'</button>'+
								'</div>'+


								//'<div class="btn-group">'+
								//	'<button type="button" data-action="add" id="btnAjout" data-productid="" '+
								//		'class=""><i class="fa fa-plus"></i> '+
								//			'<span pwm-lang="products.buttons.addtocart"></span>'+
								//	'</button>'+
								//	'<button type="button" data-productid="{{id}}" class="btn btn-default favProducts pull-right">'+
								//		'<i class="fa fa-heart-o fa-lg"></i> '+
								//	'</button>'+
								//'</div>'+
							'</div>'+
							'<button class="btn btn-primary backButton pull-left">'+
								'<i class="fa fa-chevron-left"></i> '+
								'<span pwm-lang="system.back"></span>'+
							'</button>'+
							'{{#banner}}'+
								'<div class="row">'+
									'<div class="productBanner col-xs-12">'+
										template.products.productImage()+
									'</div>'+
								'</div>'+
							'{{/banner}}'+
							'<div class="breadCrumb clearfix">'+
								'<h3>'+
									'<span pwm-lang="pwm.datas.products.{{id}}.locales.%LANG%.name">{{{product.name}}}</span>'+
								'</h3>'+
							'</div>'+
							'{{#description}}'+
								'<div class="alert alert-info CategoryDescription">'+
									'{{{description}}}'+
								'</div>'+
							'{{/description}}'+
						'</div>'+
						'{{^isAvailable}}'+
							'<div class="alert alert-info alert-dismissible col-xs-12" role="alert">'+
								'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+
								'<i class="fa fa-fw fa-info"></i> '+
								'<span pwm-lang="products.favoriteProducts.actions.unavailable.firstPart"></span> '+
								'<strong>{{{name}}}</strong> '+
								'<span pwm-lang="products.favoriteProducts.actions.unavailable.secondPart"></span>'+
							'</div>'+
						'{{/isAvailable}}'+
						'<div class="row">'+
							'<div class="col-sm-3 col-md-4 pull-right product_side_infos">'+
								template.products.productPage.infos()+
							'</div>'+
							'<div class="col-sm-9 col-md-8 product_main_infos">'+ // Intentionally empty
							'</div>'+
						'</div>'+
					'</div>'+
				'{{/product}}'+
				'{{^product}}'+
					'<button class="btn btn-primary backButton pull-left">'+
						'<i class="fa fa-chevron-left"></i> '+
						'<span pwm-lang="system.back"></span>'+
					'</button>'+
					' <h3 class="pull-left">'+
						'<i class="fa fa-exclamation-triangle"></i> <span pwm-lang="products.page.invalidID"></span>'+
					'</h3>'+
				'{{/product}}'+
				'';
			return out;
		},
		infos:function(){
			var out =
				'<div class="row">'+
					'{{#imageid}}'+
						template.products.productImage()+
					'{{/imageid}}'+
				'</div>'+
				'<div class="row">'+
					'{{^description}}'+
						'<p pwm-lang="products.customize.infos.noDescription"></p>'+
					'{{/description}}'+
					'{{#ingredients}}'+
						'<h3><i class="fa fa-cutlery"></i> <span pwm-lang="products.customize.infos.ingredients"></span></h3>'+
						'<p>{{{ingredients}}}</p>'+
					'{{/ingredients}}'+
					'{{#infos.length}}'+
						'<h3><i class="fa fa-info-circle"></i> <span pwm-lang="products.customize.infos.productInfo"></span></h3>'+
						template.products.customizeModal.generalInfo()+
					'{{/infos.length}}'+
				'</div>'+
				'';
			return out;
		}
	},
	productImage:function(){
		var out=
			'<div class="ProductImage" data-image-loaded="false"{{#noScale}} data-image-noScale="true"{{/noScale}}>'+
				'<div class="ProductImageSpinnerhelper"></div>'+
				'<div class="ProductImageSpinner"></div>'+
				'<div class="ProductImageElement" data-img-id="{{imageid}}"{{#id}} light-gallery="{{id}}"{{/id}}></div>'+
			'</div>'+
			'';
		return out;
	},
	stockUnits:function(){
		var out=
			'{{#outOfStock}}<div class="outOfStock col-xs-12 alert-danger text-center"> <span pwm-lang="products.stock.outOfStock"></span></div>{{/outOfStock}}'+
			'{{^outOfStock}}{{#inStock}}<div class="inStock">{{inStock}} <span pwm-lang="products.stock.inStock"></span></div>{{/inStock}}{{/outOfStock}}';
		return out;
	},
	wrapper:{
		base:function(){
			var out =
				'<div class="categoryWrapper" data-catid="{{catid}}">'+
					'<div class="row">'+
						'<div class="col-xs-12 col-sm-4">'+
							'<h4 pwm-lang="pwm.datas.categories.{{branch}}.{{catid}}.options.groupProducts.label" pwm-lang-fallback="products.wrapper.format"></h4>'+
						'</div>'+
						'<div class="col-xs-12 col-sm-8">'+
							'<select class="form-control" name="category_{{catid}}_wrapper">'+
								'<option data-status="disabled" pwm-lang="locales.genericTerms.select.choose" selected="selected" disabled="disabled"></option>'+
								'{{#products}}'+
									'{{#isAvailable}}'+
										'<option value="{{id}}" '+
											'pwm-lang="{{localepath}}.name" '+
											'pwm-lang-append=" '+
												'{{#size}}'+
													'({*locale:products.sizes.{{size}}*})'+
												'{{/size}}'+
												' - {{price_locale}}">'+
												'{{{name}}}'+
										'</option>'+
									'{{/isAvailable}}'+
								'{{/products}}'+
							'</select>'+
						'</div>'+
					'</div>'+
					'<div class="row">'+
						'<div class="customizeModalWrapper"></div>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/promos/template.js */
template.promos = {
	activePromos:{
		parts:{
			availability:function(){
				var out =
					'{{#availability.text}}'+
						'<p><strong><span pwm-lang="promos.info.availability.text"></span>:</strong></p>'+
						'<div class="col-xs-12">'+
							'{{#custom}}'+
								'<div class="promoAvailabilities">'+
									'<strong><span pwm-lang="promos.info.availability.start"></span></strong>: {{{from}}} <br />'+
									'<strong><span pwm-lang="promos.info.availability.end"></span></strong>: {{{to}}} <br />'+
									'<strong><span pwm-lang="promos.info.availability.daysApplic"></span>:</strong> {{{days}}}'+
								'</div>'+
							'{{/custom}}'+
						'</div>'+
					'{{/availability.text}}'+
					'{{^availability.text}}'+
						'<p>'+
							'<strong><span pwm-lang="promos.info.availability.text"></span>:</strong> <br />'+
							'<span pwm-lang="promos.info.availability.values.always"></span>'+
						'</p>'+
					'{{/availability.text}}'+
					'';
				return out;
			},
			categories:function(){
				var out =
					'{{#categories}}'+ // categories
						'<strong><span pwm-lang="promos.info.categories.text"></span>:</strong> <br />'+
						'{{{categories}}}'+
						'<br />'+
					'{{/categories}}'+
					'';
				return out;
			},
			header:function(){
				var out =
					'<div class="panel-heading" role="tab">'+
						'<h4 class="panel-title">'+
							'<a data-toggle="collapse" data-parent="#accordion" data-promoid="{{{id}}}" data-promotype="{{{type}}}" class="promoHeading" href="#promo-{{{id}}}" aria-expanded="true" aria-controls="collapseOne">'+
								'{{#name}}{{{name}}}{{/name}}'+
								'<i class="fa fa-chevron-down pull-right pwmToggleIcons"></i> '+
								'{{#isInCart}}'+
									'<label class="label label-success pull-right">'+
										'<i class="fa fa-fw fa-shopping-cart"></i> '+
										'<span pwm-lang="promos.isInCart"></span>'+
									'</label>'+
								'{{/isInCart}}'+
								'{{#mustSignIn}}'+
									'<label class="label label-primary pull-right">'+
										'<i class="fa fa-fw fa-key"></i> '+
										'<span pwm-lang="promos.mustSignIn"></span>'+
									'</label>'+
								'{{/mustSignIn}}'+
								'{{#expired}}'+
									'<label class="label label-danger pull-right">'+
										'<i class="fa fa-fw fa-exclamation-triangle"></i> '+
										'<span pwm-lang="promos.expired"></span>'+
									'</label>'+
								'{{/expired}}'+
							'</a>'+
						'</h4>'+
					'</div>'+
					'';
				return out;
			},
			modes:function(){
				var out =
					'{{#modes}}'+ // Modes (delivery, takeout) ---- later :: inhouse
						'<p>'+
							'<strong><span pwm-lang="promos.info.modes.text"></span>:</strong> <br />'+
							'{{{modes}}}'+
						'</p>'+
					'{{/modes}}'+
					'';
				return out;
			},
			options:function(){
				var out =
					'{{#options}}'+ // Options (X %/$) -- may be multiple values
						'<p>'+
							'<strong><span pwm-lang="promos.info.options.text"></span>:</strong> <br />'+
							'{{{options}}}'+
						'</p>'+
					'{{/options}}'+
					'';
				return out;
			}
		},
		show:function(){
			var out =
				'<div id="promoListPage">'+
					'<div class="clearfix productsPageHeader">'+
						'<div class="breadCrumb clearfix">'+
							'<h3> <span pwm-lang="promos.label"></span></h3>'+
						'</div>'+
					'</div>'+
					'{{^hasPromos}}'+
						template.promos.activePromos.noPromos()+
					'{{/hasPromos}}'+
					'{{#hasPromos}}'+
						'<div class="alert alert-success haspromo" role="alert">'+
							'<span pwm-lang="promos.available"></span>'+
						'</div>'+
						'<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="false">'+
							'{{#activePromos}}'+
								'<div class="activePromos panel panel-{{^expired}}default{{/expired}}{{#expired}}danger{{/expired}}">'+
									template.promos.activePromos.parts.header()+
									'<div id="promo-{{{id}}}" data-promoid="{{{id}}}" class="clearfix collapse panel-collapse promoDesc" role="tabpanel">'+
										'<div class="col-xs-12 clearfix panel-body">'+
											'{{#exprired}}'+
												'<div class="alert alert-danger" role="alert">'+
													'<i class="fa fa-exclamation-triangle"></i> <span pwm-lang="promos.whyExpired"></span>'+
												'</div>'+
											'{{/exprired}}'+
											'{{#description}}'+
												'<div class="alert alert-info" role="alert">'+
													'{{{description}}}'+
												'</div>'+
											'{{/description}}'+
											'<div class="col-sm-12 col-md-6">'+
												template.promos.activePromos.parts.availability()+
												template.promos.activePromos.parts.modes()+
											'</div>'+
											'<div class="col-sm-12 col-md-6">'+
												template.promos.activePromos.parts.categories()+
												'{{#opts}}'+
													template.promos.activePromos.parts.options()+
												'{{/opts}}'+
											'</div>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'{{/activePromos}}'+
						'</div>'+
					'{{/hasPromos}}'+
				'</div>';
			return out;
		},
		noPromos:function(){
			var out =
				'<div class="alert alert-warning nopromo" role="alert">'+
					'<span pwm-lang="promos.noneAvailable"></span>'+
				'</div>'+
				'';
			return out;
		}
	},
	cart:{
		messages:{
			mustPromo:{
				qtyError:function(){ //template.promos.cart.messages.mustPromo.qtyError
					var out=
						'<div class="alert alert-danger promo-mustPromoQtyErr" data-promo-id="{{id}}">'+
							'<p class="errDescription">'+
								'<i class="fa fa-warning fa-2x pull-left"></i>  '+
								'<span pwm-lang="promos.errors.thePromo"></span> '+
								'<strong pwm-lang="pwm.modules.promos._datas.promos.{{siteID}}.{{id}}.data.locales.%LANG%.name"></strong> '+
								'<span pwm-lang="promos.errors.mustpromo.qtyErr"></span> '+
								'<a href="javascript:void(0)" class="viewPromoInfo"><span pwm-lang="promos.errors.viewPromo"></span></a>.'+
							'</p>'+

						'</div>';
					return out;
				}
			}
		}
	}
};
/* module: www/assets/js/_modules/signin/template.js */
template.signin = {
	backbtn:function(){
		var out=
		'<div class="form-group">'+
			'<button class="btn btn-primary visible-xs visible-sm mobileBtnsClick">'+
				'<i class="fa fa-chevron-left fa-lg"></i>'+
				'<span pwm-lang="system.nav.back"></span>'+
			'</button>'+
		'</div>';
		return out;
	},
	guestCheckout:function(){
		var out =
			'<div class="socialMediaLogin row text-center">'+
				'<button class="guestLogin">'+
					'<i class="fa fa-user"></i> '+
					'<span pwm-lang="signin.guestCheckout"></span>'+
				'</button> '+
			'</div>'+// .row
			'';
		return out;
	},
	newCustSignUpEmailCheck:function(){
		var vars={
			id		:'newCustSignUpEmailCheck',
			button:{
				block	: 1,
				wrap	: {
					cls	: 'col-sm-8 col-sm-offset-2'
				},
				label		: 'signin.boxes.newcust.submitbtn.label',
				icon:{
					cls	: 'search'
				}
			},
			note	: '<span pwm-lang="signin.boxes.newcust.subtitle"></span> <div class="mailexists alert alert-danger mnotex"><span pwm-lang="signin.boxes.newcust.mailexists"></span></div>',
			fields:[
				{
					nolabel		: 1,
					type		: 'email',
					name		: 'signin.emailcheck.email',
					labelattr	: ' pwm-lang="signin.boxes.newcust.fields.email.label"',
					attr		: ' pwm-lang="signin.boxes.newcust.fields.email.label" required="required"',
					value		: ''
				}
			]
		};
		return template.formBuilder(vars);
	},
	newCustSignUpForm:function(){
		var vars={
			id		: 'newCustSignUpForm',
			cls		: 'newCustomerForm',
			//note	: '<span pwm-lang="signup.subtitle"></span>',
			button:{
				block	: 1,
				wrap	: {
					cls	: 'col-sm-8 col-sm-offset-2'
				},
				label		: 'signin.boxes.newcust.signUpBtn.label',
				icon:{
					cls	: 'sign-in'
				}
			},
			footer	: '<div id="" class="clearfix"><span pwm-lang="signin.termsCheck"></span></div>'+
					//  '<div id="" class="clearfix guestCheckout_option">'+
					//		'<input type="checkbox" id="signup.createAccount" name="signup.createAccount" /> '+
					//		'<span pwm-lang="signin.createAccount.text"></span>'+
					//  '</div>'+
					  '',
			fields:[
				{
					type		: 'hidden',
					name		: 'signup.createAccount',
					value		: '1'
				},
				{
					type		: 'hidden',
					name		: 'signup.birthdate',
					value		: ''
				},
				{
					nolabel		: 1,
					type		: 'text',
					name		: 'signup.firstname',
					labelattr	: ' pwm-lang="signup.fields.firstname.label"',
					attr		: ' pwm-lang="signup.fields.firstname.label" required="required"',
					value		: ''
				},
				{
					nolabel		: 1,
					type		: 'text',
					name		: 'signup.lastname',
					labelattr	: ' pwm-lang="signup.fields.lastname.label"',
					attr		: ' pwm-lang="signup.fields.lastname.label" required="required"',
					value		: ''
				},
				{
					nolabel		: 1,
					type		: 'select',
					name		: 'signup.country',
					lang		: 'signup.country',
					labelattr	: ' pwm-lang="signup.country"',
					attr		: ' pwm-lang="signup.country"',
					value		: 'CA',
					values		: '{{#signup.country}}'+
										'<option value="{{iso}}" {{#selected}}selected="selected"{{/selected}}>{{{nom}}}</option>'+
								  '{{/signup.country}}'
				},
				{
					nolabel		: 1,
					type		: 'phone',
					name		: 'signup.phone',
					labelattr	: ' pwm-lang="signup.fields.phone.label"',
					attr		: ' pwm-lang="signup.fields.phone.label" required="required"',
					value		: ''
				},
				{
					nolabel		: 1,
					type		: 'mobile',
					name		: 'signup.mobile',
					labelattr	: ' pwm-lang="signup.fields.mobile.label"',
					attr		: ' pwm-lang="signup.fields.mobile.label"',
					value		: ''
				},
				{
					nolabel		: 1,
					type		: 'email',
					name		: 'signup.email',
					lang		: 'signup.fields.email.label',
					labelattr	: ' pwm-lang="signup.fields.email.label"',
					attr		: ' pwm-lang="signup.fields.email.label" required="required"',
					value		: '',
					fb			: 1,
					cls			: '{{#guestCheckout}}guestCheckout_option{{/guestCheckout}}'
				},
				{
					nolabel		: 1,
					strengthInfo: {
						cls	: 'signup-fields-password-strength'
					},
					type		: 'password',
					name		: 'signup.password',
					lang		: 'signup.fields.password.label',
					labelattr	: ' pwm-lang="signup.fields.password.label"',
					attr		: ' pwm-lang="signup.fields.password.label" required="required" data-toggle="tooltip" id="tt_pw"',
					value		: '',
					cls			: '{{#guestCheckout}}guestCheckout_option{{/guestCheckout}}'
				},
				{
					type		: 'yesno',
					name		: 'signup.optin',
					lang		: 'signup.fields.optin.label',
					labelattr	: ' pwm-lang="signup.fields.optin.label"',
					attr		: ' pwm-lang="signup.fields.optin.label"',
					value		: '0',
					values		: {
						yes	: {
							label	: 'system.yes',
							value	: '1'
						},
						no	: {
							label	: 'system.no',
							value	: '0'
						}
					},
					cls			: '{{#guestCheckout}}guestCheckout_option{{/guestCheckout}}'
				}
			]
		};
		return template.formBuilder(vars);
	},
	layout:function(){
		var out =
			'<div class="signinScreenBoxes">'+
				template.signin.mobileSigninMenu()+
				'<div class="row">'+
					'<div class="newCustomerBox col-md-6 hidden-xs hidden-sm">'+ // New customer
						template.signin.backbtn()+
						'<div class="well Boxed">'+
							'<div class="NC_heading">'+
								'<button type="button" class="close visible-xs mobileBtnsClick" aria-hidden="true">&times;</button>'+
								'<h3><i class="fa fa-lg"></i> <span pwm-lang="signin.boxes.newcust.title"></span></h3>'+
							'</div>'+
							'<div class="NC_content">'+
								template.signin.newCustSignUpEmailCheck()+
								template.signin.newCustSignUpForm();
							out+='</div>'+
						'</div>'+
					'</div>'+
					'<div class="existingCustomerBox col-md-6 hidden-xs hidden-sm">'+ // Existing customer
						template.signin.backbtn()+
						'<div class="well Boxed">'+
							'<div class="WS_heading">'+
								'<button type="button" class="close visible-xs mobileBtnsClick" aria-hidden="true">&times;</button>'+
								'<h3><i class="fa fa-lg"></i> <span pwm-lang="signin.boxes.existcust.title"></span></h3>'+
								'<p><span pwm-lang="signin.boxes.existcust.subtitle"></span></p>'+
							'</div>'+
							'<div class="WS_content">'+
								template.signin.signinform()+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>'+// .row
				'<div class="clearfix row hrOr">'+
					'<span pwm-lang="signin.ou"></span>'+
				'</div>'+
				'<div class="row">'+
					'<div class="col-xs-12 col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">'+ // '<div class="col-xs-12">'+
						'{{#guestCheckout}}<div class="pull-left">'+ //'<div class="col-xs-12 col-sm-6 col-sm-offset-3">'+
							'<div class="col-xs-12 col-sm-12 col-md-12">'+ // '<div class="col-xs-12 col-sm-12 col-md-12">'+
								template.signin.guestCheckout()+
							'</div>'+
						'</div>{{/guestCheckout}}'+
						'{{^mobile}}'+
							template.signin.social.all()+
						'{{/mobile}}'+
					'</div>'+
				'</div>'+
			'<div id="branchSearchResult"></div>';
		return out;
	},
	mobileSigninMenu:function(){
		var out =
			'<div class="mobileSigninMenu visible-xs visible-sm row">'+
				'<div class="col-sm-6"><div class="logo" data-force-main="true"></div></div>'+
				'<div class="col-sm-6">'+
					'<div class="landscapeTopPadding hidden-xs"></div>'+
					'<button class="btn btn-lg btn-block btn-primary mobileBtnsClick" data-element="existingCustomerBox">'+
						'<i class="fa fa-key fa-lg pull-left"></i>'+
						'<span pwm-lang="home.boxes.existcust.title"></span>'+
						'<i class="fa fa-chevron-right fa-lg pull-right"></i>'+
					'</button>'+
					'<button class="btn btn-lg btn-block btn-primary mobileBtnsClick" data-element="newCustomerBox">'+
						'<i class="fa fa-user-plus fa-lg pull-left"></i>'+
							'<span pwm-lang="signin.boxes.newcust.title"></span>'+
							'<i class="fa fa-chevron-right fa-lg pull-right"></i>'+
					'</button>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	social:{
		all:function(){ // template.signin.social.all
			var out =
				template.signin.social.facebook()+
				'';
			return out;
		},
		facebook:function(){
			var out =
				//'<div class="col-xs-12 col-sm-12 col-md-12 col-lg-6">'+
					'<div class="socialMediaLogin text-center">'+ //'<div class="socialMediaLogin pull-right text-center">'+
						'<button class="facebookLogin">'+
							'<i class="fa fa-facebook socialIcon"></i> '+
							//'<span pwm-lang="signin.social.facebook"></span>'+
						'</button> '+
					'</div>'+// .row
				//'</div>'+ // .row
				'';
			return out;
		}
	},
	signinform:function(){
		var vars={
			id		: 'existingCustomerSigninForm',
			button:{
				block	: 1,
				wrap	: {
					cls	: 'col-sm-8 col-sm-offset-2'
				},
				label		: 'signin.boxes.existcust.submitbtn.label',
				icon:{
					cls	: 'sign-in'
				}
			},
			fields:[
				{
					nolabel		: true,
					type		: 'email',
					name		: 'signin.email',
					labelattr	: ' pwm-lang="signin.boxes.existcust.fields.email.label"',
					attr		: ' pwm-lang="signin.boxes.existcust.fields.email.label" required="required"',
					value		: ''
				},
				{
					nolabel		: true,
					type		: 'password',
					name		: 'signin.password',
					labelattr	: ' pwm-lang="signin.boxes.existcust.fields.password.label"',
					attr		: ' pwm-lang="signin.boxes.existcust.fields.password.label" required="required" id="tt_signin"',
					value		: '',
					wrapField	: '{{field}}'+
									'<a class="resetPassword" href="javascript:void(0);" class="btn pull-right" pwm-lang="signin.boxes.existcust.passwordReset.label"></a> '
				}
			]
		};
		return template.formBuilder(vars);
	},
	passwordReset:function(){
		var form={
			id		:'passwordResetForm',
			note	: '<span pwm-lang="signin.passwordReset.subtitle"></span>',
			fields:[
				{
					type		: 'email',
					name		: 'passwordReset.email',
					labelattr	: ' pwm-lang="signin.passwordReset.fields.email.label"',
					attr		: ' required="required" pwm-lang="signin.passwordReset.fields.email.label"',
					value		: ''
			}
			]
		},
		out=template.modal({
			title	: '<i class="fa fa-key"></i> <span pwm-lang="signin.passwordReset.title"></span>',
			id		: 'passwordResetModal',
			btns	: '<button class="btn btn-primary submitBtn passwordResetSubmit pull-right">'+
						'<span pwm-lang="signin.passwordReset.fields.submit"></span> '+
						'<i class="fa fa-chevron-right fa-lg"></i>'+
					  '</button>',
			closeBtn:{
				label	: '<span pwm-lang="system.cancel"></span>'
			},
			body:template.formBuilder(form)
		});
		return out;
	}
};
/* module: www/assets/js/_modules/signup/template.js */
template.signup = {
	load:{
		address:function(){ // template.signup.load.address
			var out =
				'<div class="alert alert-success"><h4><i class="fa fa-success"></i> <span pwm-lang="signup.result.success.title"></span></h4></div>'+
				'<div class="signupAddress">'+
					'<h4>'+
						'<p><span pwm-lang="signup.result.success.msg"></span></p>'+
						'<div class="btn-group">'+
							'<button class="btn btn-primary addAddresses"><i class="fa fa-plus fa-lg"></i> <span pwm-lang="account.addresses.list.addBtn"></span></button>'+
							'<button class="btn btn-success goHome"> <span pwm-lang="cart.buttons.cart.continueBtn.label"></span><i class="fa fa-chevron-right fa-lg"></i></button>'+
						'</div>'+
					'</h4>'+
				'</div>'+
				'';
			return out;
		}
	}
};
/* module: www/assets/js/_modules/system/template.js */
template.system = {
	base:{
		builder:function(){
			/* PRIVATE */
			var out=
				'<div class="row clearfix pwmBaseLayout">'+
					'<div class="smallDevicesMenu clearfix col-xs-12 hidden-md hidden-lg hidden-xl row">'+
						'<div class="pull-right row">'+template.cart.buttons.actions.layout(true)+'</div>'+
					'</div>'+
					template.system.base.categories()+
					((pe(template,'_themes.'+pwm.cfg.site.theme+'.extras.contentWrap')) ? '<div id="contentWrap" class="'+template._themes[pwm.cfg.site.theme].settings.elements.contentWrap.classes+'">' : '')+
						( pe(template,'_themes.'+pwm.cfg.site.theme+'.extras.catsAboveAll') ? '<div class="paneCategoriesWrapper pwmCategoriesWrapper catsAboveAll col-xs-12"></div>' : '' ) +
						template.system.base.main()+
						template.system.base.sidebar()+
					((pe(template,'_themes.'+pwm.cfg.site.theme+'.extras.contentWrap')) ? '</div>' : '')+
				'</div>'+
				template.system.base.footer()+
				'';
			return out;
		},
		categories:function(){
			/* PRIVATE */
			var out =
				'<div class="'+template._themes[pwm.cfg.site.theme].settings.elements.paneCategoriesWrapper.classes+' paneCategoriesWrapper">'+
					'<div class="'+template._themes[pwm.cfg.site.theme].settings.elements.Pane_Categories.classes+' pwmCategoriesWrapper" id="Pane-Categories"></div>'+
				'</div>'+
				'';
			return out;
		},
		footer:function(){
			/* PRIVATE */
			var out =
				'<div id="Footer" class="clearfix text-center text-muted navbar navbar-default row">'+
					'<div class="col-center">'+
						'<div class="col-xs-3 col-sm-6 text-right">'+
							'<img src="{{#mobile}}system/{{/mobile}}{{^mobile}}'+pwm.cfg.cdn.userContent+'/'+pwm.cfg.site.id+'/{{/mobile}}assets/images/ssl/PositiveSSL_tl_trans2.png" alt="seal" width="60" height="60">'+
						'</div>'+
						'<div class="col-xs-9 col-sm-6 text-left">'+
							'<small>PosWebMenu Online Ordering Solution <a href="#!/changelog">v.{{version}}{{#mobile}}&nbsp;Mobile{{/mobile}}</a><br/>'+
							'&copy; Copyright '+new Date().getFullYear()+' TechnoSolutionsCL<br/>'+ // (9228-3431 Quebec inc.)

							'<a href="#!/politique-de-confidentialite-et-conditions-d-utilisation" pwm-lang="system.privacy_policy.label"></a><br/>'+
							'<a href="#!/legal/refund-returns-and-delivery" pwm-lang="system.legal.returnanddelivery.label"></a><br/>'+
							'<a href="#!/bugs" pwm-lang="bugs.title"></a></small>'+
						'</div>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		main:function(){
			/* PRIVATE */
			var out =
				'<div class="'+template._themes[pwm.cfg.site.theme].settings.elements.Pane_Content.classes+' PaneContentWrapper">'+
					( pe(template,'_themes.'+pwm.cfg.site.theme+'.extras.catsAboveAll') ? '' : '<div class="paneCategoriesWrapper pwmCategoriesWrapper"></div>' ) +
					'<div class="content clearfix" id="Pane-Content">'+
						'<div class="defaultSpinArea"></div>'+
						'<div class="colwrapper clearfix"></div>'+
					'</div>'+
				'</div>'+
				'';
			return out;
		},
		sidebar:function(){
			/* PRIVATE */
			var out =
				'<div class="'+template._themes[pwm.cfg.site.theme].settings.elements.pwmSidebar.classes+' pwmSidebar">'+
					'<div class="logo">'+
						'<div class="logoValignHelper"></div>'+
					'</div>'+
					'<div id="Pane-Sidebar" data-spinning="false"></div>'+
				'</div>'+
				'';
			return out;
		}
	},
	sslinfos:{
		body:function(){
			/* PRIVATE */
			var out=
			'<div class="clearfix securityInfosInner">'+
				'<div class="col-xs-4 seal">'+
					'<img src="assets/images/ssl/PositiveSSL_tl_trans2.png" alt="seal" width="80" height="80" />'+
				'</div>'+
				'<div class="col-xs-8">'+pe(locales,'system.sslinfo.title.'+pwm.cfg.language)+'</div>'+
			'</div>';
			return out;
		}
	},
	downtime: {
		modal:function(){
			var out=
				'<div class="modal fade" id="downtimeModal" data-id="" tabindex="-1" role="dialog" aria-labelledby="downtimeModalLabel" aria-hidden="true">'+
					'<div class="modal-dialog">'+
						'<div class="modal-content">'+
							'<div class="modal-header">'+
								'<h4 class="modal-title" id="downtimeModalLabel"><i class="fa fa-warning"></i> '+
									'<span pwm-lang="downtime.planned.title"></span></h4>'+
							'</div>'+
							'<div class="modal-body">'+
								'<h4 pwm-lang="downtime.planned.{{{type}}}"></h4>'+
								'<table class="table">'+
									'<tr>'+
										'<td class="text-right"><span pwm-lang="downtime.planned.datefrom"></span>: </td>'+
										'<td>{{{start}}}</td>'+
									'</tr>'+
									'<tr>'+
										'<td class="text-right"><span pwm-lang="downtime.planned.dateto"></span>: </td>'+
										'<td>{{{end}}}</td>'+
									'</tr>'+
								'</table>'+
								'{{#message}}'+
									'<blockquote>{{{message}}}</blockquote>'+
								'{{/message}}'+
							'</div>'+
							'<div class="modal-footer">'+
								'<a href="javascript:" class="overrideMaintenanceModal"><i class="fa fa-lock text-muted"></i></a>'+
							'</div>'+
						'</div>'+
					'</div>'+
				'</div>';
			return out;
		},
		sysmessage:function(){
			var out=
			'<div class="staticMsg downtime message-danger"><i class="fa fa-warning"></i> '+
			'<span pwm-lang="downtime.planned.override"></span></div>';
			return out;
		},
		override:{
			form:function(){
				var vars={
					id		: 'maintenanceOverrideSigninForm',
					note	: '<span pwm-lang="signin.boxes.existcust.subtitle"></span>',
					button:{
						label		: 'signin.boxes.existcust.submitbtn.label',
						icon:{
							cls	: 'sign-in'
						}
					},
					fields:[
						{
							type		: 'email',
							name		: 'signin.email',
							labelattr	: ' pwm-lang="signin.boxes.existcust.fields.email.label"',
							attr		: ' pwm-lang="signin.boxes.existcust.fields.email.label" required="required""',
							value		: ''
						},
						{
							type		: 'password',
							name		: 'signin.password',
							labelattr	: ' pwm-lang="signin.boxes.existcust.fields.password.label"',
							attr		: ' pwm-lang="signin.boxes.existcust.fields.password.label" required="required" id="tt_signin"',
							value		: ''
						}
					]
				};
				return template.formBuilder(vars);
			}
		}
	},
	nav:{
		clocks:{
			defaultClock:function(){
				var out =
					'<li class="currentTimeClock hidden-xs hidden-sm"><a></a></li>'+
					'';
				return out;
			}
		},
		infos:function(){
			var out =
				'<li id="InformationsMenuDropdown" class="dropdown about-nav">'+
					'<a href="#" class="infoLink dropdown-toggle text-center" data-toggle="dropdown"> <i class="fa fa-info fa-lg"></i></a>'+
					'<ul class="dropdown-menu no-collapse dropdown-menu-right" data-no-collapse="true">'+
						'<li>'+
							'<a href="#!/politique-de-confidentialite-et-conditions-d-utilisation" pwm-lang="system.privacy_policy.label"></a>'+
						'</li>'+
						'<li>'+
							'<a href="#!/legal/refund-returns-and-delivery" pwm-lang="system.legal.returnanddelivery.label"></a>'+
						'</li>'+
						'<li class="viewIconsLegend">'+
							'<a href="javascript:void(0)" pwm-lang="system.legend.title"></a>'+
						'</li>'+
						'<li>'+
							'<a href="#!/bugs" pwm-lang="bugs.title"></a>'+
						'</li>'+
						'<li class="divider"></li>'+
						'<li>'+
							'<a href="javascript:void(0)"><span pwm-lang="system.socketStatus.menutitle"></span>: '+
								'<span class="socketStatus socketOffline pull-right"><i class="fa fa-warning"></i> <span pwm-lang="system.socketStatus.socketOffline.label"></span></span>'+
								'<span class="socketStatus socketOnline pull-right"><i class="fa fa-check"></i> <span pwm-lang="system.socketStatus.socketOnline.label"></span></span>'+
							'</a>'+
						'</li>'+
					'</ul>'+
				'</li>'+
				'';
			return out;
		},
		languages:function(){
			return pwm.template.languageSelect();
		},
		layout:function(){
			var out=
				'<ul class="nav navbar-nav pwmNav">'+
					'<li class="navIcon navHome">'+
						'<a href="#!/home"><i class="fa fa-home fa-2x"></i></a>'+ //menu button
					'</li>'+
					'<li class="navIcon navCategories toggleCategories hidden-md hidden-lg">'+
						'<a href="javascript: void(0);" class="menu-trigger toggleCats">'+
							'<i class="fa fa-warning branchMobileWarning text-danger"></i>'+
							'<i class="fa fa-bars fa-2x"></i>'+
						'</a>'+ //menu button
					'</li>'+
					'<li class="navIcon navBack">'+
						'<a href="javascript:void(0);"><i class="fa fa-chevron-left fa-2x"></i></a>'+ //back button
					'</li>'+
					'<li class="hidden-xs navBrand"><a class="brand_and_title"><span class="brand">{{{brand}}}</span> - <span class="title">{{{title}}}</span><span class="hiddentitle"></span></a></li>'+
				'</ul>'+
				'<ul class="nav navbar-nav navbar-right pwmUserNav">'+
					'{{#userSignedIn}}'+
						template.system.nav.signedIn()+
					'{{/userSignedIn}}'+
					'{{^userSignedIn}}'+
						template.system.nav.signedOut()+
					'{{/userSignedIn}}'+
					template.system.nav.languages()+
					template.system.nav.clocks.defaultClock()+
					template.system.nav.infos()+
				'</ul>';
			return out;
		},
		licenceTrial:function(){
			/* PRIVATE */
			var out=
			'<div class="licence-trial-info message-warning staticMsg">'+
				'<strong><i class="fa fa-fw fa-key"></i> <span pwm-lang="system.nav.licence.trial.info"></span>'+
				'<span class="showDaysLeft hidden">, <span class="daysLeft">X</span> <span pwm-lang="system.nav.licence.trial.daysLeft"></span></span></strong></div>';
			return out;
		},
		signedIn:function(){
			var out =
				'<li class="dropdown account-nav" data-no-collapse="true">'+
					'<a href="#!/account" class="dropdown-toggle" data-toggle="dropdown">'+
						'<i class="fa fa-user fa-lg"></i> '+
							'<span class="hidden-xs currentUserName">{{firstname}}</span> <i class="fa fa-caret-down"></i></a>'+
					'<ul class="dropdown-menu no-collapse dropdown-menu-right">'+
						'<li class="disabled sectionTitle"><a href="javascript:void(0)" pwm-lang="system.nav.account.sectionTitle.account"></a></li>'+
							'<li><a href="#!/account"><i class="fa fa-cogs fa-lg"></i> <span pwm-lang="system.nav.account.account"></span></a></li>'+
							'<li><a href="#!/account/addresses"><i class="fa fa-home fa-lg"></i> <span pwm-lang="system.nav.account.addresses"></span></a></li>'+

						'<li class="divider"></li>'+
							'<li class="disabled sectionTitle"><a href="javascript:void(0)" pwm-lang="system.nav.account.sectionTitle.orders"></a></li>'+
								'<li class="pwmOrderHistory"><a href="#!/account/orderHistory"><i class="fa fa-history fa-lg"></i>'+
									'<span pwm-lang="system.nav.account.orderHistory"></span></a></li>'+
								'<li class="pwmSavedOrders"><a href="#!/account/savedOrders"><i class="fa fa-heart fa-lg"></i>'+
									'<span pwm-lang="system.nav.account.savedOrders"></span></a></li>'+

						'<li class="divider"></li>'+
							'<li class="disabled sectionTitle"><a href="javascript:void(0)" pwm-lang="system.nav.account.sectionTitle.products"></a></li>'+
							'<li class="pwmOrderHistory"><a href="#!/account/favoriteProducts"><i class="fa fa-heart fa-lg"></i>'+
								'<span pwm-lang="products.favoriteProducts.title"></span></a></li>'+

						'<li class="divider"></li>'+
							'<li class="pwm_signout"><a href="javascript:void(0);"><i class="fa fa-sign-out fa-lg"></i> '+
								'<span pwm-lang="system.nav.account.signout"></span></a></li>'+
					'</ul>'+
				'</li>'+
				'';
			return out;
		},
		signedOut:function(){
			var out =
				'<li class="guestAccount-nav">'+
					'<a href="#!/signin"><i class="fa fa-key fa-lg"></i>'+
						'<span class="hidden-xs hidden-sm" pwm-lang="system.nav.account.label"> Connect</span></a>'+
				'</li>'+
				'';
			return out;
		}
	},
	poppy:function(){
		var out =
			'<div class="poppy popover bottom">'+
				'<div class="arrow"></div>'+
				'<h3 class="popover-title"><strong pwm-lang="warning"></strong></h3>'+
				'<div class="popover-content">'+
					'<p pwm-lang="capslock"></p>'+
				'</div>'+
			'</div>'+
			'';
		return out;
	},
	spinner:{
		rect1:function(){
			// http://tobiasahlin.com/spinkit/
			// https://github.com/ConnorAtherton/loaders.css
			// http://www.freshdesignweb.com/jquery-css3-loading-progress-bar.html
			// ------------------------------------------------------------------------------------------------------------------------
			// http://codepen.io/zessx/pen/RNPKKK		http://codepen.io/jmak/pen/LsCet		http://codepen.io/thebabydino/pen/pxnld
			// http://codepen.io/Beaugust/pen/DByiE		http://codepen.io/xixao/pen/jvxFc		http://codepen.io/Erik/pen/cslHn
			// http://codepen.io/Manoz/pen/pydxK
			var out=
				'<div class="spinner spinner-default">'+
					'<div class="rect1"></div>'+
					'<div class="rect2"></div>'+
					'<div class="rect3"></div>'+
					'<div class="rect4"></div>'+
					'<div class="rect5"></div>'+
				'</div>';
			return out;
		}
	}
};
template._themes = {
    "default-default": {
        "name": "default-default",
        "extras": {
            "contentWrap": false,
            "products": {
                "images": {
                    "beforeTitle": true
                }
            }
        },
        "settings": {
            "elements": {
                "contentWrap": {
                    "classes": ""
                },
                "Pane_Content": {
                    "classes": "left col-xl-8 col-lg-7 col-md-7 col-xs-12"
                },
                "Pane_Categories": {
                    "classes": ""
                },
                "paneCategoriesWrapper": {
                    "classes": "left col-lg-2 col-md-2 col-sm-12 col-xs-12 hidden-xs hidden-sm"
                },
                "pwmSidebar": {
                    "classes": "right col-md-3 col-xl-2 hidden-xs hidden-sm"
                }
            }
        }
    },
    "default-horizontalMenu": {
        "name": "default-horizontalMenu",
        "extras": {
            "contentWrap": true,
            "products": {
                "images": {
                    "beforeTitle": false
                }
            },
            "catsAboveAll": true
        },
        "settings": {
            "elements": {
                "contentWrap": {
                    "classes": "row"
                },
                "Pane_Content": {
                    "classes": "col-lg-9 col-md-9 col-xs-12"
                },
                "Pane_Categories": {
                    "classes": "col-md-12 hiden-sm hidden-xs left"
                },
                "paneCategoriesWrapper": {
                    "classes": "left col-lg-2 col-md-2 col-sm-12 col-xs-12 hidden-xs hidden-sm"
                },
                "pwmSidebar": {
                    "classes": "col-lg-3 col-md-3 col-xs-12 hidden-xs hidden-sm right"
                }
            }
        }
    },
    "default-light": {
        "name": "default-light",
        "extras": {
            "contentWrap": false,
            "products": {
                "images": {
                    "beforeTitle": true
                }
            }
        },
        "settings": {
            "elements": {
                "contentWrap": {
                    "classes": ""
                },
                "Pane_Content": {
                    "classes": "left col-xl-8 col-lg-7 col-md-7 col-xs-12"
                },
                "Pane_Categories": {
                    "classes": ""
                },
                "paneCategoriesWrapper": {
                    "classes": "left col-lg-2 col-md-2 col-sm-12 col-xs-12 hidden-xs hidden-sm"
                },
                "pwmSidebar": {
                    "classes": "right col-md-3 col-xl-2 hidden-xs hidden-sm"
                }
            }
        }
    }
};


if(typeof pwm=='undefined')
	module.exports = template;